package PJlib
  import Modelica.SIunits.*;
  package Kap12
    block CapacityConverter
      extends SystemDynamics.Interfaces.GenericConverter3;
    equation
      out1 = in2 / (1 - in1 / in3);
    end CapacityConverter;
    block ECIRConverter
      extends SystemDynamics.Interfaces.GenericConverter4;
    equation
      out1 = in2 * in3 * (1 - in4) / (1 - in1);
    end ECIRConverter;
    model InvestAgrar
      SystemDynamics.Flows.Mult2DivFlow mult2divflow1 annotation(Placement(visible = true, transformation(origin = {-33.7862,9.5772}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Flows.Div2Flow div2flow1 annotation(Placement(visible = true, transformation(origin = {31.1259,9.5772}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.ConstantConverter constantconverter1(constValue = 15) annotation(Placement(visible = true, transformation(origin = {-0.7981,-39.1069}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter CFIFR(table = "cfifr", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-33.2542,-75.0214}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Reservoirs.Stock stock1(m0 = 0.2) annotation(Placement(visible = true, transformation(origin = {0.266033,9.31116}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Reservoirs.CloudSource cloudsource1 annotation(Placement(visible = true, transformation(origin = {-61.487,9.74667}, extent = {{-7.39096,-7.39096},{7.39096,7.39096}}, rotation = 0)));
      SystemDynamics.Reservoirs.CloudSink cloudsink1 annotation(Placement(visible = true, transformation(origin = {59.5327,9.87968}, extent = {{-7.99511,-7.99511},{7.99511,7.99511}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-33,-106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {-33,-106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {33,-106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {33,-106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {0,106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {0,106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
    equation
      connect(stock1.out1,y) annotation(Line(points = {{0.266033,18.3112},{0.266033,97.9002},{0,97.9002},{0,106}}));
      connect(mult2divflow1.in2,realinput1) annotation(Line(points = {{-33.7862,-2.4228},{-33.7862,-52.6746},{32.9881,-52.6746},{32.9881,-106},{33,-106}}));
      connect(CFIFR.in1,u) annotation(Line(points = {{-33.2542,-87.0214},{-33.2542,-100.827},{-33,-100.827},{-33,-106}}));
      connect(div2flow1.outflow,cloudsink1.inflow) annotation(Line(points = {{43.1259,9.5772},{49.7482,9.5772},{51.5376,9.84323},{51.5376,9.87968}}));
      connect(cloudsource1.outflow,mult2divflow1.inflow) annotation(Line(points = {{-54.0961,9.74667},{-44.6936,9.74667},{-44.6936,9.5772},{-45.7862,9.5772}}));
      connect(stock1.out2,div2flow1.in1) annotation(Line(points = {{0.266033,0.311164},{0.266033,-10.6413},{25.2732,-10.6413},{25.2732,-2.4228},{25.1259,-2.4228}}));
      connect(stock1.outflow,div2flow1.inflow) annotation(Line(points = {{12.266,9.31116},{19.4204,9.31116},{19.4204,9.5772},{19.1259,9.5772}}));
      connect(mult2divflow1.outflow,stock1.inflow) annotation(Line(points = {{-21.7862,9.5772},{-12.7696,9.5772},{-12.7696,9.31116},{-11.734,9.31116}}));
      connect(CFIFR.out1,mult2divflow1.in1) annotation(Line(points = {{-33.2542,-63.0214},{-33.2542,-58.2613},{-42.2993,-58.2613},{-42.2993,-2.4228},{-42.1862,-2.4228}}));
      connect(mult2divflow1.in3,constantconverter1.out) annotation(Line(points = {{-25.3862,-2.4228},{-25.3862,-19.9525},{-0.7981,-19.9525},{-0.7981,-27.1069},{-0.7981,-27.1069}}));
      connect(constantconverter1.out,div2flow1.in2) annotation(Line(points = {{-0.7981,-27.1069},{-0.7981,-19.9525},{36.9786,-19.9525},{36.9786,-2.92637},{37.1259,-2.92637},{37.1259,-2.4228}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Invest. Agrar", fontName = "Times New Roman")}));
    end InvestAgrar;
    model Verschmutzung
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-106,33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-98.3373,33.0166}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-106,-31}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-97.1496,-35.6295}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,5.22565}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter POLCM(table = "polcm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-72.209,2.61283}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Reservoirs.Stock stock1(m0 = 200000000.0) annotation(Placement(visible = true, transformation(origin = {-1.90024,13.5392}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter POLAT(table = "polat", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {0.475059,-75.772}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Reservoirs.CloudSource cloudsource1 annotation(Placement(visible = true, transformation(origin = {-2.07497,69.814}, extent = {{-7.62322,7.62322},{7.62322,-7.62322}}, rotation = -90)));
      SystemDynamics.Reservoirs.CloudSink cloudsink1 annotation(Placement(visible = true, transformation(origin = {-1.43136,-49.3804}, extent = {{-8.73406,8.73406},{8.73406,-8.73406}}, rotation = -90)));
      SystemDynamics.Flows.Mult3Flow mult3flow1 annotation(Placement(visible = true, transformation(origin = {-1.90024,44.4181}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter constantconverter2 annotation(Placement(visible = true, transformation(origin = {-35.3919,52.9691}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.Div2Converter div2converter1 annotation(Placement(visible = true, transformation(origin = {63.8955,6.4133}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter constantconverter1(constValue = 3600000000.0) annotation(Placement(visible = true, transformation(origin = {30.8789,-0.712589}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Flows.Div2Flow div2flow1 annotation(Placement(visible = true, transformation(origin = {-1.90024,-16.6271}, extent = {{-12,-12},{12,12}}, rotation = -90)));
    equation
      connect(stock1.outflow,div2flow1.inflow) annotation(Line(points = {{-1.90024,1.53919},{-1.90024,1.53919},{-1.90024,-4.6271},{-1.90024,-4.6271}}));
      connect(div2flow1.outflow,cloudsink1.inflow) annotation(Line(points = {{-1.90024,-28.6271},{-1.90024,-28.6271},{-1.66271,-40.6463},{-1.43136,-40.6463}}));
      connect(POLAT.out1,div2flow1.in2) annotation(Line(points = {{-11.5249,-75.772},{-11.5249,-75.772},{-26.6033,-75.772},{-26.6033,-22.5653},{-13.9002,-22.6271},{-13.9002,-22.6271}}));
      connect(stock1.out2,div2flow1.in1) annotation(Line(points = {{-10.9002,13.5392},{-10.9002,13.5392},{-25.1781,13.5392},{-25.1781,-10.4513},{-13.9002,-10.6271},{-13.9002,-10.6271}}));
      connect(constantconverter1.out,div2converter1.in2) annotation(Line(points = {{42.8789,-0.712589},{42.8789,-0.712589},{51.8955,-0.7867},{51.8955,-0.7867}}));
      connect(stock1.out1,div2converter1.in1) annotation(Line(points = {{7.09976,13.5392},{7.09976,13.5392},{51.8955,13.6133},{51.8955,13.6133}}));
      connect(POLAT.in1,div2converter1.out1) annotation(Line(points = {{12.4751,-75.772},{12.4751,-75.5344},{76.0095,-75.5344},{75.8955,6.4133},{75.8955,6.4133}}));
      connect(div2converter1.out1,y) annotation(Line(points = {{75.8955,6.4133},{75.8955,-0.0855107},{106,-0.0855107},{106,0}}));
      connect(constantconverter2.out,mult3flow1.in1) annotation(Line(points = {{-23.3919,52.9691},{-23.3919,52.9691},{-13.9002,52.8181},{-13.9002,52.8181}}));
      connect(mult3flow1.inflow,cloudsource1.outflow) annotation(Line(points = {{-1.90024,56.4181},{-1.90024,56.4181},{-2.13777,62.1908},{-2.07497,62.1908}}));
      connect(mult3flow1.outflow,stock1.inflow) annotation(Line(points = {{-1.90024,32.4181},{-1.90024,32.4181},{-1.66271,25.5392},{-1.90024,25.5392}}));
      connect(u,mult3flow1.in2) annotation(Line(points = {{-106,33},{-87.1734,33},{-87.1734,44.4181},{-13.9002,44.4181},{-13.9002,44.4181}}));
      connect(POLCM.out1,mult3flow1.in3) annotation(Line(points = {{-72.209,14.6128},{-72.209,36.1045},{-13.9002,36.1045},{-13.9002,36.0181}}));
      connect(realinput1,POLCM.in1) annotation(Line(points = {{-106,-31},{-72.209,-31},{-72.209,-9.38717},{-72.209,-9.38717}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Verschmutzung", fontName = "Times New Roman")}));
    end Verschmutzung;
    model LebensmittelQuote
      SystemDynamics.Converters.GraphConverter FPCI(table = "fpci", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-0.266033,-47.3539}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter FPM(table = "fpm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {49.2162,-47.3539}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter FCM(table = "fcm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-52.1425,-46.8219}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.ConstantConverter constantconverter1 annotation(Placement(visible = true, transformation(origin = {-20.7506,-17.0261}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.ConstantConverter constantconverter2 annotation(Placement(visible = true, transformation(origin = {22.8789,-18.0903}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.Mult5Converter mult5converter1 annotation(Placement(visible = true, transformation(origin = {-0.266033,32.19}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {0,106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {0,106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-50,-106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {-50,-106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {0,-106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {0,-106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealInput realinput2 annotation(Placement(visible = true, transformation(origin = {50,-106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {50,-106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
    equation
      connect(FPM.in1,realinput2) annotation(Line(points = {{49.2162,-59.3539},{49.2162,-101.359},{50,-101.359},{50,-106}}));
      connect(FPCI.in1,realinput1) annotation(Line(points = {{-0.266033,-59.3539},{-0.266033,-101.625},{0,-101.625},{0,-106}}));
      connect(FCM.in1,u) annotation(Line(points = {{-52.1425,-58.8219},{-52.1425,-98.9644},{-50,-98.9644},{-50,-106}}));
      connect(mult5converter1.out1,y) annotation(Line(points = {{-0.266033,44.19},{-0.266033,97.6342},{0,97.6342},{0,106}}));
      connect(FPM.out1,mult5converter1.in5) annotation(Line(points = {{49.2162,-35.3539},{49.2162,9.31116},{10.9074,9.31116},{10.9074,20.19},{10.534,20.19}}));
      connect(FCM.out1,mult5converter1.in1) annotation(Line(points = {{-52.1425,-34.8219},{-52.1425,9.31116},{-10.9074,9.31116},{-10.9074,20.19},{-11.066,20.19}}));
      connect(constantconverter2.out,mult5converter1.in4) annotation(Line(points = {{22.8789,-6.09026},{22.8789,2.66033},{5.05463,2.66033},{5.05463,20.19},{5.13397,20.19}}));
      connect(constantconverter1.out,mult5converter1.in2) annotation(Line(points = {{-20.7506,-5.02613},{-20.7506,2.66033},{-5.5867,2.66033},{-5.5867,20.19},{-5.66603,20.19}}));
      connect(FPCI.out1,mult5converter1.in3) annotation(Line(points = {{-0.266033,-35.3539},{-0.266033,19.6865},{-0.266033,19.6865},{-0.266033,20.19}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Lebensm.Quote", fontName = "Times New Roman")}));
    end LebensmittelQuote;
    model Lebensqualitaet
      Modelica.Blocks.Interfaces.RealInput realinput3 annotation(Placement(visible = true, transformation(origin = {-106,33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-106,33}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.MultPower5Converter multpower5converter1 annotation(Placement(visible = true, transformation(origin = {-0.266033,68.9026}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter QLM(table = "qlm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-5.5867,-7.65083}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter QLC(table = "qlc", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-74.4893,32.7221}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter QLP(table = "qlp", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {68.6366,32.9881}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.Mult2GraphConverter CIQR(table = "ciqr", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-69.4347,-32.9881}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter QLF(table = "qlf", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {67.8385,-40.7031}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.ConstantConverter constantconverter1 annotation(Placement(visible = true, transformation(origin = {55.601,13.5677}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {106,33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {106,33.2882}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput realinput2 annotation(Placement(visible = true, transformation(origin = {106,-33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {106,-32.7118}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {0,-106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {0,-106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {0,106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {0,106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealOutput realoutput1 annotation(Placement(visible = true, transformation(origin = {-106,-33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {-97.6945,-54.755}, extent = {{12,-12},{-12,12}}, rotation = 0)));
    equation
      connect(multpower5converter1.out1,y) annotation(Line(points = {{-0.266033,80.9026},{-0.266033,97.9002},{0,97.9002},{0,106}}));
      connect(QLM.in1,u) annotation(Line(points = {{-5.5867,-19.6508},{-5.5867,-81.1401},{0,-81.1401},{0,-106},{0,-106}}));
      connect(QLF.in1,realinput2) annotation(Line(points = {{79.8385,-40.7031},{79.8385,-40.7031},{86.1948,-40.7031},{86.1948,-32.9881},{106,-33},{106,-33}}));
      connect(QLP.in1,realinput1) annotation(Line(points = {{80.6366,32.9881},{80.6366,32.9881},{106,33},{106,33}}));
      connect(CIQR.out1,realoutput1) annotation(Line(points = {{-81.4347,-32.9881},{-81.4347,-32.9881},{-106,-33},{-106,-33}}));
      connect(constantconverter1.out,multpower5converter1.in4) annotation(Line(points = {{43.601,13.5677},{43.601,13.5677},{5.32067,13.5677},{5.32067,56.6651},{5.13397,56.6651},{5.13397,56.9026}}));
      connect(multpower5converter1.in3,QLF.out1) annotation(Line(points = {{-0.266033,56.9026},{-0.266033,3.72447},{35.6485,3.72447},{35.6485,-40.7031},{55.8385,-40.7031},{55.8385,-40.7031}}));
      connect(QLM.out1,CIQR.in2) annotation(Line(points = {{-5.5867,4.34917},{-5.5867,12.5036},{-47.0879,12.5036},{-47.0879,-25.8052},{-57.4347,-25.8052},{-57.4347,-25.7881}}));
      connect(multpower5converter1.in2,QLM.out1) annotation(Line(points = {{-5.66603,56.9026},{-5.66603,4.52257},{-5.5867,4.52257},{-5.5867,4.34917}}));
      connect(QLF.out1,CIQR.in1) annotation(Line(points = {{55.8385,-40.7031},{55.8385,-40.7031},{-57.4347,-40.7031},{-57.4347,-40.1881}}));
      connect(QLP.out1,multpower5converter1.in5) annotation(Line(points = {{56.6366,32.9881},{56.6366,32.9881},{10.6413,32.9881},{10.6413,56.9026},{10.534,56.9026}}));
      connect(QLC.out1,multpower5converter1.in1) annotation(Line(points = {{-62.4893,32.7221},{-62.4893,32.7221},{-10.9074,32.7221},{-10.9074,56.9026},{-11.066,56.9026}}));
      connect(realinput3,QLC.in1) annotation(Line(points = {{-106,33},{-86.9929,33},{-86.9929,32.7221},{-86.4893,32.7221}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-92.0857,27.4441},{87.9143,-12.5559}}, textString = "Lebensqualität", fontName = "Times New Roman")}));
    end Lebensqualitaet;
    model EffektiveInvestQuote
      Modelica.Blocks.Interfaces.RealInput realinput2 annotation(Placement(visible = true, transformation(origin = {-106,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-98.6238,13.1101}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.MultPower3Converter multpower3converter1(k2 = -1.0) annotation(Placement(visible = true, transformation(origin = {0.595914,70.9138}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.Div2Converter div2converter1 annotation(Placement(visible = true, transformation(origin = {-69.1261,-49.4609}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.ConstantConverter constantconverter2 annotation(Placement(visible = true, transformation(origin = {-31.8814,-42.3099}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      PJlib.Kap12.ECIRConverter ecirconverter1 annotation(Placement(visible = true, transformation(origin = {18.4733,-14.5999}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter constantconverter1(constValue = 0.3) annotation(Placement(visible = true, transformation(origin = {-28.3059,-3.87344}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      Modelica.Blocks.Interfaces.RealOutput realoutput1 annotation(Placement(visible = true, transformation(origin = {-106,-50}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {-106,-50}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {106,33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {106,33}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {106,-33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {106,-33}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {0,106}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {0,106}, extent = {{-12,-12},{12,12}}, rotation = 90)));
    equation
      connect(constantconverter1.out,ecirconverter1.in1) annotation(Line(points = {{-16.3059,-3.87344},{-16.3059,-3.87344},{6.47335,-3.7999},{6.4733,-3.7999}}));
      connect(multpower3converter1.in2,constantconverter1.out) annotation(Line(points = {{0.595914,58.9138},{0.595914,-3.87344},{-16.3059,-3.87344},{-16.3059,-3.87344}}));
      connect(multpower3converter1.out1,y) annotation(Line(points = {{0.595914,82.9138},{0.595914,98.0279},{0,98.0279},{0,106}}));
      connect(u,multpower3converter1.in1) annotation(Line(points = {{106,33},{-8.64076,33},{-8.64076,58.9138},{-9.00409,58.9138}}));
      connect(ecirconverter1.in2,u) annotation(Line(points = {{6.4733,-10.9999},{6.4733,-11.0244},{-8.64076,-11.0244},{-8.64076,33.0733},{106,33},{106,33}}));
      connect(multpower3converter1.in3,realinput1) annotation(Line(points = {{10.1959,58.9138},{10.1959,47.9711},{65.5506,47.9711},{65.5506,-33.0733},{106,-33.0733},{106,-33}}));
      connect(ecirconverter1.in4,realinput1) annotation(Line(points = {{6.4733,-25.3999},{6.4733,-25.3264},{-4.76732,-25.3264},{-4.76732,-33.0733},{106,-33},{106,-33}}));
      connect(div2converter1.out1,realoutput1) annotation(Line(points = {{-81.1261,-49.4609},{-81.1261,-49.4609},{-106,-50},{-106,-50}}));
      connect(realinput2,ecirconverter1.in3) annotation(Line(points = {{-106,0},{-81.0444,0},{-81.0444,-18.1754},{6.47335,-18.1999},{6.4733,-18.1999}}));
      connect(div2converter1.in1,ecirconverter1.out1) annotation(Line(points = {{-57.1261,-56.6609},{-57.1261,-56.6119},{43.5018,-56.6119},{43.5018,-14.5999},{30.4733,-14.5999},{30.4733,-14.5999}}));
      connect(constantconverter2.out,div2converter1.in2) annotation(Line(points = {{-43.8814,-42.3099},{-43.8814,-42.3099},{-57.1261,-42.3099},{-57.1261,-42.2609}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-89.4041,82.2682},{90.5959,42.2682}}, textString = "Effekt. InvestQuote", fontName = "Times New Roman")}));
    end EffektiveInvestQuote;
    model Bevoelkerung
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput realoutput1 annotation(Placement(visible = true, transformation(origin = {106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.ConstantConverter PDN(constValue = 26.5) annotation(Placement(visible = true, transformation(origin = {53.9729,-16.4917}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Flows.Mult6Flow DR annotation(Placement(visible = true, transformation(origin = {-20.9895,-22.4888}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter DRFM(table = "drfm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.4917,-22.1889}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter DRPM(table = "drpm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.4918,-36.5817}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Flows.Mult6Flow BR annotation(Placement(visible = true, transformation(origin = {-20.3898,38.6806}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      SystemDynamics.Reservoirs.Stock stock1(m0 = 1650000000.0) annotation(Placement(visible = true, transformation(origin = {-20.3898,8.69565}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter BRPM(table = "brpm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.7916,38.6806}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter BRFM(table = "brfm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.4918,53.3733}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter BRCM(table = "brcm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.7916,24.2879}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter DRCM(table = "drcm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.7916,-5.39735}, extent = {{12,-12},{-12,12}}, rotation = -270)));
      SystemDynamics.Converters.ConstantConverter BRN(constValue = 0.04) annotation(Placement(visible = true, transformation(origin = {-50.8375,65.0338}, extent = {{12,-12},{-12,12}}, rotation = -180)));
      SystemDynamics.Converters.ConstantConverter DRN(constValue = 0.028) annotation(Placement(visible = true, transformation(origin = {-55.7721,-22.1889}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter DRMM(table = "drmm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-55.7721,-38.9805}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter BRMM(table = "brmm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-53.3733,38.3808}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Reservoirs.CloudSink cloudsink1 annotation(Placement(visible = true, transformation(origin = {-20.7892,-48.5408}, extent = {{-8.703,8.703},{8.703,-8.703}}, rotation = -90)));
      SystemDynamics.Reservoirs.CloudSource cloudsource1 annotation(Placement(visible = true, transformation(origin = {-20.5579,62.0449}, extent = {{-7.39235,7.39235},{7.39235,-7.39235}}, rotation = -90)));
      SystemDynamics.Converters.MultPower3Converter CR(k1 = -1.0, k3 = -1.0) annotation(Placement(visible = true, transformation(origin = {71.3643,8.3958}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter LA(constValue = 135000000.0) annotation(Placement(visible = true, transformation(origin = {52.7736,31.1844}, extent = {{12,-12},{-12,12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {-106,33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {-106,33}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {106,66}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {106,66}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput realinput2 annotation(Placement(visible = true, transformation(origin = {106,33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {106,33}, extent = {{-12,12},{12,-12}}, rotation = -180)));
    equation
      connect(LA.out,CR.in1) annotation(Line(points = {{52.7736,19.1844},{52.7736,19.1844},{59.3643,17.991},{59.3643,17.9958}}));
      connect(stock1.out1,CR.in2) annotation(Line(points = {{-11.3898,8.69565},{-11.3898,8.69565},{59.3643,8.3958},{59.3643,8.3958}}));
      connect(PDN.out,CR.in3) annotation(Line(points = {{53.9729,-4.49175},{53.9729,-1.49925},{59.3643,-1.49925},{59.3643,-1.2042}}));
      connect(CR.out1,realoutput1) annotation(Line(points = {{83.3643,8.3958},{83.3643,8.31174},{86.3568,8.31174},{86.3568,-33.1323},{106,-33.1323},{106,-33}}));
      connect(DRCM.in1,CR.out1) annotation(Line(points = {{28.7916,-5.39735},{28.7916,-5.09745},{42.2789,-5.09745},{42.2789,-33.1774},{86.3568,-33.1774},{86.3568,8.31174},{83.6582,8.31174},{83.3643,8.3958},{83.3643,8.3958}}));
      connect(BRCM.in1,CR.out1) annotation(Line(points = {{28.7916,24.2879},{28.7916,24.063},{42.2789,24.063},{42.2789,-33.1774},{86.3568,-33.1774},{86.3568,8.34255},{83.3643,8.3958},{83.3643,8.3958}}));
      connect(cloudsource1.outflow,BR.inflow) annotation(Line(points = {{-20.5579,54.6525},{-20.5579,55.7661},{-20.3898,50.6806},{-20.3898,50.6806}}));
      connect(DR.outflow,cloudsink1.inflow) annotation(Line(points = {{-20.9895,-34.4888},{-20.9895,-34.4888},{-20.9895,-39.8378},{-20.7892,-39.8378}}));
      connect(y,stock1.out2) annotation(Line(points = {{-106,33},{-86.9565,33},{-86.9565,8.69565},{-29.3898,8.69565},{-29.3898,8.69565}}));
      connect(BRPM.in1,realinput2) annotation(Line(points = {{28.7916,38.6806},{28.7916,38.5748},{79.0119,38.5748},{79.0119,32.9881},{106,33},{106,33}}));
      connect(DRPM.in1,realinput2) annotation(Line(points = {{28.4918,-36.5817},{28.4918,-36.7126},{42.0333,-36.7126},{42.0333,-47.0879},{113.33,-47.0879},{106,33},{106,33}}));
      connect(BRFM.in1,realinput1) annotation(Line(points = {{28.4918,53.3733},{28.4918,53.5447},{78.7106,53.5447},{78.7106,65.9038},{106,66},{106,66}}));
      connect(DRFM.in1,realinput1) annotation(Line(points = {{28.4917,-22.1889},{28.4917,-21.9533},{38.0167,-21.9533},{38.0167,-61.0409},{121.566,-61.0409},{121.566,65.1041},{106,66},{106,66}}));
      connect(BRMM.out1,BR.in2) annotation(Line(points = {{-41.3733,38.3808},{-41.3733,38.6806},{-32.3898,38.6806},{-32.3898,38.6806}}));
      connect(BRMM.in1,u) annotation(Line(points = {{-65.3733,38.3808},{-65.3733,38.3808},{-79.1604,38.3808},{-79.1604,-32.3635},{-106,-32.3635},{-106,-33}}));
      connect(DRMM.out1,DR.in3) annotation(Line(points = {{-43.7721,-38.9805},{-43.7721,-38.9805},{-37.4813,-38.9805},{-37.4813,-30.8846},{-32.9895,-30.8846},{-32.9895,-30.8888}}));
      connect(DRMM.in1,u) annotation(Line(points = {{-67.7721,-38.9805},{-67.7721,-39.1069},{-79.2779,-39.1069},{-79.2779,-32.4561},{-106,-32.4561},{-106,-33}}));
      connect(DRN.out,DR.in2) annotation(Line(points = {{-43.7721,-22.1889},{-43.7721,-22.4888},{-32.9895,-22.4888},{-32.9895,-22.4888}}));
      connect(BRN.out,BR.in1) annotation(Line(points = {{-50.8375,53.0338},{-50.8375,53.0338},{-32.3898,47.1821},{-32.3898,47.0806}}));
      connect(BRFM.out1,BR.in4) annotation(Line(points = {{4.4918,53.3733},{4.4918,53.3305},{-1.49925,53.3305},{-1.49925,47.0765},{-8.3898,47.0765},{-8.3898,47.0806}}));
      connect(DRCM.out1,DR.in4) annotation(Line(points = {{4.7916,-5.39735},{4.7916,-5.35446},{-1.7991,-5.35446},{-1.7991,-14.093},{-8.9895,-14.093},{-8.9895,-14.0888}}));
      connect(BRPM.out1,BR.in5) annotation(Line(points = {{4.7916,38.6806},{4.7916,38.6378},{-8.3898,38.6378},{-8.3898,38.6806}}));
      connect(DR.in1,stock1.out2) annotation(Line(points = {{-32.9895,-14.0888},{-32.9895,-14.093},{-37.4813,-14.093},{-37.4813,8.69565},{-29.3898,8.69565},{-29.3898,8.69565}}));
      connect(BRCM.out1,BR.in6) annotation(Line(points = {{4.7916,24.2879},{4.7916,23.988},{-1.49925,23.988},{-1.49925,30.2849},{-8.3898,30.2849},{-8.3898,30.2806}}));
      connect(BR.outflow,stock1.inflow) annotation(Line(points = {{-20.3898,26.6806},{-20.6897,26.6806},{-20.6897,20.6957},{-20.3898,20.6957}}));
      connect(stock1.outflow,DR.inflow) annotation(Line(points = {{-20.3898,-3.30435},{-20.3898,-5.4033},{-20.9895,-10.4888},{-20.9895,-10.4888}}));
      connect(BR.in3,stock1.out2) annotation(Line(points = {{-32.3898,30.2806},{-32.3898,29.9851},{-37.4813,29.9851},{-37.4813,8.69565},{-29.3898,8.69565},{-29.3898,8.69565}}));
      connect(DRPM.out1,DR.in6) annotation(Line(points = {{4.4918,-36.5817},{4.4918,-36.5817},{-1.7991,-36.5817},{-1.7991,-30.5847},{-8.9895,-30.5847},{-8.9895,-30.8888}}));
      connect(DRFM.out1,DR.in5) annotation(Line(points = {{4.49175,-22.1889},{4.49175,-22.4888},{-8.9895,-22.4888},{-8.9895,-22.4888}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Bevölkerung", fontName = "Times New Roman")}));
    end Bevoelkerung;
    model Investitionen
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-104,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100.95,14.4893}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100.95,9.97625}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-103.762,70}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103.762,70}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Reservoirs.CloudSource cloudsource1 annotation(Placement(visible = true, transformation(origin = {-2.54191,44.3805}, extent = {{-8.10249,8.10249},{8.10249,-8.10249}}, rotation = -90)));
      SystemDynamics.Reservoirs.CloudSink cloudsink1 annotation(Placement(visible = true, transformation(origin = {-2.22899,-60.4727}, extent = {{-9.1182,9.1182},{9.1182,-9.1182}}, rotation = -90)));
      SystemDynamics.Flows.Mult3Flow mult3flow1 annotation(Placement(visible = true, transformation(origin = {-2.61283,19.715}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter constantconverter1(constValue = 0.05) annotation(Placement(visible = true, transformation(origin = {-35.6295,10.9264}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter constantconverter2(constValue = 0.025) annotation(Placement(visible = true, transformation(origin = {-35.3919,-43.4679}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Flows.Mult2Flow mult2flow1 annotation(Placement(visible = true, transformation(origin = {-2.13777,-37.7672}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.Div2Converter div2converter1 annotation(Placement(visible = true, transformation(origin = {64.3705,0.950119}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Reservoirs.Stock stock1(m0 = 400000000.0) annotation(Placement(visible = true, transformation(origin = {-2.61087,-9.02613}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter CIM(table = "cim", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-49.8812,28.0285}, extent = {{-12,-12},{12,12}}, rotation = -90)));
    equation
      connect(CIM.out1,mult3flow1.in2) annotation(Line(points = {{-37.8812,28.0285},{-37.8812,28.0285},{-29.2162,28.0285},{-29.2162,19.715},{-14.6128,19.715},{-14.6128,19.715}}));
      connect(realinput1,CIM.in1) annotation(Line(points = {{-104,0},{-80.285,0},{-80.285,28.266},{-61.8812,28.0285},{-61.8812,28.0285}}));
      connect(mult3flow1.outflow,stock1.inflow) annotation(Line(points = {{-2.61283,7.715},{-2.61283,7.71496},{-2.3753,2.97387},{-2.61087,2.97387}}));
      connect(stock1.outflow,mult2flow1.inflow) annotation(Line(points = {{-2.61087,-21.0261},{-2.61087,-21.0261},{-1.18765,-25.7672},{-2.13777,-25.7672}}));
      connect(stock1.out1,div2converter1.in1) annotation(Line(points = {{6.38913,-9.02613},{6.38913,-9.26366},{18.5273,-9.26366},{18.5273,8.07601},{52.3705,8.15012},{52.3705,8.15012}}));
      connect(stock1.out2,mult2flow1.in1) annotation(Line(points = {{-11.6109,-9.02613},{-11.6109,-9.02613},{-23.9905,-9.02613},{-23.9905,-31.5914},{-14.1378,-31.7672},{-14.1378,-31.7672}}));
      connect(div2converter1.out1,y) annotation(Line(points = {{76.3705,0.950119},{76.3705,0.950119},{106,0.950119},{106,0}}));
      connect(u,div2converter1.in2) annotation(Line(points = {{-103.762,70},{30.4038,70},{30.4038,-5.93824},{52.3705,-6.24988},{52.3705,-6.24988}}));
      connect(mult2flow1.outflow,cloudsink1.inflow) annotation(Line(points = {{-2.13777,-49.7672},{-2.13777,-49.7672},{-2.13777,-51.3545},{-2.22899,-51.3545}}));
      connect(constantconverter2.out,mult2flow1.in2) annotation(Line(points = {{-23.3919,-43.4679},{-23.3919,-43.4679},{-14.1378,-43.7672},{-14.1378,-43.7672}}));
      connect(constantconverter1.out,mult3flow1.in3) annotation(Line(points = {{-23.6295,10.9264},{-23.6295,11.1639},{-14.6128,11.315},{-14.6128,11.315}}));
      connect(cloudsource1.outflow,mult3flow1.inflow) annotation(Line(points = {{-2.54191,36.278},{-2.54191,36.4561},{-2.61283,31.715},{-2.61283,31.715}}));
      connect(mult3flow1.in1,u) annotation(Line(points = {{-14.6128,28.115},{-14.6128,27.791},{-25.1781,27.791},{-25.1781,70.0713},{-103.762,70.0713},{-103.762,70}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Investitionen", fontName = "Times New Roman")}));
    end Investitionen;
    model NatRohstoffe
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-106,33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-98.8124,48.2185}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100.713,-52.7316}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105.762,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Flows.Mult3Flow mult3flow1 annotation(Placement(visible = true, transformation(origin = {-0.712589,24.4656}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.ConstantConverter constantconverter1 annotation(Placement(visible = true, transformation(origin = {38.2345,24.4656}, extent = {{12,-12},{-12,12}}, rotation = -270)));
      SystemDynamics.Converters.GraphConverter NRMM(table = "nrmm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {61.6238,33.0493}, extent = {{12,-12},{-12,12}}, rotation = -270)));
      SystemDynamics.Converters.Div2Converter div2converter1 annotation(Placement(visible = true, transformation(origin = {34.6793,-11.639}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter NREM(table = "nrem", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {65.3207,-11.639}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter constantconverter2(constValue = 900000000000.0) annotation(Placement(visible = true, transformation(origin = {-9.73872,-36.8171}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Reservoirs.Stock stock1(m0 = 900000000000.0) annotation(Placement(visible = true, transformation(origin = {-0.477018,-4.03996}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      SystemDynamics.Reservoirs.CloudSink cloudsink1 annotation(Placement(visible = true, transformation(origin = {-0.972263,54.1814}, extent = {{-8.48057,-8.48057},{8.48057,8.48057}}, rotation = 90)));
    equation
      connect(mult3flow1.outflow,cloudsink1.inflow) annotation(Line(points = {{-0.712589,36.4656},{-0.969897,36.4656},{-0.969897,41.7056},{-0.972263,41.7056},{-0.972263,45.7008}}));
      connect(stock1.out2,div2converter1.in1) annotation(Line(points = {{8.52298,-4.03996},{8.52298,-4.038},{22.6793,-4.439},{22.6793,-4.439}}));
      connect(mult3flow1.inflow,stock1.outflow) annotation(Line(points = {{-0.712589,12.4656},{-0.323299,12.4656},{-0.323299,7.96004},{-0.477018,7.96004}}));
      connect(constantconverter2.out,div2converter1.in2) annotation(Line(points = {{2.26128,-36.8171},{2.26128,-36.8171},{13.0641,-36.8171},{13.0641,-19.0024},{22.6793,-18.839},{22.6793,-18.839}}));
      connect(div2converter1.out1,NREM.in1) annotation(Line(points = {{46.6793,-11.639},{46.6793,-11.639},{53.3207,-11.639},{53.3207,-11.639}}));
      connect(NREM.out1,y) annotation(Line(points = {{77.3207,-11.639},{77.3207,-11.639},{81.7102,-11.639},{81.7102,0},{106,0},{106,0}}));
      connect(mult3flow1.in1,u) annotation(Line(points = {{11.2874,16.0656},{11.2874,15.5184},{21.0144,15.5184},{21.0144,75.0054},{-57.2239,75.0054},{-57.2239,33.2998},{-106,33.2998},{-106,33}}));
      connect(NRMM.in1,realinput1) annotation(Line(points = {{73.6238,33.0493},{73.6238,82.4412},{-73.7122,82.4412},{-73.7122,-32.9765},{-106,-32.9765},{-106,-33}}));
      connect(NRMM.out1,mult3flow1.in3) annotation(Line(points = {{49.6238,33.0493},{49.6238,32.9765},{11.2874,32.9765},{11.2874,32.8656}}));
      connect(constantconverter1.out,mult3flow1.in2) annotation(Line(points = {{26.2345,24.4656},{26.2345,24.4656},{11.2874,24.4656},{11.2874,24.4656}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Nat. Rohstoffe", fontName = "Times New Roman")}));
    end NatRohstoffe;
    model NatRohstoffeA
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-106,33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-98.8124,48.2185}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100.713,-52.7316}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105.762,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Flows.Mult3Flow mult3flow1 annotation(Placement(visible = true, transformation(origin = {-0.712589,24.4656}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter NRMM(table = "nrmm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {61.6238,33.0493}, extent = {{12,-12},{-12,12}}, rotation = -270)));
      SystemDynamics.Converters.TimeSwitchedConverter timeswitchedconverter1(switchTime = 70, oldValue = 1, newValue = 0.25) annotation(Placement(visible = true, transformation(origin = {44.1065,24.3346}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.Div2Converter div2converter1 annotation(Placement(visible = true, transformation(origin = {34.6793,-11.8746}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter constantconverter2(constValue = 900000000000.0) annotation(Placement(visible = true, transformation(origin = {-9.73872,-36.8171}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter NREM(table = "nrem", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {65.3207,-11.639}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Reservoirs.Stock stock1(m0 = 900000000000.0) annotation(Placement(visible = true, transformation(origin = {-0.241447,-4.03996}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      SystemDynamics.Reservoirs.CloudSink cloudsink1 annotation(Placement(visible = true, transformation(origin = {-0.856714,51.2345}, extent = {{-8.12497,-8.12497},{8.12497,8.12497}}, rotation = 90)));
    equation
      connect(mult3flow1.outflow,cloudsink1.inflow) annotation(Line(points = {{-0.712589,36.4656},{-0.969897,36.4656},{-0.969897,41.7056},{-0.856714,41.7056},{-0.856714,43.1095}}));
      connect(stock1.out2,div2converter1.in1) annotation(Line(points = {{8.75855,-4.03996},{8.75855,-4.038},{22.6793,-4.67457},{22.6793,-4.67457}}));
      connect(mult3flow1.inflow,stock1.outflow) annotation(Line(points = {{-0.712589,12.4656},{-0.323299,12.4656},{-0.323299,7.96004},{-0.241447,7.96004}}));
      connect(div2converter1.out1,NREM.in1) annotation(Line(points = {{46.6793,-11.8746},{46.6793,-11.639},{53.3207,-11.639},{53.3207,-11.639}}));
      connect(NREM.out1,y) annotation(Line(points = {{77.3207,-11.639},{77.3207,-11.639},{81.7102,-11.639},{81.7102,0},{106,0},{106,0}}));
      connect(constantconverter2.out,div2converter1.in2) annotation(Line(points = {{2.26128,-36.8171},{2.26128,-36.8171},{13.0641,-36.8171},{13.0641,-19.0024},{22.6793,-19.0746},{22.6793,-19.0746}}));
      connect(timeswitchedconverter1.out,mult3flow1.in2) annotation(Line(points = {{32.1065,24.3346},{32.1065,24.5881},{11.2874,24.5881},{11.2874,24.4656}}));
      connect(mult3flow1.in1,u) annotation(Line(points = {{11.2874,16.0656},{11.2874,15.5184},{21.0144,15.5184},{21.0144,75.0054},{-57.2239,75.0054},{-57.2239,33.2998},{-106,33.2998},{-106,33}}));
      connect(NRMM.in1,realinput1) annotation(Line(points = {{73.6238,33.0493},{73.6238,82.4412},{-73.7122,82.4412},{-73.7122,-32.9765},{-106,-32.9765},{-106,-33}}));
      connect(NRMM.out1,mult3flow1.in3) annotation(Line(points = {{49.6238,33.0493},{49.6238,32.9765},{11.2874,32.9765},{11.2874,32.8656}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Nat. Rohstoffe (A)", fontName = "Times New Roman")}));
    end NatRohstoffeA;
    model BevoelkerungA
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput realoutput1 annotation(Placement(visible = true, transformation(origin = {106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {106,-33}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.ConstantConverter PDN(constValue = 26.5) annotation(Placement(visible = true, transformation(origin = {53.9729,-16.4917}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter DRFM(table = "drfm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.4917,-22.1889}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter DRPM(table = "drpm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.4918,-36.5817}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter BRPM(table = "brpm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.7916,38.6806}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter BRFM(table = "brfm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.4918,53.3733}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter BRCM(table = "brcm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.7916,24.2879}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Converters.GraphConverter DRCM(table = "drcm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {16.7916,-5.39735}, extent = {{12,-12},{-12,12}}, rotation = -270)));
      SystemDynamics.Converters.MultPower3Converter CR(k1 = -1.0, k3 = -1.0) annotation(Placement(visible = true, transformation(origin = {71.3643,8.3958}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter LA(constValue = 135000000.0) annotation(Placement(visible = true, transformation(origin = {52.7736,31.1844}, extent = {{12,-12},{-12,12}}, rotation = -180)));
      SystemDynamics.Converters.ConstantConverter DRN(constValue = 0.028) annotation(Placement(visible = true, transformation(origin = {-55.7721,-22.1889}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter DRMM(table = "drmm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-55.7721,-38.9805}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.GraphConverter BRMM(table = "brmm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-53.3733,38.3808}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.TimeSwitchedConverter timeswitchedconverter1(switchTime = 70, oldValue = 0.04, newValue = 0.028) annotation(Placement(visible = true, transformation(origin = {-49.4062,64.6081}, extent = {{12,-12},{-12,12}}, rotation = -180)));
      SystemDynamics.Flows.Mult6Flow BR annotation(Placement(visible = true, transformation(origin = {-20.3898,38.445}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Flows.Mult6Flow DR annotation(Placement(visible = true, transformation(origin = {-20.7539,-22.2532}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Reservoirs.Stock stock1(m0 = 1650000000.0) annotation(Placement(visible = true, transformation(origin = {-20.6254,8.69565}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Reservoirs.CloudSink cloudsink1 annotation(Placement(visible = true, transformation(origin = {-20.8586,-44.9116}, extent = {{-8.63363,8.63363},{8.63363,-8.63363}}, rotation = -90)));
      SystemDynamics.Reservoirs.CloudSource cloudsource1 annotation(Placement(visible = true, transformation(origin = {-20.3223,62.9872}, extent = {{-9.04135,9.04135},{9.04135,-9.04135}}, rotation = -90)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {-106,33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {-106,33}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {106,66}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {106,66}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput realinput2 annotation(Placement(visible = true, transformation(origin = {106,33}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {106,33}, extent = {{-12,12},{12,-12}}, rotation = -180)));
    equation
      connect(cloudsource1.outflow,BR.inflow) annotation(Line(points = {{-20.3223,53.9458},{-20.3223,55.7661},{-20.3898,50.445},{-20.3898,50.445}}));
      connect(DR.outflow,cloudsink1.inflow) annotation(Line(points = {{-20.7539,-34.2532},{-20.7539,-34.4888},{-20.9895,-36.278},{-20.8586,-36.278}}));
      connect(y,stock1.out2) annotation(Line(points = {{-106,33},{-86.9565,33},{-86.9565,8.69565},{-29.3898,8.69565},{-29.6254,8.69565}}));
      connect(BR.in3,stock1.out2) annotation(Line(points = {{-32.3898,30.045},{-32.3898,29.9851},{-37.4813,29.9851},{-37.4813,8.69565},{-29.3898,8.69565},{-29.6254,8.69565}}));
      connect(stock1.outflow,DR.inflow) annotation(Line(points = {{-20.6254,-3.30435},{-20.6254,-5.4033},{-20.9895,-10.2532},{-20.7539,-10.2532}}));
      connect(BR.outflow,stock1.inflow) annotation(Line(points = {{-20.3898,26.445},{-20.3898,26.6806},{-20.6897,20.6957},{-20.6254,20.6957}}));
      connect(DR.in1,stock1.out2) annotation(Line(points = {{-32.7539,-13.8532},{-32.7539,-14.093},{-37.4813,-14.093},{-37.4813,8.69565},{-29.3898,8.69565},{-29.6254,8.69565}}));
      connect(stock1.out1,CR.in2) annotation(Line(points = {{-11.6254,8.69565},{-11.6254,8.69565},{59.3643,8.3958},{59.3643,8.3958}}));
      connect(DRN.out,DR.in2) annotation(Line(points = {{-43.7721,-22.1889},{-43.7721,-22.4888},{-32.9895,-22.2532},{-32.7539,-22.2532}}));
      connect(DRMM.out1,DR.in3) annotation(Line(points = {{-43.7721,-38.9805},{-43.7721,-38.9805},{-37.4813,-38.9805},{-37.4813,-30.8846},{-32.9895,-30.6532},{-32.7539,-30.6532}}));
      connect(DRFM.out1,DR.in5) annotation(Line(points = {{4.49175,-22.1889},{4.49175,-22.4888},{-8.9895,-22.2532},{-8.75393,-22.2532}}));
      connect(DRPM.out1,DR.in6) annotation(Line(points = {{4.4918,-36.5817},{4.4918,-36.5817},{-1.7991,-36.5817},{-1.7991,-30.5847},{-8.9895,-30.6532},{-8.75393,-30.6532}}));
      connect(DRCM.out1,DR.in4) annotation(Line(points = {{4.7916,-5.39735},{4.7916,-5.35446},{-1.7991,-5.35446},{-1.7991,-14.093},{-8.9895,-13.8532},{-8.75393,-13.8532}}));
      connect(BRMM.out1,BR.in2) annotation(Line(points = {{-41.3733,38.3808},{-41.3733,38.6806},{-32.3898,38.445},{-32.3898,38.445}}));
      connect(BRCM.out1,BR.in6) annotation(Line(points = {{4.7916,24.2879},{4.7916,23.988},{-1.49925,23.988},{-1.49925,30.2849},{-8.3898,30.045},{-8.3898,30.045}}));
      connect(BRPM.out1,BR.in5) annotation(Line(points = {{4.7916,38.6806},{4.7916,38.6378},{-8.3898,38.445},{-8.3898,38.445}}));
      connect(BRFM.out1,BR.in4) annotation(Line(points = {{4.4918,53.3733},{4.4918,53.3305},{-1.49925,53.3305},{-1.49925,47.0765},{-8.3898,46.845},{-8.3898,46.845}}));
      connect(timeswitchedconverter1.out,BR.in1) annotation(Line(points = {{-49.4062,52.6081},{-49.4062,52.6081},{-32.3898,47.0309},{-32.3898,46.845}}));
      connect(BRMM.in1,u) annotation(Line(points = {{-65.3733,38.3808},{-65.3733,38.3808},{-79.1604,38.3808},{-79.1604,-32.3635},{-106,-32.3635},{-106,-33}}));
      connect(DRMM.in1,u) annotation(Line(points = {{-67.7721,-38.9805},{-67.7721,-39.1069},{-79.2779,-39.1069},{-79.2779,-32.4561},{-106,-32.4561},{-106,-33}}));
      connect(LA.out,CR.in1) annotation(Line(points = {{52.7736,19.1844},{52.7736,19.1844},{59.3643,17.991},{59.3643,17.9958}}));
      connect(PDN.out,CR.in3) annotation(Line(points = {{53.9729,-4.49175},{53.9729,-1.49925},{59.3643,-1.49925},{59.3643,-1.2042}}));
      connect(CR.out1,realoutput1) annotation(Line(points = {{83.3643,8.3958},{83.3643,8.31174},{86.3568,8.31174},{86.3568,-33.1323},{106,-33.1323},{106,-33}}));
      connect(DRCM.in1,CR.out1) annotation(Line(points = {{28.7916,-5.39735},{28.7916,-5.09745},{42.2789,-5.09745},{42.2789,-33.1774},{86.3568,-33.1774},{86.3568,8.31174},{83.6582,8.31174},{83.3643,8.3958},{83.3643,8.3958}}));
      connect(BRCM.in1,CR.out1) annotation(Line(points = {{28.7916,24.2879},{28.7916,24.063},{42.2789,24.063},{42.2789,-33.1774},{86.3568,-33.1774},{86.3568,8.34255},{83.3643,8.3958},{83.3643,8.3958}}));
      connect(BRPM.in1,realinput2) annotation(Line(points = {{28.7916,38.6806},{28.7916,38.5748},{79.0119,38.5748},{79.0119,32.9881},{106,33},{106,33}}));
      connect(DRPM.in1,realinput2) annotation(Line(points = {{28.4918,-36.5817},{28.4918,-36.7126},{42.0333,-36.7126},{42.0333,-47.0879},{113.33,-47.0879},{106,33},{106,33}}));
      connect(BRFM.in1,realinput1) annotation(Line(points = {{28.4918,53.3733},{28.4918,53.5447},{78.7106,53.5447},{78.7106,65.9038},{106,66},{106,66}}));
      connect(DRFM.in1,realinput1) annotation(Line(points = {{28.4917,-22.1889},{28.4917,-21.9533},{38.0167,-21.9533},{38.0167,-61.0409},{121.566,-61.0409},{121.566,65.1041},{106,66},{106,66}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Bevölkerung (A)", fontName = "Times New Roman")}));
    end BevoelkerungA;
    model VerschmutzungA
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-106,33}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-98.3373,33.0166}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-106,-31}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-97.1496,-35.6295}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,5.22565}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter POLCM(table = "polcm", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {-72.209,2.61283}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      SystemDynamics.Converters.GraphConverter POLAT(table = "polat", file = "world2.txt") annotation(Placement(visible = true, transformation(origin = {0.475059,-75.772}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      SystemDynamics.Flows.Mult3Flow mult3flow1 annotation(Placement(visible = true, transformation(origin = {-1.90024,44.4181}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.TimeSwitchedConverter timeswitchedconverter1(switchTime = 70, oldValue = 1, newValue = 0.7) annotation(Placement(visible = true, transformation(origin = {-41.3204,52.7379}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Flows.Div2Flow div2flow1 annotation(Placement(visible = true, transformation(origin = {-1.90024,-16.6271}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Reservoirs.Stock stock1(m0 = 200000000.0) annotation(Placement(visible = true, transformation(origin = {-1.90024,12.8325}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.Div2Converter div2converter1 annotation(Placement(visible = true, transformation(origin = {63.8955,6.4133}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Converters.ConstantConverter constantconverter1(constValue = 3600000000.0) annotation(Placement(visible = true, transformation(origin = {30.8789,-0.712589}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      SystemDynamics.Reservoirs.CloudSink cloudsink1 annotation(Placement(visible = true, transformation(origin = {-1.95204,-39.5444}, extent = {{-9.15566,9.15566},{9.15566,-9.15566}}, rotation = -90)));
      SystemDynamics.Reservoirs.CloudSource cloudsource1 annotation(Placement(visible = true, transformation(origin = {-1.8394,70.0496}, extent = {{-8.56551,8.56551},{8.56551,-8.56551}}, rotation = -90)));
    equation
      connect(mult3flow1.inflow,cloudsource1.outflow) annotation(Line(points = {{-1.90024,56.4181},{-1.90024,56.4181},{-2.13777,61.4841},{-1.8394,61.4841}}));
      connect(div2flow1.outflow,cloudsink1.inflow) annotation(Line(points = {{-1.90024,-28.6271},{-1.90024,-28.6271},{-1.66271,-30.3887},{-1.95204,-30.3887}}));
      connect(constantconverter1.out,div2converter1.in2) annotation(Line(points = {{42.8789,-0.712589},{42.8789,-0.712589},{51.8955,-0.7867},{51.8955,-0.7867}}));
      connect(stock1.out1,div2converter1.in1) annotation(Line(points = {{7.09976,12.8325},{7.09976,13.5392},{51.8955,13.6133},{51.8955,13.6133}}));
      connect(POLAT.in1,div2converter1.out1) annotation(Line(points = {{12.4751,-75.772},{12.4751,-75.5344},{76.0095,-75.5344},{75.8955,6.4133},{75.8955,6.4133}}));
      connect(div2converter1.out1,y) annotation(Line(points = {{75.8955,6.4133},{75.8955,-0.0855107},{106,-0.0855107},{106,0}}));
      connect(stock1.outflow,div2flow1.inflow) annotation(Line(points = {{-1.90024,0.832486},{-1.90024,1.53919},{-1.90024,-4.6271},{-1.90024,-4.6271}}));
      connect(stock1.out2,div2flow1.in1) annotation(Line(points = {{-10.9002,12.8325},{-10.9002,13.5392},{-25.1781,13.5392},{-25.1781,-10.4513},{-13.9002,-10.6271},{-13.9002,-10.6271}}));
      connect(mult3flow1.outflow,stock1.inflow) annotation(Line(points = {{-1.90024,32.4181},{-1.90024,32.4181},{-1.66271,24.8325},{-1.90024,24.8325}}));
      connect(POLAT.out1,div2flow1.in2) annotation(Line(points = {{-11.5249,-75.772},{-11.5249,-75.772},{-26.6033,-75.772},{-26.6033,-22.5653},{-13.9002,-22.6271},{-13.9002,-22.6271}}));
      connect(timeswitchedconverter1.out,mult3flow1.in1) annotation(Line(points = {{-29.3204,52.7379},{-29.3204,53.0097},{-13.9002,52.8181},{-13.9002,52.8181}}));
      connect(u,mult3flow1.in2) annotation(Line(points = {{-106,33},{-87.1734,33},{-87.1734,44.4181},{-13.9002,44.4181},{-13.9002,44.4181}}));
      connect(POLCM.out1,mult3flow1.in3) annotation(Line(points = {{-72.209,14.6128},{-72.209,36.1045},{-13.9002,36.1045},{-13.9002,36.0181}}));
      connect(realinput1,POLCM.in1) annotation(Line(points = {{-106,-31},{-72.209,-31},{-72.209,-9.38717},{-72.209,-9.38717}}));
      annotation(Diagram(), Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,25},{90,-15}}, textString = "Verschmutzung (A)", fontName = "Times New Roman")}));
    end VerschmutzungA;
  end Kap12;
  package Kap14
    model Stromquelle
      parameter Current I0 = 1;
      parameter Resistance R = 1;
      parameter Capacitance C = 1;
      Modelica.Electrical.Analog.Interfaces.PositivePin positivepin1 annotation(Placement(visible = true, transformation(origin = {-1.99431,-86.6097}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-1.99431,-86.6097}, extent = {{-5.59809,-5.59809},{5.59809,5.59809}}, rotation = 0)));
      Modelica.Electrical.Analog.Interfaces.NegativePin negativepin1 annotation(Placement(visible = true, transformation(origin = {-2.849,90.8832}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-2.849,90.8832}, extent = {{-5.08917,-5.08917},{5.08917,5.08917}}, rotation = 0)));
      Modelica.Electrical.Analog.Basic.Ground ground1 annotation(Placement(visible = true, transformation(origin = {-90.3134,-71.7948}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Electrical.Analog.Basic.Capacitor capacitor1(C = C) annotation(Placement(visible = true, transformation(origin = {-28.49,-28.2051}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Electrical.Analog.Basic.Resistor resistor1(R = R) annotation(Placement(visible = true, transformation(origin = {-28.737,45.4289}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Electrical.Analog.Sources.ConstantCurrent constantcurrent1(I = I0) annotation(Placement(visible = true, transformation(origin = {-70.0527,19.6482}, extent = {{-12,-12},{12,12}}, rotation = 90)));
    equation
      connect(negativepin1,constantcurrent1.n) annotation(Line(points = {{-2.849,90.8832},{-2.88184,90.8832},{-2.88184,73.7752},{-70.0288,73.7752},{-70.0288,31.4121},{-70.0288,31.4121}}));
      connect(positivepin1,constantcurrent1.p) annotation(Line(points = {{-1.99431,-86.6097},{-2.30548,-86.6097},{-2.30548,-51.585},{-70.0288,-51.585},{-70.0288,7.78098},{-70.0288,7.78098}}));
      connect(ground1.p,constantcurrent1.p) annotation(Line(points = {{-90.3134,-59.7948},{-70.0288,-59.7948},{-70.0288,6.91643},{-70.0288,6.91643}}));
      connect(capacitor1.n,constantcurrent1.p) annotation(Line(points = {{-28.49,-40.2051},{-28.49,-51.585},{-70.0288,-51.585},{-70.0288,7.4928},{-70.0288,7.4928}}));
      connect(constantcurrent1.n,resistor1.p) annotation(Line(points = {{-70.0527,31.6482},{-70.0527,73.7752},{-28.5303,73.7752},{-28.5303,57.3487},{-28.5303,57.3487}}));
      connect(capacitor1.p,resistor1.n) annotation(Line(points = {{-28.49,-16.2051},{-28.49,34.2939},{-28.8184,34.2939},{-28.8184,34.2939}}));
      annotation(Diagram(), Icon(coordinateSystem(extent = {{-100,-100},{100,100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2,2}), graphics = {Line(origin = {-5.4755,5.4755}, rotation = -180, points = {{-2.5641,62.3735},{-2.5641,86.911}}, smooth = Smooth.Bezier),Ellipse(origin = {-5.18732,6.05187}, rotation = -180, extent = {{37.6068,-54.7009},{-41.5954,19.3732}}, endAngle = 360),Ellipse(origin = {-5.18732,6.05187}, rotation = -180, extent = {{35.8974,-13.1054},{-40.4558,61.5385}}, endAngle = 360),Line(origin = {-0.288184,144.669}, points = {{-2.5641,-57.5499},{-2.5641,-82.6408}}, smooth = Smooth.Bezier)}));
    end Stromquelle;
    model Elektromotor
      parameter Real k = 1 "Übertragungsfaktor";
      parameter Resistance R = 1 "Innenwiderstand";
      parameter Inductance L = 1 "Induktivität";
      parameter Inertia J = 1 "Trägheitsmoment";
      parameter RotationalDampingConstant b = 1 "Reibungswert";
      parameter RotationalSpringConstant c = 1 "Achsensteifheit";
      Modelica.Electrical.Analog.Basic.EMF emf1(k = k) annotation(Placement(visible = true, transformation(origin = {-28.0759,19.4994}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia2(J = J) annotation(Placement(visible = true, transformation(origin = {8.60914,19.244}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Spring spring1(c = c) annotation(Placement(visible = true, transformation(origin = {47.0971,19.244}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Fixed fixed1 annotation(Placement(visible = true, transformation(origin = {28.8659,-31.398}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Electrical.Analog.Interfaces.NegativePin negativepin1 annotation(Placement(visible = true, transformation(origin = {3.1339,99.4302}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {3.1339,99.4302}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Electrical.Analog.Interfaces.PositivePin positivepin1 annotation(Placement(visible = true, transformation(origin = {3.4188,-97.7208}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {3.4188,-97.7208}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b1 annotation(Placement(visible = true, transformation(origin = {100.57,3.98859}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100.57,3.98859}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Damper damper1(d = b) annotation(Placement(visible = true, transformation(origin = {28.3595,-7.5963}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Electrical.Analog.Basic.Inductor inductor1(L = L) annotation(Placement(visible = true, transformation(origin = {-28.3878,49.8796}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Electrical.Analog.Basic.Resistor resistor2(R = R) annotation(Placement(visible = true, transformation(origin = {-28.4147,78.9394}, extent = {{-12,12},{12,-12}}, rotation = -90)));
    equation
      connect(spring1.flange_b,flange_b1) annotation(Line(points = {{59.0971,19.244},{78.9174,19.244},{78.9174,3.98859},{100.57,3.98859}}));
      connect(emf1.n,positivepin1) annotation(Line(points = {{-28.0759,7.4994},{-28.0759,-11.6809},{3.4188,-11.6809},{3.4188,-97.7208}}));
      connect(resistor2.n,inductor1.p) annotation(Line(points = {{-28.4147,66.9394},{-28.2051,66.9394},{-28.2051,61.8796},{-28.3878,61.8796}}));
      connect(negativepin1,resistor2.p) annotation(Line(points = {{3.1339,99.4302},{-27.9202,99.4302},{-27.9202,90.9394},{-28.4147,90.9394}}));
      connect(inductor1.n,emf1.p) annotation(Line(points = {{-28.3878,37.8796},{-27.8531,37.8796},{-27.8531,31.4994},{-28.0759,31.4994}}));
      connect(emf1.n,positivepin1) annotation(Line(points = {{-28.0759,7.4994},{-28.0759,-11.6809},{0.854701,-11.6809},{0.854701,-99.1453}}));
      connect(spring1.flange_b,flange_b1) annotation(Line(points = {{59.0971,19.244},{78.9174,19.244},{78.9174,19.0883},{99.7151,19.0883}}));
      connect(fixed1.flange,damper1.flange_a) annotation(Line(points = {{28.8659,-31.398},{28.8659,-31.398},{28.8659,-19.5963},{28.3595,-19.5963}}));
      connect(damper1.flange_b,inertia2.flange_b) annotation(Line(points = {{28.3595,4.4037},{28.8659,4.4037},{28.8659,19.244},{20.6091,19.244},{20.6091,19.244}}));
      connect(inertia2.flange_b,spring1.flange_a) annotation(Line(points = {{20.6091,19.244},{35.4494,19.244},{35.4494,19.244},{35.0971,19.244}}));
      connect(emf1.flange,inertia2.flange_a) annotation(Line(points = {{-16.0759,19.4994},{-3.03852,19.4994},{-3.03852,19.244},{-3.39086,19.244}}));
      connect(inductor1.n,emf1.p) annotation(Line(points = {{-41.1741,70.3924},{-27.8531,70.3924},{-27.8531,31.4994},{-28.0759,31.4994}}));
      annotation(experiment(StartTime = 0.0, StopTime = 10.0, Tolerance = 0.000001), Diagram(), Icon(graphics = {Ellipse(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 1.25, extent = {{-47.8632,52.9915},{53.5613,-45.584}}),Line(points = {{2.849,54.9858},{2.849,87.4644},{2.849,87.4644}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25, smooth = Smooth.Bezier),Line(points = {{3.1339,-47.8632},{3.1339,-86.3248}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25, smooth = Smooth.Bezier),Line(points = {{56.4103,3.7037},{88.3191,3.7037}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 2.75, smooth = Smooth.Bezier)}));
    end Elektromotor;
  end Kap14;
  package Hydraulik "Einfache Hydraulik-Bibliothek"
    package Interfaces
      import Modelica.SIunits.*;
      connector Port
        Pressure p;
        flow VolumeFlowRate q;
      end Port;
      connector Port_a "flow port that is used for inflow"
        extends Port;
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Ellipse(extent = {{-40,-40},{40,40}}, lineColor = {0,0,0}, fillPattern = FillPattern.Solid, fillColor = {0,127,255})}), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Ellipse(extent = {{-100,-100},{100,100}}, lineColor = {0,0,0}, fillPattern = FillPattern.Solid, fillColor = {0,127,255})}));
      end Port_a;
      connector Port_b "flow port that is used for outflow"
        extends Port;
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Ellipse(extent = {{-40,-40},{40,40}}, lineColor = {0,0,0}, fillPattern = FillPattern.Solid, fillColor = {0,63,127})}), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Ellipse(extent = {{-100,-100},{100,100}}, lineColor = {0,0,0}, fillPattern = FillPattern.Solid, fillColor = {0,63,127})}));
      end Port_b;
    end Interfaces;
    package Components
      import Modelica.SIunits.*;
      model FlowSource "generates a constant flow"
        parameter VolumeFlowRate Q = 0.001 "flow from A to B";
        Interfaces.Port_a inflow annotation(Placement(transformation(extent = {{-110,-10},{-90,10}}, rotation = 0)));
        Interfaces.Port_b outflow annotation(Placement(transformation(extent = {{90,-10},{110,10}}, rotation = 0)));
      equation
        inflow.q + outflow.q = 0;
        inflow.q = Q;
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Ellipse(extent = {{-50,-50},{50,50}}, lineColor = {0,0,0}),Polygon(points = {{12,25},{50,0},{12,-25},{12,25}}, lineColor = {0,0,0}, fillColor = {0,0,128}, fillPattern = FillPattern.Solid),Line(points = {{-100,0},{-50,0}}, color = {0,0,0}),Line(points = {{50,0},{100,0}}, color = {0,0,0})}));
      end FlowSource;
      model AmbientPressure "constant athmospheric pressure"
        parameter Pressure p0 = 100000.0 "athmospheric pressure";
        Interfaces.Port_b outflow annotation(Placement(transformation(extent = {{90,-10},{110,10}}, rotation = 0)));
      equation
        outflow.p = p0;
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Line(points = {{0,0},{100,0}}),Line(points = {{20,-50},{-20,-50},{-20,50},{20,50}})}));
      end AmbientPressure;
      model LaminarFlow
        parameter Real R "flow resistance";
        Interfaces.Port_a inflow annotation(Placement(transformation(extent = {{-110,-10},{-90,10}}, rotation = 0)));
        Interfaces.Port_b outflow annotation(Placement(transformation(extent = {{90,-10},{110,10}}, rotation = 0)));
      equation
        inflow.q + outflow.q = 0;
        inflow.p - outflow.p = R * inflow.q;
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Line(points = {{-100,0},{100,0}}, color = {0,0,0}),Line(points = {{-80,40},{-50,20},{-20,10},{20,10},{50,20},{80,40}}, color = {0,0,0}),Line(points = {{-80,-40},{-50,-20},{-20,-10},{20,-10},{50,-20},{80,-40}}, color = {0,0,0})}));
      end LaminarFlow;
      model HydraulicCylinder
        parameter Area A "cross section of the piston";
        Interfaces.Port_a inflow annotation(Placement(transformation(extent = {{-60,90},{-40,110}}, rotation = 90)));
        Modelica.Mechanics.Translational.Interfaces.Flange_b flange annotation(Placement(transformation(extent = {{90,-10},{110,10}}, rotation = 0)));
      protected
        Real v;
      equation
        flange.f = -A * inflow.p;
        v = der(flange.s);
        inflow.q = A * v;
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Line(points = {{60,60},{-90,60},{-90,-60},{60,-60}}, color = {0,0,0}),Line(points = {{20,60},{20,-60}}, color = {0,0,0}),Line(points = {{-50,100},{-50,60}}, color = {0,0,0}),Line(points = {{20,0},{100,0}}, color = {0,0,0}),Rectangle(extent = {{-90,-60},{20,60}}, lineColor = {0,0,0}, fillColor = {83,233,255}, fillPattern = FillPattern.Solid)}));
      end HydraulicCylinder;
      model Pumpe
        parameter VolumeFlowRate Q = 0.001 "flow from A to B";
        parameter Real R = 1000000000.0 "flow resistance";
        PJlib.Hydraulik.Interfaces.Port_a porta1 annotation(Placement(transformation(extent = {{-110,-10},{-90,10}}, rotation = 0)));
        PJlib.Hydraulik.Interfaces.Port_b portb1 annotation(Placement(transformation(extent = {{90,-10},{110,10}}, rotation = 0)));
        PJlib.Hydraulik.Components.FlowSource flowsource1(Q = Q) annotation(Placement(visible = true, transformation(origin = {-19.943,11.6809}, extent = {{-12,-12},{12,12}}, rotation = 0)));
        PJlib.Hydraulik.Components.LaminarFlow laminarflow1(R = R) annotation(Placement(visible = true, transformation(origin = {38.1766,-19.3732}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      equation
        connect(laminarflow1.outflow,flowsource1.inflow) annotation(Line(points = {{38.1766,-31.3732},{38.4615,-31.3732},{38.4615,-38.7464},{-57.5499,-38.7464},{-57.5499,11.6809},{-31.943,11.6809},{-31.943,11.6809}}));
        connect(laminarflow1.inflow,flowsource1.outflow) annotation(Line(points = {{38.1766,-7.37322},{38.1766,-7.37322},{38.1766,11.6809},{-7.94302,11.6809},{-7.94302,11.6809}}));
        connect(flowsource1.outflow,portb1) annotation(Line(points = {{-7.94302,11.6809},{98.0057,11.6809},{98.0057,9.97151},{99.1453,9.97151}}));
        connect(flowsource1.inflow,porta1) annotation(Line(points = {{-31.943,11.6809},{-97.7208,11.6809},{-97.7208,10.5413},{-99.7151,10.5413}}));
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Ellipse(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-50,-50},{50,50}}),Polygon(points = {{12,25},{50,0},{12,-25},{12,25}}, rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,128}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25),Rectangle(lineColor = {0,0,0}, extent = {{-100,-100},{100,100}}),Line(points = {{-100,0},{-50,0}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25),Line(points = {{50,0},{100,0}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25)}));
      end Pumpe;
      model CompressibleCylinder
        parameter Area A = 0.001 "Kolbenfläche";
        parameter BulkModulus K = 1150000000.0 "Kompressionsmodul";
        parameter Volume V0 = 0.000025 "Volumen bei s = 0";
        parameter Pressure pa = 100000.0 "Außendruck";
        Pressure p(start = pa, fixed = true);
        Position s(start = 0);
        Velocity v;
        Interfaces.Port_a inflow annotation(Placement(transformation(extent = {{-60,90},{-40,110}}, rotation = 90)));
        Modelica.Mechanics.Translational.Interfaces.Flange_a piston annotation(Placement(transformation(extent = {{90,-10},{110,10}}, rotation = 0)));
      equation
        inflow.p = p;
        piston.s = s;
        piston.f = -A * (p - pa);
        der(p) = if p <= 0 then 0 else K / (V0 + A * s) * (inflow.q - A * v);
        der(s) = v;
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Line(points = {{60,60},{-90,60},{-90,-60},{60,-60}}, color = {0,0,0}),Line(points = {{20,60},{20,-60}}, color = {0,0,0}),Line(points = {{-50,100},{-50,60}}, color = {0,0,0}),Line(points = {{20,0},{100,0}}, color = {0,0,0}),Rectangle(extent = {{-100,-100},{100,100}}, lineColor = {0,0,0}),Rectangle(extent = {{-90,-60},{20,60}}, lineColor = {0,0,0}, fillColor = {83,233,255}, fillPattern = FillPattern.Solid)}));
      end CompressibleCylinder;
      model Valve "Drosselventil mit variabler Querschnittsfläche"
        parameter Density rho = 873 "Dichte";
        parameter Real alpha = 0.61 "Durchflussziffer";
        Interfaces.Port_a inflow annotation(Placement(transformation(extent = {{-110,-10},{-90,10}}, rotation = 0)));
        Interfaces.Port_b outflow annotation(Placement(transformation(extent = {{90,-10},{110,10}}, rotation = 0)));
        Modelica.Blocks.Interfaces.RealInput A annotation(Placement(transformation(extent = {{-10,90},{10,110}}, rotation = 270)));
      equation
        outflow.q + inflow.q = 0;
        inflow.p = outflow.p + rho / 2 * (inflow.q / (alpha * A)) ^ 2 * sign(inflow.q);
        annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}, lineColor = {0,0,0}),Line(points = {{-100,0},{100,0}}, color = {0,0,0}),Line(points = {{-80,40},{-50,20},{-20,10},{20,10},{50,20},{80,40}}, color = {0,0,0}),Line(points = {{-80,-40},{-50,-20},{-20,-10},{20,-10},{50,-20},{80,-40}}, color = {0,0,0})}));
      end Valve;
    end Components;
  end Hydraulik;
  package Kap16
    model Motor
      parameter Inertia Jm = 0.6 "Motorträgheit";
      parameter AngularVelocity om0 = 83.776 "Anfangsdrehzahl";
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,-75}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,-75}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {0,103}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,103}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = Jm, w(start = om0, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {45.6947,-73.8146}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Sources.Torque torque1 annotation(Placement(visible = true, transformation(origin = {-19.8117,-73.1755}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Sensors.SpeedSensor speedsensor1 annotation(Placement(visible = true, transformation(origin = {13.7404,-46.3338}, extent = {{12,-12},{-12,12}}, rotation = -270)));
      Modelica.Blocks.Tables.CombiTable2D combitable2d1(tableOnFile = true, tableName = "motor", fileName = "motorkennfeld.txt") annotation(Placement(visible = true, transformation(origin = {-33.2325,28.1198}, extent = {{12,12},{-12,-12}}, rotation = -180)));
    equation
      connect(u,combitable2d1.u2) annotation(Line(points = {{0,103},{0,103},{0,35.1194},{-18.8325,35.1194},{-18.8325,35.3198}}));
      connect(combitable2d1.y,torque1.tau) annotation(Line(points = {{-46.4325,28.1198},{-61.6719,28.1198},{-61.6719,-73.495},{-34.2117,-73.495},{-34.2117,-73.1755}}));
      connect(combitable2d1.u1,speedsensor1.w) annotation(Line(points = {{-18.8325,35.3198},{14.0599,35.3198},{14.0599,-33.1338},{13.7404,-33.1338}}));
      connect(speedsensor1.flange,inertia1.flange_a) annotation(Line(points = {{13.7404,-58.3338},{14.0599,-58.3338},{14.0599,-73.1755},{33.6947,-73.1755},{33.6947,-73.8146}}));
      connect(torque1.flange,inertia1.flange_a) annotation(Line(points = {{-7.8117,-73.1755},{34.1912,-73.1755},{34.1912,-73.8146},{33.6947,-73.8146}}));
      connect(inertia1.flange_b,flange_b) annotation(Line(points = {{57.6947,-73.8146},{98.4194,-73.8146},{98.4194,-75.7318},{99.378,-75.7318}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(lineColor = {0,0,0}, extent = {{-100,-100},{100,100}}),Rectangle(lineColor = {0,0,0}, extent = {{-68,-40},{-38,80}}, lineThickness = 1),Rectangle(lineColor = {0,0,0}, fillColor = {160,160,160}, fillPattern = FillPattern.Solid, extent = {{-68,10},{-38,80}}, lineThickness = 1),Rectangle(lineColor = {0,0,0}, extent = {{-67,0},{-39,10}}, lineThickness = 1),Line(points = {{-53,0},{-53,-85}}, pattern = LinePattern.Solid, thickness = 1),Rectangle(lineColor = {0,0,0}, extent = {{-33,-40},{-3,80}}, lineThickness = 1),Rectangle(lineColor = {0,0,0}, fillColor = {160,160,160}, fillPattern = FillPattern.Solid, extent = {{-33,40},{-3,80}}, lineThickness = 1),Rectangle(lineColor = {0,0,0}, extent = {{-32,30},{-4,40}}, lineThickness = 1),Line(points = {{-18,30},{-18,-65}}, pattern = LinePattern.Solid, thickness = 1),Rectangle(lineColor = {0,0,0}, extent = {{3,-40},{33,80}}, lineThickness = 1),Rectangle(lineColor = {0,0,0}, fillColor = {160,160,160}, fillPattern = FillPattern.Solid, extent = {{3,10},{33,80}}, lineThickness = 1),Rectangle(lineColor = {0,0,0}, extent = {{4,0},{32,10}}, lineThickness = 1),Line(points = {{18,0},{18,-85}}, pattern = LinePattern.Solid, thickness = 1),Rectangle(lineColor = {0,0,0}, extent = {{38,-40},{68,80}}, lineThickness = 1),Rectangle(lineColor = {0,0,0}, fillColor = {160,160,160}, fillPattern = FillPattern.Solid, extent = {{38,40},{68,80}}, lineThickness = 1),Rectangle(lineColor = {0,0,0}, extent = {{39,30},{67,40}}, lineThickness = 1),Line(points = {{53,30},{53,-65}}, pattern = LinePattern.Solid, thickness = 1),Line(points = {{-90,-75},{-61,-75},{-61,-85},{-45,-85},{-45,-75},{-26,-75},{-26,-65},{-10,-65},{-10,-75},{10,-75},{10,-85},{26,-85},{26,-75},{45,-75},{45,-65},{61,-65},{61,-75},{100,-75}}, pattern = LinePattern.Solid, thickness = 2)}));
    end Motor;
    model GearWithExternalRatio
      extends Modelica.Mechanics.Rotational.Interfaces.PartialTwoFlanges;
      Modelica.Blocks.Interfaces.RealInput ratio annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-10,10},{10,-10}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-10,10},{10,-10}}, rotation = -90)));
    equation
      flange_a.tau = -flange_b.tau / ratio;
      flange_a.phi = ratio * flange_b.phi;
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Line(points = {{-52.06,0},{-90,0}}),Rectangle(extent = {{-100,-100},{100,100}}),Ellipse(extent = {{-15.34,-17.87},{-49.37,13.04}}),Ellipse(extent = {{65.83,-38.43},{-10.53,36.21}}),Line(points = {{68.51,0},{90,0}})}));
    end GearWithExternalRatio;
    model Schaltgetriebe
      parameter Inertia Jgi = 0.1 "Getriebeträgheit Antrieb";
      parameter Inertia Jgo = 0.1 "Getriebeträgheit Abtrieb";
      parameter AngularVelocity om0 = 0 "Anfangsdrehzahl";
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia2(J = Jgo, w(start = 0)) annotation(Placement(visible = true, transformation(origin = {48.2168,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = Jgi, w(start = om0, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-53.3524,0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Blocks.Tables.CombiTable1Ds combitable1ds1(tableOnFile = true, tableName = "schaltung", fileName = "schaltgetriebe.txt") annotation(Placement(visible = true, transformation(origin = {-0.233585,66.7618}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      PJlib.Kap16.GearWithExternalRatio gearwithexternalratio1 annotation(Placement(visible = true, transformation(origin = {0.0517256,0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(combitable1ds1.y[1],gearwithexternalratio1.ratio) annotation(Line(points = {{-0.233585,53.5618},{-0.233585,12.3919},{0.288184,12.3919},{0.288184,12.3919}}));
      connect(u,combitable1ds1.u) annotation(Line(points = {{0,100},{0,100},{0,81.1618},{-0.233585,81.1618}}));
      connect(gearwithexternalratio1.flange_b,inertia2.flange_a) annotation(Line(points = {{12.0517,0.285307},{36.5193,0.285307},{36.5193,0},{36.2168,0}}));
      connect(gearwithexternalratio1.flange_a,inertia1.flange_b) annotation(Line(points = {{-11.9483,0.285307},{-41.6548,0.285307},{-41.6548,0.285307},{-41.3524,0.285307}}));
      connect(inertia1.flange_a,flange_a) annotation(Line(points = {{-65.3524,0.285307},{-97.8602,0.285307},{-97.8602,0},{-100,0}}));
      connect(inertia2.flange_b,flange_b) annotation(Line(points = {{60.2168,0},{100,0},{100,0},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-89,-5},{-51,5}}, fillPattern = FillPattern.Solid),Line(points = {{-43,0},{-21,0}}, color = {128,128,128}, thickness = 3),Line(points = {{-32,-11},{-32,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-48,-16},{-16,16}}, lineThickness = 3),Ellipse(extent = {{-38,-6},{-26,6}}, lineThickness = 3),Line(points = {{16,0},{38,0}}, color = {128,128,128}, thickness = 3),Line(points = {{27,-11},{27,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-11,-38},{65,38}}, lineThickness = 3),Ellipse(extent = {{21,-6},{33,6}}, lineThickness = 3),Rectangle(extent = {{68,-5},{89,5}}, fillPattern = FillPattern.Solid)}));
    end Schaltgetriebe;
    model Kupplung
      parameter Torque Mg = 280 "Gleitreibungsmoment";
      parameter Torque Mh = 280 "Haftreibungsmoment";
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Clutch clutch1(peak = Mh / Mg, fn_max = 2 * Mg) annotation(Placement(visible = true, transformation(origin = {7.19424,-0.28777}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {0,104}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,104}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Blocks.Sources.Constant const(k = 1) annotation(Placement(visible = true, transformation(origin = {40.8633,79.7122}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Blocks.Math.Add add1(k2 = -1) annotation(Placement(visible = true, transformation(origin = {6.90647,38.8489}, extent = {{-12,12},{12,-12}}, rotation = -90)));
    equation
      connect(const.y,add1.u1) annotation(Line(points = {{40.8633,66.5122},{40.8633,66.5122},{40.8633,62.446},{13.5252,62.446},{13.5252,53.2489},{14.1065,53.2489}}));
      connect(add1.y,clutch1.f_normalized) annotation(Line(points = {{6.90647,25.6489},{6.90647,25.6489},{6.90647,12.9122},{7.19424,12.9122}}));
      connect(clutch1.flange_a,flange_a) annotation(Line(points = {{-4.80576,-0.28777},{-100.144,-0.28777},{-100.144,0},{-100,0}}));
      connect(clutch1.flange_b,flange_b) annotation(Line(points = {{19.1942,-0.28777},{100.144,-0.28777},{100.144,0},{100,0}}));
      connect(u,add1.u2) annotation(Line(points = {{0,104},{0,104},{0,53.2489},{-0.293525,53.2489}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-20,-80},{-10,80}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{10,-80},{20,80}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{-89,-5},{-20,5}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{20,-5},{89,5}}, fillPattern = FillPattern.Solid)}));
    end Kupplung;
    model SignalSynchronring
      parameter Real minVal = 0.9 "Minimalwert";
      parameter Real maxVal = 1.1 "Maximalwert";
      parameter Real Tschalt = 0.5 "Schaltzeit";
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-102.996,7.98859}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {105.563,7.98859}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {103,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.Nand nand1 annotation(Placement(visible = true, transformation(origin = {-8.05755,8.05755}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.GreaterEqualThreshold greaterequalthreshold1(threshold = minVal) annotation(Placement(visible = true, transformation(origin = {-56.4029,32.518}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.LessThreshold lessthreshold1(threshold = maxVal) annotation(Placement(visible = true, transformation(origin = {-55.2518,-12.3741}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.BooleanToReal booleantoreal1 annotation(Placement(visible = true, transformation(origin = {30.7914,8.05755}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Continuous.FirstOrder firstorder1(T = Tschalt / (2 * Modelica.Constants.pi), initType = Modelica.Blocks.Types.Init.InitialOutput, y_start = 1) annotation(Placement(visible = true, transformation(origin = {69.6403,8.63309}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(firstorder1.y,y) annotation(Line(points = {{82.8403,8.63309},{97.554,8.63309},{97.554,7.98859},{105.563,7.98859}}));
      connect(booleantoreal1.y,firstorder1.u) annotation(Line(points = {{43.9914,8.05755},{54.964,8.05755},{54.964,8.63309},{55.2403,8.63309}}));
      connect(nand1.y,booleantoreal1.u) annotation(Line(points = {{5.14245,8.05755},{15.8273,8.05755},{15.8273,8.05755},{16.3914,8.05755}}));
      connect(lessthreshold1.y,nand1.u2) annotation(Line(points = {{-42.0518,-12.3741},{-33.9568,-12.3741},{-33.9568,-1.43885},{-22.4576,-1.43885},{-22.4576,-1.54245}}));
      connect(greaterequalthreshold1.y,nand1.u1) annotation(Line(points = {{-43.2029,32.518},{-33.9568,32.518},{-33.9568,7.76978},{-22.4576,7.76978},{-22.4576,8.05755}}));
      connect(lessthreshold1.u,u) annotation(Line(points = {{-69.6518,-12.3741},{-80.5755,-12.3741},{-80.5755,8.05755},{-102.996,8.05755},{-102.996,7.98859}}));
      connect(greaterequalthreshold1.u,u) annotation(Line(points = {{-70.8029,32.518},{-80.5755,32.518},{-80.5755,8.05755},{-102.996,8.05755},{-102.996,7.98859}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}})}));
    end SignalSynchronring;
    model Schaltgetriebe1
      parameter Inertia Jgi = 0.1 "Getriebeträgheit Antrieb";
      parameter Inertia Jgo = 0.1 "Getriebeträgheit Abtrieb";
      parameter Real[5] ig = {4.15,2.52,1.69,1.24,1.0} "Übersetzungen Schaltgetriebe";
      parameter Integer gang = 1 "eingelegter Gang";
      parameter AngularVelocity om0 = 0 "Anfangsdrehzahl";
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia2(J = Jgo, w(start = om0 / ig[gang])) annotation(Placement(visible = true, transformation(origin = {48.2168,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = Jgi, w(start = om0, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-53.3524,0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear1(ratio = ig[gang]) annotation(Placement(visible = true, transformation(origin = {-0.28777,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(idealgear1.flange_b,inertia2.flange_a) annotation(Line(points = {{11.7122,0},{36.259,0},{36.259,0},{36.2168,0}}));
      connect(inertia1.flange_b,idealgear1.flange_a) annotation(Line(points = {{-41.3524,0.285307},{-12.0863,0.285307},{-12.0863,0},{-12.2878,0}}));
      connect(inertia1.flange_a,flange_a) annotation(Line(points = {{-65.3524,0.285307},{-97.8602,0.285307},{-97.8602,0},{-100,0}}));
      connect(inertia2.flange_b,flange_b) annotation(Line(points = {{60.2168,0},{100,0},{100,0},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-89,-5},{-51,5}}, fillPattern = FillPattern.Solid),Line(points = {{-43,0},{-21,0}}, color = {128,128,128}, thickness = 3),Line(points = {{-32,-11},{-32,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-48,-16},{-16,16}}, lineThickness = 3),Ellipse(extent = {{-38,-6},{-26,6}}, lineThickness = 3),Line(points = {{16,0},{38,0}}, color = {128,128,128}, thickness = 3),Line(points = {{27,-11},{27,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-11,-38},{65,38}}, lineThickness = 3),Ellipse(extent = {{21,-6},{33,6}}, lineThickness = 3),Rectangle(extent = {{68,-5},{89,5}}, fillPattern = FillPattern.Solid)}));
    end Schaltgetriebe1;
    model Schaltgetriebe2
      parameter Real i2 = 2.52 "Uebersetzung 2. Gang";
      parameter Real i1 = 4.15 "Uebersetzung 1. Gang";
      parameter Inertia Jgo = 0.5 "Getriebeträgheit Abtrieb";
      parameter Inertia Jgi = 0.5 "Getriebeträgheit Antrieb";
      parameter Time TS = 0.5 "Synchronisierungszeit";
      parameter AngularVelocity om0 = 0 "Anfangsdrehzahl";
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = Jgi, w(start = om0, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-85.1804,-0.287721}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia2(J = Jgo, w(start = om0 / i1, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {84.8921,-0.287763}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung1(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-52.6619,35.3958}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung2(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-37.9856,18.705}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear1(ratio = i1) annotation(Placement(visible = true, transformation(origin = {56.6907,35.3957}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear2(ratio = i2) annotation(Placement(visible = true, transformation(origin = {56.6906,18.7051}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring1(minVal = 0.9, maxVal = 1.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-53.2374,63.5971}, extent = {{-6,6},{6,-6}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring2(minVal = 1.9, maxVal = 2.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-38.5611,63.8849}, extent = {{-6,6},{6,-6}}, rotation = -90)));
    equation
      connect(signalsynchronring1.u,u) annotation(Line(points = {{-52.7581,69.7769},{-52.6619,69.7769},{-52.6619,82.8777},{0,82.8777},{0,103},{0,103}}));
      connect(signalsynchronring2.u,u) annotation(Line(points = {{-38.0818,70.0647},{-37.9856,70.0647},{-37.9856,82.8777},{0.28777,82.8777},{0.28777,103},{0,103}}));
      connect(signalsynchronring1.y,kupplung1.u) annotation(Line(points = {{-52.7581,57.2633},{-52.9496,57.2633},{-52.9496,41.6358},{-52.6619,41.6358}}));
      connect(signalsynchronring2.y,kupplung2.u) annotation(Line(points = {{-38.0818,57.5512},{-38.2734,57.5512},{-38.2734,24.945},{-37.9856,24.945}}));
      connect(flange_a,inertia1.flange_a) annotation(Line(points = {{-100,0},{-90.9353,0},{-90.9353,-0.287721},{-91.1804,-0.287721}}));
      connect(kupplung1.flange_a,inertia1.flange_b) annotation(Line(points = {{-58.6619,35.3958},{-67.9137,35.3958},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(kupplung2.flange_a,inertia1.flange_b) annotation(Line(points = {{-43.9856,18.705},{-67.9137,18.705},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(kupplung1.flange_b,idealgear1.flange_a) annotation(Line(points = {{-46.6619,35.3958},{51.223,35.3958},{51.223,35.3957},{50.6907,35.3957}}));
      connect(kupplung2.flange_b,idealgear2.flange_a) annotation(Line(points = {{-31.9856,18.705},{49.7842,18.705},{49.7842,18.7051},{50.6906,18.7051}}));
      connect(idealgear1.flange_b,inertia2.flange_a) annotation(Line(points = {{62.6907,35.3957},{70.5036,35.3957},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(idealgear2.flange_b,inertia2.flange_a) annotation(Line(points = {{62.6906,18.7051},{70.5036,18.7051},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(inertia2.flange_b,flange_b) annotation(Line(points = {{90.8921,-0.287763},{99.8561,-0.287763},{99.8561,0},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-89,-5},{-51,5}}, fillPattern = FillPattern.Solid),Line(points = {{-43,0},{-21,0}}, color = {128,128,128}, thickness = 3),Line(points = {{-32,-11},{-32,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-48,-16},{-16,16}}, lineThickness = 3),Ellipse(extent = {{-38,-6},{-26,6}}, lineThickness = 3),Line(points = {{16,0},{38,0}}, color = {128,128,128}, thickness = 3),Line(points = {{27,-11},{27,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-11,-38},{65,38}}, lineThickness = 3),Ellipse(extent = {{21,-6},{33,6}}, lineThickness = 3),Rectangle(extent = {{68,-5},{89,5}}, fillPattern = FillPattern.Solid)}));
    end Schaltgetriebe2;
    model Schaltgetriebe3
      parameter Real i1 = 4.15 "Uebersetzung 1. Gang";
      parameter Real i2 = 2.52 "Uebersetzung 2. Gang";
      parameter Real i3 = 1.69 "Uebersetzung 3. Gang";
      parameter Inertia Jgo = 0.5 "Getriebeträgheit Abtrieb";
      parameter Inertia Jgi = 0.5 "Getriebeträgheit Antrieb";
      parameter Time TS = 0.5 "Synchronisierungszeit";
      parameter AngularVelocity om0 = 0 "Anfangsdrehzahl";
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = Jgi, w(start = om0, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-85.1804,-0.287721}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia2(J = Jgo, w(start = om0 / i1, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {84.8921,-0.287763}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung1(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-52.6619,35.3958}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung2(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-37.9856,18.705}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear1(ratio = i1) annotation(Placement(visible = true, transformation(origin = {56.6907,35.3957}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear2(ratio = i2) annotation(Placement(visible = true, transformation(origin = {56.6906,18.7051}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung3(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-21.295,-0.287806}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear3(ratio = i3) annotation(Placement(visible = true, transformation(origin = {57.2661,-0.287707}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring1(minVal = 0.9, maxVal = 1.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-53.2374,63.5971}, extent = {{-6,6},{6,-6}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring2(minVal = 1.9, maxVal = 2.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-38.5611,63.8849}, extent = {{-6,6},{6,-6}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring3(minVal = 2.9, maxVal = 3.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-22.446,63.8849}, extent = {{-6,6},{6,-6}}, rotation = -90)));
    equation
      connect(signalsynchronring3.u,u) annotation(Line(points = {{-21.9667,70.0647},{-22.1583,70.0647},{-22.1583,82.8777},{0.28777,82.8777},{0.28777,100},{0,100}}));
      connect(signalsynchronring3.y,kupplung3.u) annotation(Line(points = {{-21.9667,57.5511},{-21.5828,57.5511},{-21.5828,5.95219},{-21.295,5.95219}}));
      connect(idealgear3.flange_b,inertia2.flange_a) annotation(Line(points = {{63.2661,-0.287707},{70.5036,-0.287707},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(kupplung3.flange_b,idealgear3.flange_a) annotation(Line(points = {{-15.295,-0.287806},{49.7842,-0.287806},{49.7842,-0.287707},{51.2661,-0.287707}}));
      connect(kupplung3.flange_a,inertia1.flange_b) annotation(Line(points = {{-27.295,-0.287806},{-67.9137,-0.287806},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(signalsynchronring1.u,u) annotation(Line(points = {{-52.7581,69.7769},{-52.6619,69.7769},{-52.6619,82.8777},{0,82.8777},{0,103},{0,103}}));
      connect(signalsynchronring2.u,u) annotation(Line(points = {{-38.0818,70.0647},{-37.9856,70.0647},{-37.9856,82.8777},{0.28777,82.8777},{0.28777,103},{0,103}}));
      connect(signalsynchronring1.y,kupplung1.u) annotation(Line(points = {{-52.7581,57.2633},{-52.9496,57.2633},{-52.9496,41.6358},{-52.6619,41.6358}}));
      connect(signalsynchronring2.y,kupplung2.u) annotation(Line(points = {{-38.0818,57.5512},{-38.2734,57.5512},{-38.2734,24.945},{-37.9856,24.945}}));
      connect(flange_a,inertia1.flange_a) annotation(Line(points = {{-100,0},{-90.9353,0},{-90.9353,-0.287721},{-91.1804,-0.287721}}));
      connect(kupplung1.flange_a,inertia1.flange_b) annotation(Line(points = {{-58.6619,35.3958},{-67.9137,35.3958},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(kupplung2.flange_a,inertia1.flange_b) annotation(Line(points = {{-43.9856,18.705},{-67.9137,18.705},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(kupplung1.flange_b,idealgear1.flange_a) annotation(Line(points = {{-46.6619,35.3958},{51.223,35.3958},{51.223,35.3957},{50.6907,35.3957}}));
      connect(kupplung2.flange_b,idealgear2.flange_a) annotation(Line(points = {{-31.9856,18.705},{49.7842,18.705},{49.7842,18.7051},{50.6906,18.7051}}));
      connect(idealgear1.flange_b,inertia2.flange_a) annotation(Line(points = {{62.6907,35.3957},{70.5036,35.3957},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(idealgear2.flange_b,inertia2.flange_a) annotation(Line(points = {{62.6906,18.7051},{70.5036,18.7051},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(inertia2.flange_b,flange_b) annotation(Line(points = {{90.8921,-0.287763},{99.8561,-0.287763},{99.8561,0},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-89,-5},{-51,5}}, fillPattern = FillPattern.Solid),Line(points = {{-43,0},{-21,0}}, color = {128,128,128}, thickness = 3),Line(points = {{-32,-11},{-32,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-48,-16},{-16,16}}, lineThickness = 3),Ellipse(extent = {{-38,-6},{-26,6}}, lineThickness = 3),Line(points = {{16,0},{38,0}}, color = {128,128,128}, thickness = 3),Line(points = {{27,-11},{27,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-11,-38},{65,38}}, lineThickness = 3),Ellipse(extent = {{21,-6},{33,6}}, lineThickness = 3),Rectangle(extent = {{68,-5},{89,5}}, fillPattern = FillPattern.Solid)}));
    end Schaltgetriebe3;
    model Schaltgetriebe5
      parameter Time TS = 0.5 "Synchronisierungszeit";
      parameter Inertia Jgi = 0.5 "Getriebeträgheit Antrieb";
      parameter Inertia Jgo = 0.5 "Getriebeträgheit Abtrieb";
      parameter Real i1 = 4.15 "Uebersetzung 1. Gang";
      parameter Real i2 = 2.52 "Uebersetzung 2. Gang";
      parameter Real i3 = 1.69 "Uebersetzung 3. Gang";
      parameter Real i4 = 1.24 "Uebersetzung 4. Gang";
      parameter Real i5 = 1.0 "Uebersetzung 5. Gang";
      parameter AngularVelocity om0 = 0 "Anfangsdrehzahl";
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = Jgi, w(start = om0, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-85.1804,-0.287721}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia2(J = Jgo, w(start = om0 / i1, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {84.8921,-0.287763}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung1(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-52.6619,35.3958}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung2(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-37.9856,18.705}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung3(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-21.0072,-0.287721}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung4(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {-3.16546,-16.4028}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      PJlib.Kap16.Kupplung kupplung5(Mg = 1900, Mh = 2000) annotation(Placement(visible = true, transformation(origin = {12.9497,-34.5324}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear1(ratio = i1) annotation(Placement(visible = true, transformation(origin = {56.6907,35.3957}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear2(ratio = i2) annotation(Placement(visible = true, transformation(origin = {56.6906,18.7051}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear3(ratio = i3) annotation(Placement(visible = true, transformation(origin = {56.4029,-0.287788}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear4(ratio = i4) annotation(Placement(visible = true, transformation(origin = {55.8273,-16.6906}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear5(ratio = i5) annotation(Placement(visible = true, transformation(origin = {56.1152,-34.5324}, extent = {{-6,-6},{6,6}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring1(minVal = 0.9, maxVal = 1.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-53.2374,63.5971}, extent = {{-6,6},{6,-6}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring2(minVal = 1.9, maxVal = 2.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-38.5611,63.8849}, extent = {{-6,6},{6,-6}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring3(minVal = 2.9, maxVal = 3.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-21.295,63.885}, extent = {{-6,6},{6,-6}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring4(minVal = 3.9, maxVal = 4.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {-4.02878,63.8849}, extent = {{-6,6},{6,-6}}, rotation = -90)));
      PJlib.Kap16.SignalSynchronring signalsynchronring5(minVal = 4.9, maxVal = 5.1, Tschalt = TS) annotation(Placement(visible = true, transformation(origin = {12.3741,63.8849}, extent = {{-6,6},{6,-6}}, rotation = -90)));
    equation
      connect(signalsynchronring2.u,u) annotation(Line(points = {{-38.0818,70.0647},{-37.9856,70.0647},{-37.9856,82.8777},{0.28777,82.8777},{0.28777,103},{0,103}}));
      connect(signalsynchronring3.u,u) annotation(Line(points = {{-20.8157,70.0647},{-20.7194,70.0647},{-20.7194,82.8777},{0,82.8777},{0,103},{0,103}}));
      connect(signalsynchronring4.u,u) annotation(Line(points = {{-3.54947,70.0647},{-3.45324,70.0647},{-3.45324,82.8777},{0,82.8777},{0,103},{0,103}}));
      connect(signalsynchronring5.u,u) annotation(Line(points = {{12.8534,70.0647},{12.9496,70.0647},{12.9496,82.8777},{0,82.8777},{0,103},{0,103}}));
      connect(signalsynchronring1.u,u) annotation(Line(points = {{-52.7581,69.7769},{-52.6619,69.7769},{-52.6619,82.8777},{0,82.8777},{0,103},{0,103}}));
      connect(idealgear5.flange_b,inertia2.flange_a) annotation(Line(points = {{62.1152,-34.5324},{70.5036,-34.5324},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(idealgear4.flange_b,inertia2.flange_a) annotation(Line(points = {{61.8273,-16.6906},{70.5036,-16.6906},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(idealgear2.flange_b,inertia2.flange_a) annotation(Line(points = {{62.6906,18.7051},{70.5036,18.7051},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(idealgear1.flange_b,inertia2.flange_a) annotation(Line(points = {{62.6907,35.3957},{70.5036,35.3957},{70.5036,-0.28777},{78.8921,-0.28777},{78.8921,-0.287763}}));
      connect(kupplung5.flange_a,inertia1.flange_b) annotation(Line(points = {{6.94969,-34.5324},{-67.9137,-34.5324},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(kupplung4.flange_a,inertia1.flange_b) annotation(Line(points = {{-9.16546,-16.4028},{-67.9137,-16.4028},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(kupplung2.flange_a,inertia1.flange_b) annotation(Line(points = {{-43.9856,18.705},{-67.9137,18.705},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(kupplung1.flange_a,inertia1.flange_b) annotation(Line(points = {{-58.6619,35.3958},{-67.9137,35.3958},{-67.9137,-0.28777},{-79.1804,-0.28777},{-79.1804,-0.287721}}));
      connect(kupplung5.flange_b,idealgear5.flange_a) annotation(Line(points = {{18.9497,-34.5324},{50.0719,-34.5324},{50.0719,-34.5324},{50.1152,-34.5324}}));
      connect(kupplung4.flange_b,idealgear4.flange_a) annotation(Line(points = {{2.83454,-16.4028},{50.3597,-16.4028},{50.3597,-16.6906},{49.8273,-16.6906}}));
      connect(idealgear3.flange_b,inertia2.flange_a) annotation(Line(points = {{62.4029,-0.287788},{80.5755,-0.287788},{80.5755,-0.287763},{78.8921,-0.287763}}));
      connect(kupplung3.flange_b,idealgear3.flange_a) annotation(Line(points = {{-15.0072,-0.287721},{50.0719,-0.287721},{50.0719,-0.287788},{50.4029,-0.287788}}));
      connect(kupplung2.flange_b,idealgear2.flange_a) annotation(Line(points = {{-31.9856,18.705},{49.7842,18.705},{49.7842,18.7051},{50.6906,18.7051}}));
      connect(kupplung1.flange_b,idealgear1.flange_a) annotation(Line(points = {{-46.6619,35.3958},{51.223,35.3958},{51.223,35.3957},{50.6907,35.3957}}));
      connect(signalsynchronring5.y,kupplung5.u) annotation(Line(points = {{12.8534,57.5511},{12.9496,57.5511},{12.9496,-28.2924},{12.9497,-28.2924}}));
      connect(signalsynchronring4.y,kupplung4.u) annotation(Line(points = {{-3.54947,57.5512},{-3.45324,57.5512},{-3.45324,-10.1628},{-3.16546,-10.1628}}));
      connect(kupplung3.flange_a,inertia1.flange_b) annotation(Line(points = {{-27.0072,-0.287721},{-78.8489,-0.287721},{-78.8489,-0.287721},{-79.1804,-0.287721}}));
      connect(signalsynchronring3.y,kupplung3.u) annotation(Line(points = {{-20.8157,57.5512},{-21.0072,57.5512},{-21.0072,5.95228},{-21.0072,5.95228}}));
      connect(signalsynchronring2.y,kupplung2.u) annotation(Line(points = {{-38.0818,57.5512},{-38.2734,57.5512},{-38.2734,24.945},{-37.9856,24.945}}));
      connect(signalsynchronring1.y,kupplung1.u) annotation(Line(points = {{-52.7581,57.2633},{-52.9496,57.2633},{-52.9496,41.6358},{-52.6619,41.6358}}));
      connect(inertia2.flange_b,flange_b) annotation(Line(points = {{90.8921,-0.287763},{99.8561,-0.287763},{99.8561,0},{100,0}}));
      connect(flange_a,inertia1.flange_a) annotation(Line(points = {{-100,0},{-90.9353,0},{-90.9353,-0.287721},{-91.1804,-0.287721}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-89,-5},{-51,5}}, fillPattern = FillPattern.Solid),Line(points = {{-43,0},{-21,0}}, color = {128,128,128}, thickness = 3),Line(points = {{-32,-11},{-32,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-48,-16},{-16,16}}, lineThickness = 3),Ellipse(extent = {{-38,-6},{-26,6}}, lineThickness = 3),Line(points = {{16,0},{38,0}}, color = {128,128,128}, thickness = 3),Line(points = {{27,-11},{27,11}}, color = {128,128,128}, thickness = 3),Ellipse(extent = {{-11,-38},{65,38}}, lineThickness = 3),Ellipse(extent = {{21,-6},{33,6}}, lineThickness = 3),Rectangle(extent = {{68,-5},{89,5}}, fillPattern = FillPattern.Solid)}));
    end Schaltgetriebe5;
    model Differential
      Modelica.Mechanics.Rotational.Interfaces.Flange_a fli annotation(Placement(transformation(extent = {{-110,-10},{-90,10}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_a fll annotation(Placement(transformation(extent = {{90,40},{110,60}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flr annotation(Placement(transformation(extent = {{90,-60},{110,-40}}, rotation = 0)));
    equation
      fli.tau = -2 * fll.tau;
      flr.tau = fll.tau;
      2 * fli.phi = fll.phi + flr.phi;
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-90,-5},{-50,5}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{50,45},{90,55}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{50,-55},{90,-45}}, fillPattern = FillPattern.Solid),Line(points = {{-50,-20},{-50,20},{50,65},{50,-65},{-50,-20}}, thickness = 3)}));
    end Differential;
    model Differentialgetriebe
      parameter Inertia Ji = 0.04 "Trägheit Antrieb";
      parameter Inertia Jo = 0.05 "Trägheit Abtrieb";
      parameter Real i = 3.27 "Übersetzung";
      parameter AngularVelocity om0 = 0 "Anfangsdrehzahl";
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Interfaces.Flange_b flange_b1 annotation(Placement(visible = true, transformation(origin = {100,-50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,-50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap16.Differential differential1 annotation(Placement(visible = true, transformation(origin = {10.8416,0.285303}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia3(J = Ji, w(start = om0, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-65.9058,-0.000000389428}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealGear idealgear1(ratio = i) annotation(Placement(visible = true, transformation(origin = {-29.3866,0.285303}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = Jo, w(start = om0 / i, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {65.6205,49.9287}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia2(J = Jo, w(start = om0 / i, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {65.05,-48.5021}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(differential1.flr,inertia2.flange_a) annotation(Line(points = {{22.8416,-5.7147},{37.6605,-5.7147},{37.6605,-48.2168},{53.05,-48.2168},{53.05,-48.5021}}));
      connect(differential1.fll,inertia1.flange_a) annotation(Line(points = {{22.8416,6.2853},{37.6605,6.2853},{37.6605,49.9287},{53.6205,49.9287},{53.6205,49.9287}}));
      connect(idealgear1.flange_b,differential1.fli) annotation(Line(points = {{-17.3866,0.285303},{-0.85592,0.285303},{-0.85592,0.285303},{-1.15839,0.285303}}));
      connect(inertia3.flange_b,idealgear1.flange_a) annotation(Line(points = {{-53.9058,-0.000000389428},{-41.0842,-0.000000389428},{-41.0842,0.285303},{-41.3866,0.285303}}));
      connect(inertia3.flange_a,flange_a) annotation(Line(points = {{-77.9058,-0.000000389428},{-99.8573,-0.000000389428},{-99.8573,0},{-100,0}}));
      connect(inertia2.flange_b,flange_b1) annotation(Line(points = {{77.05,-48.5021},{100.428,-48.5021},{100.428,-50},{100,-50}}));
      connect(inertia1.flange_b,flange_b) annotation(Line(points = {{77.6205,49.9287},{98.1455,49.9287},{98.1455,50},{100,50}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-90,-5},{-50,5}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{50,45},{90,55}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{50,-55},{90,-45}}, fillPattern = FillPattern.Solid),Polygon(points = {{-50,-20},{-50,20},{50,65},{50,-65},{-50,-20}}, fillPattern = FillPattern.Solid)}));
    end Differentialgetriebe;
    model Karosserie
      parameter Mass m = 1200 "Fahrzeugmasse";
      parameter Real cW = 0.36 "Widerstandsbeiwert";
      parameter Area A = 2 "angeströmte Fläche";
      parameter Density rho = 1.293 "Dichte der Luft";
      parameter Acceleration g = 9.81 "Erdbeschleunigung";
      parameter Velocity v0 = 0 "Anfangsgeschwindigkeit";
      Modelica.Mechanics.Translational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-99.572,5.42083}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-99.572,5.42083}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Components.Mass mass1(m = m, s(start = 0, fixed = true), v(start = v0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-38.2311,-65.3352}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Sources.Force force1 annotation(Placement(visible = true, transformation(origin = {-64.7646,60.485}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.Translational.Sources.Force force2 annotation(Placement(visible = true, transformation(origin = {-64.7646,5.70613}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Blocks.Math.Gain gain2(k = -m * g) annotation(Placement(visible = true, transformation(origin = {-27.6748,60.485}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Blocks.Math.Sin sin1 annotation(Placement(visible = true, transformation(origin = {11.6976,60.1997}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Blocks.Math.Gain gain3(k = Modelica.Constants.pi / 180) annotation(Placement(visible = true, transformation(origin = {49.3581,60.1997}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Blocks.Math.Gain gain1(k = -0.5 * rho * cW * A) annotation(Placement(visible = true, transformation(origin = {-27.1041,5.70613}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Blocks.Math.Product product1 annotation(Placement(visible = true, transformation(origin = {9.41512,5.42083}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Blocks.Math.Abs abs1 annotation(Placement(visible = true, transformation(origin = {54.2083,12.5535}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.Translational.Sensors.SpeedSensor speedsensor1 annotation(Placement(visible = true, transformation(origin = {83.3096,-43.6519}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-1.71184,103.852}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {-4.32277,97.1182}, extent = {{-12,-12},{12,12}}, rotation = -90)));
    equation
      connect(force1.flange,flange_a) annotation(Line(points = {{-76.7646,60.485},{-85.3067,60.485},{-85.3067,5.42083},{-99.572,5.42083},{-99.572,5.42083}}));
      connect(mass1.flange_a,flange_a) annotation(Line(points = {{-50.2311,-65.3352},{-85.3067,-65.3352},{-85.3067,5.42083},{-99.572,5.42083},{-99.572,5.42083}}));
      connect(flange_a,force2.flange) annotation(Line(points = {{-99.572,5.42083},{-76.7475,5.42083},{-76.7475,5.70613},{-76.7646,5.70613}}));
      connect(mass1.flange_b,speedsensor1.flange) annotation(Line(points = {{-26.2311,-65.3352},{83.5949,-65.3352},{83.5949,-55.6519},{83.3096,-55.6519}}));
      connect(product1.u1,speedsensor1.v) annotation(Line(points = {{23.8151,-1.77917},{83.3096,-1.77917},{83.3096,-31.0984},{83.3096,-31.0984},{83.3096,-30.4519}}));
      connect(abs1.u,speedsensor1.v) annotation(Line(points = {{68.6083,12.5535},{83.3096,12.5535},{83.3096,-30.4519},{83.3096,-30.4519}}));
      connect(product1.u2,abs1.y) annotation(Line(points = {{23.8151,12.6208},{42.796,12.6208},{42.796,12.5535},{41.0083,12.5535}}));
      connect(gain1.u,product1.y) annotation(Line(points = {{-12.7041,5.70613},{-3.42368,5.70613},{-3.42368,5.42083},{-3.78488,5.42083}}));
      connect(force2.f,gain1.y) annotation(Line(points = {{-50.3646,5.70613},{-39.3723,5.70613},{-39.3723,5.70613},{-40.3041,5.70613}}));
      connect(gain3.u,u) annotation(Line(points = {{63.7581,60.1997},{78.174,60.1997},{78.174,82.1683},{-1.71184,82.1683},{-1.71184,103.852},{-1.71184,103.852}}));
      connect(sin1.u,gain3.y) annotation(Line(points = {{26.0976,60.1997},{36.234,60.1997},{36.234,60.1997},{36.1581,60.1997}}));
      connect(gain2.u,sin1.y) annotation(Line(points = {{-13.2748,60.485},{-1.14123,60.485},{-1.14123,60.1997},{-1.50243,60.1997}}));
      connect(force1.f,gain2.y) annotation(Line(points = {{-50.3646,60.485},{-39.087,60.485},{-39.087,60.485},{-40.8748,60.485}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Bitmap(extent = {{-100,100},{100,-100}}, fileName = "icon-karosserie.png")}));
    end Karosserie;
    model ToggleFF
      parameter Real yStart = 0 "Anfangswert";
      Modelica.Blocks.Interfaces.BooleanInput u annotation(Placement(visible = true, transformation(origin = {-104,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-104,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.BooleanOutput y annotation(Placement(visible = true, transformation(origin = {106,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {106,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.Not not1 annotation(Placement(visible = true, transformation(origin = {-61.3409,31.0984}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.BooleanToReal booleantoreal1 annotation(Placement(visible = true, transformation(origin = {-21.9686,30.8131}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.RealToBoolean realtoboolean1 annotation(Placement(visible = true, transformation(origin = {59.0585,29.9572}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Discrete.TriggeredSampler triggeredsampler1(y_start = yStart) annotation(Placement(visible = true, transformation(origin = {18.5449,30.5278}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(not1.u,realtoboolean1.y) annotation(Line(points = {{-75.7409,31.0984},{-88.7304,31.0984},{-88.7304,63.9087},{81.3124,63.9087},{81.3124,29.9572},{72.2585,29.9572},{72.2585,29.9572}}));
      connect(realtoboolean1.y,y) annotation(Line(points = {{72.2585,29.9572},{81.3124,29.9572},{81.3124,49.9287},{106.705,49.9287},{106.705,51.0699}}));
      connect(u,triggeredsampler1.trigger) annotation(Line(points = {{-104.137,4.85021},{18.8302,4.85021},{18.8302,16.3678},{18.5449,16.3678}}));
      connect(triggeredsampler1.y,realtoboolean1.u) annotation(Line(points = {{31.7449,30.5278},{43.3666,30.5278},{43.3666,29.9572},{44.6585,29.9572}}));
      connect(booleantoreal1.y,triggeredsampler1.u) annotation(Line(points = {{-8.76862,30.8131},{3.42368,30.8131},{3.42368,30.5278},{4.14494,30.5278}}));
      connect(not1.y,booleantoreal1.u) annotation(Line(points = {{-48.1409,31.0984},{-37.3752,31.0984},{-37.3752,30.8131},{-36.3686,30.8131}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{50,35},{80,75}}, textString = "Q", fontName = "Times New Roman"),Line(points = {{-100,-30},{-60,0},{-100,30}})}));
    end ToggleFF;
    model Monoflop
      parameter Real tHalt = 1 "Haltezeit";
      Modelica.Blocks.Interfaces.BooleanOutput y annotation(Placement(visible = true, transformation(origin = {105,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.BooleanInput u annotation(Placement(visible = true, transformation(origin = {-100,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.Not not1 annotation(Placement(visible = true, transformation(origin = {-67.6177,49.9287}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.And and1 annotation(Placement(visible = true, transformation(origin = {-29.6719,73.3238}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.Or or1 annotation(Placement(visible = true, transformation(origin = {4.2796,72.4679}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.Pre pre1 annotation(Placement(visible = true, transformation(origin = {38.2311,72.1826}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap16.ToggleFF toggleff1 annotation(Placement(visible = true, transformation(origin = {70.1854,71.612}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.Timer timer1 annotation(Placement(visible = true, transformation(origin = {51.9258,28.2454}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Blocks.Logical.GreaterEqualThreshold greaterequalthreshold1(threshold = tHalt) annotation(Placement(visible = true, transformation(origin = {15.9772,28.2454}, extent = {{12,12},{-12,-12}}, rotation = -180)));
    equation
      connect(timer1.u,toggleff1.y) annotation(Line(points = {{66.3258,28.2454},{86.4479,28.2454},{86.4479,77.6034},{82.9054,77.6034},{82.9054,77.612}}));
      connect(toggleff1.y,not1.u) annotation(Line(points = {{82.9054,77.612},{86.4479,77.612},{86.4479,0.85592},{-87.5892,0.85592},{-87.5892,49.9287},{-82.0177,49.9287},{-82.0177,49.9287}}));
      connect(toggleff1.y,y) annotation(Line(points = {{82.9054,77.612},{86.4479,77.612},{86.4479,49.9287},{105,49.9287},{105,50}}));
      connect(greaterequalthreshold1.y,or1.u2) annotation(Line(points = {{2.77718,28.2454},{-14.8359,28.2454},{-14.8359,63.0528},{-11.4123,63.0528},{-11.4123,62.8679},{-10.1204,62.8679}}));
      connect(timer1.y,greaterequalthreshold1.u) annotation(Line(points = {{38.7258,28.2454},{23.3951,28.2454},{23.3951,28.2454},{30.3772,28.2454}}));
      connect(not1.y,and1.u2) annotation(Line(points = {{-54.4177,49.9287},{-50.7846,49.9287},{-50.7846,63.3381},{-44.0719,63.3381},{-44.0719,63.7238}}));
      connect(u,and1.u1) annotation(Line(points = {{-105,50},{-89.8716,50},{-89.8716,73.3238},{-44.0719,73.3238},{-44.0719,73.3238}}));
      connect(pre1.y,toggleff1.u) annotation(Line(points = {{51.4311,72.1826},{57.9173,72.1826},{57.9173,71.612},{57.7054,71.612}}));
      connect(or1.y,pre1.u) annotation(Line(points = {{17.4796,72.4679},{23.3951,72.4679},{23.3951,72.1826},{23.8311,72.1826}}));
      connect(and1.y,or1.u1) annotation(Line(points = {{-16.4719,73.3238},{-10.271,73.3238},{-10.271,72.4679},{-10.1204,72.4679}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{0,30},{30,70}}, textString = "1", fontName = "Times New Roman"),Line(points = {{30,35},{40,35},{40,65},{60,65},{60,35},{70,35}}, thickness = 3),Line(points = {{-100,20},{-60,50},{-100,80}})}));
    end Monoflop;
    model Schaltlogik
      parameter Real ts = 1 "Schaltzeit";
      parameter Real ns = 6500 "Schaltdrehzahl [Upm]";
      parameter Real Ng = 5 "Anzahl der Gänge";
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-103,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-103,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {105.849,3.13837}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105.849,3.13837}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.GreaterEqualThreshold greaterequalthreshold1(threshold = ns * Modelica.Constants.pi / 30) annotation(Placement(visible = true, transformation(origin = {-63.3381,39.9429}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.LessThreshold lessthreshold1(threshold = Ng - 0.5) annotation(Placement(visible = true, transformation(origin = {-62.7675,-39.9429}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.And and1 annotation(Placement(visible = true, transformation(origin = {-12.2682,1.99715}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap16.Monoflop monoflop1(tHalt = ts / 2) annotation(Placement(visible = true, transformation(origin = {24.5364,-3.99429}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.BooleanToReal booleantoreal1 annotation(Placement(visible = true, transformation(origin = {66.4765,2.28245}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(and1.y,monoflop1.u) annotation(Line(points = {{0.931812,1.99715},{12.5535,1.99715},{12.5535,2.00571},{12.5364,2.00571}}));
      connect(booleantoreal1.y,y) annotation(Line(points = {{79.6765,2.28245},{97.8602,2.28245},{97.8602,3.13837},{105.849,3.13837}}));
      connect(monoflop1.y,booleantoreal1.u) annotation(Line(points = {{37.1364,2.00571},{55.3495,2.00571},{55.3495,2.28245},{52.0765,2.28245}}));
      connect(lessthreshold1.y,and1.u2) annotation(Line(points = {{-49.5675,-39.9429},{-37.0899,-39.9429},{-37.0899,-7.70328},{-26.6682,-7.70328},{-26.6682,-7.60285}}));
      connect(greaterequalthreshold1.y,and1.u1) annotation(Line(points = {{-50.1381,39.9429},{-37.0899,39.9429},{-37.0899,1.99715},{-26.6682,1.99715},{-26.6682,1.99715}}));
      connect(realinput1,lessthreshold1.u) annotation(Line(points = {{-103,-40},{-77.8887,-40},{-77.8887,-39.9429},{-77.1675,-39.9429}}));
      connect(u,greaterequalthreshold1.u) annotation(Line(points = {{-103,40},{-74.1797,40},{-74.1797,39.9429},{-77.7381,39.9429}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,-50},{90,50}}, textString = "Schalten", fontName = "Times New Roman")}));
    end Schaltlogik;
    model Fahrer1
      parameter Real ts = 1 "Schaltzeit";
      parameter Real ns = 6500 "Schaltdrehzahl [Upm]";
      parameter Real Ng = 5 "Anzahl der Gänge";
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput realoutput1 annotation(Placement(visible = true, transformation(origin = {100,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput realoutput2 annotation(Placement(visible = true, transformation(origin = {100,-50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,-50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Continuous.FirstOrder firstorder1(T = ts / (4 * Modelica.Constants.pi)) annotation(Placement(visible = true, transformation(origin = {-24.5364,-0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap16.Schaltlogik schaltlogik1(ts = ts, ns = ns, Ng = Ng) annotation(Placement(visible = true, transformation(origin = {-61.6262,0.000000000000000999201}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add add1(k2 = -1) annotation(Placement(visible = true, transformation(origin = {49.6434,49.6434}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant const(k = 1) annotation(Placement(visible = true, transformation(origin = {1.14123,57.3466}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Discrete.UnitDelay unitdelay1(y_start = 1, samplePeriod = ts / 2) annotation(Placement(visible = true, transformation(origin = {26.2482,-49.3581}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add add2 annotation(Placement(visible = true, transformation(origin = {-14.2653,-49.3581}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(schaltlogik1.realinput1,unitdelay1.y) annotation(Line(points = {{-73.9862,-4.8},{-79.6006,-4.8},{-79.6006,-71.3267},{50.7846,-71.3267},{50.7846,-49.3581},{39.4482,-49.3581},{39.4482,-49.3581}}));
      connect(add2.u2,unitdelay1.y) annotation(Line(points = {{-28.6653,-56.5581},{-44.2225,-56.5581},{-44.2225,-71.3267},{50.7846,-71.3267},{50.7846,-49.3581},{39.4482,-49.3581},{39.4482,-49.3581}}));
      connect(add2.y,unitdelay1.u) annotation(Line(points = {{-1.06534,-49.3581},{11.127,-49.3581},{11.127,-49.3581},{11.8482,-49.3581}}));
      connect(add2.u1,schaltlogik1.y) annotation(Line(points = {{-28.6653,-42.1581},{-44.5078,-42.1581},{-44.5078,0.285307},{-48.9244,0.285307},{-48.9244,0.376604}}));
      connect(unitdelay1.y,realoutput2) annotation(Line(points = {{39.4482,-49.3581},{91.5835,-49.3581},{91.5835,-50},{100,-50}}));
      connect(add1.u2,firstorder1.y) annotation(Line(points = {{35.2434,42.4434},{22.8245,42.4434},{22.8245,-0.285307},{-11.3364,-0.285307},{-11.3364,-0.285307}}));
      connect(const.y,add1.u1) annotation(Line(points = {{14.3412,57.3466},{34.2368,57.3466},{34.2368,56.8434},{35.2434,56.8434}}));
      connect(add1.y,realoutput1) annotation(Line(points = {{62.8434,49.6434},{92.7247,49.6434},{92.7247,50},{100,50}}));
      connect(u,schaltlogik1.u) annotation(Line(points = {{-100,0},{-83.0243,0},{-83.0243,4.8},{-73.9862,4.8}}));
      connect(schaltlogik1.y,firstorder1.u) annotation(Line(points = {{-48.9244,0.376604},{-40.5136,0.376604},{-40.5136,-0.285307},{-38.9364,-0.285307}}));
      connect(firstorder1.y,y) annotation(Line(points = {{-11.3364,-0.285307},{89.0157,-0.285307},{89.0157,0},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-78,-90},{-56,-45}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{-78,-45},{36,-22}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{0,-22},{36,48}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{-75,13},{0,27}}, fillPattern = FillPattern.Solid),Ellipse(extent = {{-13,49},{46,90}}, fillPattern = FillPattern.Solid),Line(points = {{-44,-55},{84,-55}}, thickness = 3),Line(points = {{61,-55},{85,48}}, thickness = 3),Line(points = {{-88,41},{-60,-3}}, thickness = 3),Line(points = {{-96,6},{-75,20}}, thickness = 3),Rectangle(extent = {{-100,-100},{100,100}})}));
    end Fahrer1;
    model TriggeredDelay
      parameter Real y0 = 1 "Initial value of output signal";
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Blocks.Math.RealToBoolean realtoboolean1 annotation(Placement(visible = true, transformation(origin = {-0.000000000000000222045,58.7732}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Blocks.Discrete.TriggeredSampler triggeredsampler1(y_start = y0) annotation(Placement(visible = true, transformation(origin = {4.2796,-21.398}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.FallingEdge fallingedge1 annotation(Placement(visible = true, transformation(origin = {-0.0000000973571,23.3951}, extent = {{-12,12},{12,-12}}, rotation = -90)));
    equation
      connect(fallingedge1.y,triggeredsampler1.trigger) annotation(Line(points = {{-0.0000000973571,10.1951},{0,10.1951},{0,2.28245},{-26.5335,2.28245},{-26.5335,-49.6434},{4.2796,-49.6434},{4.2796,-35.558},{4.2796,-35.558}}));
      connect(triggeredsampler1.y,y) annotation(Line(points = {{17.4796,-21.398},{69.3295,-21.398},{69.3295,-0.285307},{100,-0.285307},{100,0}}));
      connect(u,triggeredsampler1.u) annotation(Line(points = {{-100,0},{-66.1912,0},{-66.1912,-21.9686},{-10.1204,-21.9686},{-10.1204,-21.398}}));
      connect(realtoboolean1.y,fallingedge1.u) annotation(Line(points = {{-0.000000000000000222045,45.5732},{-0.000000000000000111022,45.5732},{-0.000000000000000111022,37.7951},{-0.0000000973571,37.7951}}));
      connect(realinput1,realtoboolean1.u) annotation(Line(points = {{0,100},{0,100},{0,73.1732},{-0.000000000000000222045,73.1732}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Polygon(points = {{-20,100},{0,60},{20,100},{-20,100}}, fillPattern = FillPattern.Solid),Text(rotation = 0, extent = {{-80,-40},{80,40}}, textString = "1 / z", fontName = "Times New Roman")}));
    end TriggeredDelay;
    model Fahrer
      parameter Real ts = 1 "Schaltzeit";
      parameter Real ns = 6500 "Schaltdrehzahl [Upm]";
      parameter Real Ng = 5 "Anzahl der Gänge";
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput realoutput1 annotation(Placement(visible = true, transformation(origin = {100,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput realoutput2 annotation(Placement(visible = true, transformation(origin = {100,-50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,-50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Continuous.FirstOrder firstorder1(T = ts / (4 * Modelica.Constants.pi)) annotation(Placement(visible = true, transformation(origin = {-24.5364,-0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap16.Schaltlogik schaltlogik1(ts = ts, ns = ns, Ng = Ng) annotation(Placement(visible = true, transformation(origin = {-61.6262,0.000000000000000999201}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add add1(k2 = -1) annotation(Placement(visible = true, transformation(origin = {49.6434,49.6434}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant const(k = 1) annotation(Placement(visible = true, transformation(origin = {1.14123,57.3466}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap16.TriggeredDelay triggereddelay1 annotation(Placement(visible = true, transformation(origin = {40.7989,-50.214}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add add2 annotation(Placement(visible = true, transformation(origin = {1.71188,-50.214}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant constant1(k = 1) annotation(Placement(visible = true, transformation(origin = {-40.5136,-43.0813}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(schaltlogik1.realinput1,triggereddelay1.y) annotation(Line(points = {{-73.9862,-4.8},{-80.1712,-4.8},{-80.1712,-75.6063},{65.0499,-75.6063},{65.0499,-50.214},{52.7989,-50.214},{52.7989,-50.214}}));
      connect(add2.u2,triggereddelay1.y) annotation(Line(points = {{-12.6881,-57.414},{-21.9686,-57.414},{-21.9686,-75.6063},{65.0499,-75.6063},{65.0499,-50.214},{52.7989,-50.214},{52.7989,-50.214}}));
      connect(triggereddelay1.realinput1,schaltlogik1.y) annotation(Line(points = {{40.7989,-38.214},{40.7989,-22.8245},{-44.5078,-22.8245},{-44.5078,0.285307},{-48.9243,0.285307},{-48.9243,0.376604}}));
      connect(constant1.y,add2.u1) annotation(Line(points = {{-27.3136,-43.0813},{-14.8359,-43.0813},{-14.8359,-43.014},{-12.6881,-43.014}}));
      connect(add2.y,triggereddelay1.u) annotation(Line(points = {{14.9119,-50.214},{27.6748,-50.214},{27.6748,-50.214},{28.7989,-50.214}}));
      connect(triggereddelay1.y,realoutput2) annotation(Line(points = {{52.7989,-50.214},{90.7275,-50.214},{90.7275,-50},{100,-50}}));
      connect(add1.u2,firstorder1.y) annotation(Line(points = {{35.2434,42.4434},{22.8245,42.4434},{22.8245,-0.285307},{-11.3364,-0.285307},{-11.3364,-0.285307}}));
      connect(const.y,add1.u1) annotation(Line(points = {{14.3412,57.3466},{34.2368,57.3466},{34.2368,56.8434},{35.2434,56.8434}}));
      connect(add1.y,realoutput1) annotation(Line(points = {{62.8434,49.6434},{92.7247,49.6434},{92.7247,50},{100,50}}));
      connect(u,schaltlogik1.u) annotation(Line(points = {{-100,0},{-83.0243,0},{-83.0243,4.8},{-73.9862,4.8}}));
      connect(schaltlogik1.y,firstorder1.u) annotation(Line(points = {{-48.9244,0.376604},{-40.5136,0.376604},{-40.5136,-0.285307},{-38.9364,-0.285307}}));
      connect(firstorder1.y,y) annotation(Line(points = {{-11.3364,-0.285307},{89.0157,-0.285307},{89.0157,0},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-78,-90},{-56,-45}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{-78,-45},{36,-22}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{0,-22},{36,48}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{-75,13},{0,27}}, fillPattern = FillPattern.Solid),Ellipse(extent = {{-13,49},{46,90}}, fillPattern = FillPattern.Solid),Line(points = {{-44,-55},{84,-55}}, thickness = 3),Line(points = {{61,-55},{85,48}}, thickness = 3),Line(points = {{-88,41},{-60,-3}}, thickness = 3),Line(points = {{-96,6},{-75,20}}, thickness = 3),Rectangle(extent = {{-100,-100},{100,100}})}));
    end Fahrer;
    model Schlupf
      parameter Real vmin = 0.5 "Minimalgeschwindigkeit im Nenner";
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-100,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-100,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant const(k = vmin) annotation(Placement(visible = true, transformation(origin = {-44.5078,-64.194}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add add1(k1 = -1) annotation(Placement(visible = true, transformation(origin = {-43.3666,53.6377}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Max max1 annotation(Placement(visible = true, transformation(origin = {12.2682,-28.816}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Division division1 annotation(Placement(visible = true, transformation(origin = {61.0556,-0.570613}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Abs abs1 annotation(Placement(visible = true, transformation(origin = {-40.5136,0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(abs1.u,realinput1) annotation(Line(points = {{-54.9136,0.285307},{-69.6148,0.285307},{-69.6148,-39.9429},{-100,-39.9429},{-100,-40}}));
      connect(realinput1,add1.u2) annotation(Line(points = {{-100,-40},{-69.6148,-40},{-69.6148,46.2197},{-57.7666,46.2197},{-57.7666,46.4377}}));
      connect(u,add1.u1) annotation(Line(points = {{-100,40},{-77.3181,40},{-77.3181,60.7703},{-57.7666,60.7703},{-57.7666,60.8377}}));
      connect(max1.y,division1.u2) annotation(Line(points = {{25.4682,-28.816},{34.8074,-28.816},{34.8074,-7.41797},{46.6556,-7.41797},{46.6556,-7.77061}}));
      connect(add1.y,division1.u1) annotation(Line(points = {{-30.1666,53.6377},{35.378,53.6377},{35.378,6.84736},{46.6556,6.84736},{46.6556,6.62939}}));
      connect(const.y,max1.u2) annotation(Line(points = {{-31.3078,-64.194},{-18.2596,-64.194},{-18.2596,-36.234},{-2.13181,-36.234},{-2.13181,-36.016}}));
      connect(abs1.y,max1.u1) annotation(Line(points = {{-27.3136,0.285307},{-18.2596,0.285307},{-18.2596,-21.398},{-2.13181,-21.398},{-2.13181,-21.616}}));
      connect(division1.y,y) annotation(Line(points = {{74.2556,-0.570613},{91.5835,-0.570613},{91.5835,0},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,-60},{-30,-20}}, textString = "vr", fontName = "Times New Roman"),Text(rotation = 0, extent = {{-90,20},{-40,60}}, textString = "v", fontName = "Times New Roman"),Text(rotation = 0, extent = {{40,-20},{90,20}}, textString = "κ", fontName = "Times New Roman")}));
    end Schlupf;
    model Pacejka
      parameter Real Fz = 3600 "Radlast";
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-100,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-100,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Gain gain1(k = 17) annotation(Placement(visible = true, transformation(origin = {-67.6177,40.2282}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Atan atan1 annotation(Placement(visible = true, transformation(origin = {-31.9544,40.2282}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Gain gain2(k = 1.6) annotation(Placement(visible = true, transformation(origin = {5.70613,40.2282}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Sin sin1 annotation(Placement(visible = true, transformation(origin = {40.7989,40.2282}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Gain gain3(k = Fz) annotation(Placement(visible = true, transformation(origin = {75.321,40.2282}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Product product1 annotation(Placement(visible = true, transformation(origin = {62.1969,0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(realinput1,product1.u2) annotation(Line(points = {{-100,-40},{38.8017,-40},{38.8017,-6.56205},{47.7969,-6.56205},{47.7969,-6.91469}}));
      connect(gain3.y,product1.u1) annotation(Line(points = {{88.521,40.2282},{93.8659,40.2282},{93.8659,19.9715},{37.3752,19.9715},{37.3752,7.70328},{47.7969,7.70328},{47.7969,7.48531}}));
      connect(product1.y,y) annotation(Line(points = {{75.3969,0.285307},{92.7247,0.285307},{92.7247,0},{100,0}}));
      connect(sin1.y,gain3.u) annotation(Line(points = {{53.9989,40.2282},{59.0585,40.2282},{59.0585,40.2282},{60.921,40.2282}}));
      connect(gain2.y,sin1.u) annotation(Line(points = {{18.9061,40.2282},{24.8217,40.2282},{24.8217,40.2282},{26.3989,40.2282}}));
      connect(atan1.y,gain2.u) annotation(Line(points = {{-18.7544,40.2282},{-9.12981,40.2282},{-9.12981,40.2282},{-8.69387,40.2282}}));
      connect(gain1.y,atan1.u) annotation(Line(points = {{-54.4177,40.2282},{-47.6462,40.2282},{-47.6462,40.2282},{-46.3544,40.2282}}));
      connect(u,gain1.u) annotation(Line(points = {{-100,40},{-81.5977,40},{-81.5977,40.2282},{-82.0177,40.2282}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,-60},{-30,-20}}, textString = "μ", fontName = "Times New Roman"),Text(rotation = 0, extent = {{-90,20},{-40,60}}, textString = "κ", fontName = "Times New Roman"),Text(rotation = 0, extent = {{40,-20},{90,20}}, textString = "Fs", fontName = "Times New Roman")}));
    end Pacejka;
    model Relax
      parameter Real su = 0.01 "Verzögerungsweg";
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-100,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput realinput1 annotation(Placement(visible = true, transformation(origin = {-100,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Continuous.Integrator integrator1 annotation(Placement(visible = true, transformation(origin = {66.4765,0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Product product1 annotation(Placement(visible = true, transformation(origin = {30.5279,0.285307}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add add1(k1 = -1) annotation(Placement(visible = true, transformation(origin = {-13.4094,8.5592}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Abs abs1 annotation(Placement(visible = true, transformation(origin = {-54.4936,-40.2282}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Gain gain1(k = 1 / su) annotation(Placement(visible = true, transformation(origin = {-16.8331,-39.943}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(add1.u1,integrator1.y) annotation(Line(points = {{-27.8094,15.7592},{-41.0842,15.7592},{-41.0842,35.378},{83.3096,35.378},{83.3096,0.285307},{79.6765,0.285307},{79.6765,0.285307}}));
      connect(u,add1.u2) annotation(Line(points = {{-100,40},{-71.8973,40},{-71.8973,1.14123},{-27.8094,1.14123},{-27.8094,1.3592}}));
      connect(realinput1,abs1.u) annotation(Line(points = {{-100,-40},{-70.4708,-40},{-70.4708,-40.2282},{-68.8936,-40.2282}}));
      connect(abs1.y,gain1.u) annotation(Line(points = {{-41.2936,-40.2282},{-32.2397,-40.2282},{-32.2397,-39.943},{-31.2331,-39.943}}));
      connect(gain1.y,product1.u2) annotation(Line(points = {{-3.63311,-39.943},{4.56491,-39.943},{4.56491,-6.84736},{16.1279,-6.84736},{16.1279,-6.91469}}));
      connect(add1.y,product1.u1) annotation(Line(points = {{-0.209415,8.5592},{15.4066,8.5592},{15.4066,7.48531},{16.1279,7.48531}}));
      connect(integrator1.y,y) annotation(Line(points = {{79.6765,0.285307},{91.2981,0.285307},{91.2981,0},{100,0}}));
      connect(product1.y,integrator1.u) annotation(Line(points = {{43.7279,0.285307},{51.9258,0.285307},{51.9258,0.285307},{52.0765,0.285307}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,-60},{-30,-20}}, textString = "vr", fontName = "Times New Roman"),Text(rotation = 0, extent = {{-90,20},{-40,60}}, textString = "Fs", fontName = "Times New Roman"),Text(rotation = 0, extent = {{40,-20},{90,20}}, textString = "F", fontName = "Times New Roman")}));
    end Relax;
    model Reifen
      parameter Inertia J = 0.9 "Drehträgheit";
      parameter Length r = 0.3 "Rollradius";
      parameter AngularVelocity om0 = 0 "Anfangsdrehzahl";
      Modelica.Mechanics.Rotational.Interfaces.Flange_a flange_a annotation(Placement(visible = true, transformation(origin = {-100,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Interfaces.Flange_b flange_b annotation(Placement(visible = true, transformation(origin = {100,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {0,-100}, extent = {{12,-12},{-12,12}}, rotation = 90), iconTransformation(origin = {0,-100}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = J, w(start = om0, fixed = true), phi(start = 0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-75.0357,71.3267}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.IdealRollingWheel idealrollingwheel1(radius = r) annotation(Placement(visible = true, transformation(origin = {-45.3638,71.3267}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Sources.Force force1(useSupport = true) annotation(Placement(visible = true, transformation(origin = {69.6148,-39.6576}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Sensors.SpeedSensor speedsensor1 annotation(Placement(visible = true, transformation(origin = {-29.1013,40.2282}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      PJlib.Kap16.Relax relax1 annotation(Placement(visible = true, transformation(origin = {32.8103,-39.3723}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap16.Pacejka pacejka1 annotation(Placement(visible = true, transformation(origin = {0.570613,-34.8074}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Sensors.SpeedSensor speedsensor2 annotation(Placement(visible = true, transformation(origin = {-1.99715,41.9401}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      PJlib.Kap16.Schlupf schlupf1 annotation(Placement(visible = true, transformation(origin = {-6.56205,3.70899}, extent = {{-12,12},{12,-12}}, rotation = -90)));
    equation
      connect(schlupf1.y,pacejka1.u) annotation(Line(points = {{-6.56205,-8.29101},{-6.56205,-8.29101},{-6.56205,-16.2625},{-19.4009,-16.2625},{-19.4009,-30.2425},{-11.4294,-30.2425},{-11.4294,-30.0074}}));
      connect(speedsensor2.v,schlupf1.u) annotation(Line(points = {{-1.99715,28.7401},{-1.99715,28.7401},{-1.99715,15.709},{-1.76205,15.709}}));
      connect(speedsensor1.v,schlupf1.realinput1) annotation(Line(points = {{-29.1013,27.0282},{-29.1013,27.0282},{-29.1013,22.2539},{-11.3621,22.2539},{-11.3621,15.709}}));
      connect(speedsensor2.flange,flange_b) annotation(Line(points = {{-1.99715,53.9401},{-2.28245,53.9401},{-2.28245,59.3438},{99.0014,59.3438},{99.0014,-40},{100,-40}}));
      connect(speedsensor1.v,relax1.realinput1) annotation(Line(points = {{-29.1013,27.0282},{-29.1013,27.0282},{-29.1013,-55.0642},{15.9772,-55.0642},{15.9772,-44.2225},{20.8103,-44.2225},{20.8103,-44.1723}}));
      connect(u,pacejka1.realinput1) annotation(Line(points = {{0,-100},{0,-100},{0,-78.174},{-17.9743,-78.174},{-17.9743,-39.3723},{-11.4294,-39.3723},{-11.4294,-39.6074}}));
      connect(pacejka1.y,relax1.u) annotation(Line(points = {{12.5706,-34.8074},{20.5421,-34.8074},{20.5421,-34.5723},{20.8103,-34.5723}}));
      connect(relax1.y,force1.f) annotation(Line(points = {{44.8103,-39.3723},{54.4936,-39.3723},{54.4936,-39.6576},{55.2148,-39.6576}}));
      connect(speedsensor1.flange,idealrollingwheel1.flangeT) annotation(Line(points = {{-29.1013,52.2282},{-29.1013,52.2282},{-29.1013,71.3267},{-33.3638,71.3267},{-33.3638,71.3267}}));
      connect(force1.flange,flange_b) annotation(Line(points = {{81.6148,-39.6576},{99.572,-39.6576},{99.572,-40},{100,-40}}));
      connect(idealrollingwheel1.flangeT,force1.support) annotation(Line(points = {{-33.3638,71.3267},{87.0185,71.3267},{87.0185,-59.0585},{69.9001,-59.0585},{69.9001,-51.6576},{69.6148,-51.6576}}));
      connect(inertia1.flange_b,idealrollingwheel1.flangeR) annotation(Line(points = {{-63.0357,71.3267},{-54.4936,71.3267},{-54.4936,71.3267},{-57.3638,71.3267}}));
      connect(flange_a,inertia1.flange_a) annotation(Line(points = {{-100,40},{-89.8716,40},{-89.8716,71.612},{-87.0357,71.612},{-87.0357,71.3267}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-68,-37},{100,-28}}, fillPattern = FillPattern.Solid),Ellipse(extent = {{-58,-26},{72,93}}, fillPattern = FillPattern.Solid, fillColor = {96,96,96}),Ellipse(extent = {{-33,-1},{49,68}}, fillPattern = FillPattern.Solid, fillColor = {255,255,255}),Ellipse(extent = {{-4,20},{23,45}}, lineThickness = 3),Line(points = {{-5,32},{27,32}}, thickness = 3, color = {160,160,160}),Line(points = {{10,50},{10,16}}, thickness = 3, color = {160,160,160}),Rectangle(extent = {{-100,27},{15,38}}, fillPattern = FillPattern.Solid),Rectangle(extent = {{-100,-100},{100,100}})}));
    end Reifen;
  end Kap16;
  package Kap17
    model BodyBox
      parameter Position w = 1 "Width of the box";
      parameter Position h = 1 "Height of the box";
      parameter Position d = 1 "Depth of the box";
      parameter Mass m = 1 "Mass of the body";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Body body1(r_CM = {d / 2,0,0}, m = m, I_11 = m / 12 * (h * h + d * d), I_22 = m / 12 * (w * w + d * d), I_33 = m / 12 * (h * h + w * w)) annotation(Placement(visible = true, transformation(origin = {29.9145,-21.6524}, extent = {{-12,12},{12,-12}}, rotation = -90)));
    equation
      connect(body1.frame_a,frame_a) annotation(Line(points = {{29.9145,-9.65242},{29.9145,-9.65242},{29.9145,-0.2849},{100,-0.2849},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-70,-70},{70,70}}, fillPattern = FillPattern.Solid, fillColor = {68,162,255})}));
    end BodyBox;
    model BodySphere
      import Modelica.Constants.pi;
      parameter Length r = 1 "radius of the sphere";
      parameter Density rho = 7700 "density of the sphere";
      parameter Position[3] direction = {-0.95,0,0} "vector from CM to frame, scaled for r = 1";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a1 annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation1(r = r * direction) annotation(Placement(visible = true, transformation(origin = {-68.661,-0.284901}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.MultiBody.Parts.Body body1(r_CM = {0,0,0}, m = 4 / 3 * rho * pi * r ^ 3, I_11 = 8 / 15 * rho * pi * r ^ 5, I_22 = 8 / 15 * rho * pi * r ^ 5, I_33 = 8 / 15 * rho * pi * r ^ 5) annotation(Placement(visible = true, transformation(origin = {-31.8034,-0.133903}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(fixedtranslation1.frame_a,body1.frame_a) annotation(Line(points = {{-56.661,-0.284901},{-44.1595,-0.284901},{-44.1595,-0.133903},{-43.8034,-0.133903}}));
      connect(frame_a1,fixedtranslation1.frame_b) annotation(Line(points = {{-100,0},{-80.9117,0},{-80.9117,-0.284901},{-80.661,-0.284901}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Ellipse(lineColor = {0,0,0}, fillColor = {0,0,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Sphere, lineThickness = 0.25, extent = {{-93.787,67.4556},{34.6154,-62.7219}})}));
    end BodySphere;
    model Link
      parameter Position l = 1 "Length of the link";
      parameter Position lc = 0.5 "Distance from link L to the center of mass";
      parameter Mass m = 1 "Mass of the link";
      parameter Inertia J = 1 "Inertia of the link";
      Modelica.Mechanics.MultiBody.Parts.Body body1(m = m, I_11 = 0, I_22 = J, I_33 = J, r_CM = {0,0,0}) annotation(Placement(visible = true, transformation(origin = {-0.569801,-19.943}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation2(r = {-lc,0,0}) annotation(Placement(visible = true, transformation(origin = {-41.8803,9.68657}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation1(r = {l - lc,0,0}) annotation(Placement(visible = true, transformation(origin = {37.6068,9.68657}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(fixedtranslation1.frame_b,frame_b) annotation(Line(points = {{49.6068,9.68657},{100.285,9.68657},{100.285,9.40168},{100.285,9.40168}}));
      connect(frame_a,fixedtranslation2.frame_b) annotation(Line(points = {{-99.7151,9.40168},{-53.2764,9.40168},{-53.2764,9.68657},{-53.8803,9.68657}}));
      connect(fixedtranslation1.frame_a,body1.frame_a) annotation(Line(points = {{25.6068,9.68657},{-0.8547,9.68657},{-0.8547,-7.94302},{-0.569801,-7.94302}}));
      connect(body1.frame_a,fixedtranslation2.frame_a) annotation(Line(points = {{-0.569801,-7.94302},{-0.8547,-7.94302},{-0.8547,9.68657},{-29.8803,9.68657}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-40},{100,40}}, fillPattern = FillPattern.Solid, fillColor = {68,162,255}),Ellipse(extent = {{-40,-10},{-20,10}}, fillPattern = FillPattern.Solid, fillColor = {33,74,203})}));
    end Link;
    model Roboter
      parameter Position r1 = 1 "Length of link 1";
      parameter Position rc1 = 1 "Position of CM in link 1";
      parameter Position r2 = 1 "Length of link 2";
      parameter Position rc2 = 1 "Position of CM in link 2";
      parameter Mass m1 = 1 "Mass of link 1";
      parameter Inertia J1 = 1 "Inertia of link 1";
      parameter Mass m2 = 1 "Mass of link 2";
      parameter Inertia J2 = 1 "Inertia of link 2";
      parameter Angle theta1 = 0 "Initial angle of joint 1";
      parameter Angle theta2 = 0 "Initial angle of joint 2";
      parameter RotationalDampingConstant b1 = 0 "Damping at joint 1";
      parameter RotationalDampingConstant b2 = 0 "Damping at joint 2";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u2 annotation(Placement(visible = true, transformation(origin = {-104,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-104,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u1 annotation(Placement(visible = true, transformation(origin = {-104,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-104,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Fixed fixed1 annotation(Placement(visible = true, transformation(origin = {-57.1839,-0.574713}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Link link1(l = r1, lc = rc1, m = m1, J = J1) annotation(Placement(visible = true, transformation(origin = {-11.396,-16.5242}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Link link2(l = r2, lc = rc2, m = m2, J = J2) annotation(Placement(visible = true, transformation(origin = {51.8519,-16.5242}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Joints.Revolute revolute1(useAxisFlange = true, phi(start = theta1, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-44.1595,-16.8091}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Joints.Revolute revolute2(useAxisFlange = true, phi(start = theta2, fixed = true)) annotation(Placement(visible = true, transformation(origin = {20.5128,-16.5242}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Damper damper2(d = b1) annotation(Placement(visible = true, transformation(origin = {19.3732,16.2393}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Sources.Torque2 torque21 annotation(Placement(visible = true, transformation(origin = {-45.584,38.4615}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Damper damper1(d = b2) annotation(Placement(visible = true, transformation(origin = {-45.0142,14.5299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Sources.Torque2 torque22 annotation(Placement(visible = true, transformation(origin = {19.0883,37.037}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(u1,torque21.tau) annotation(Line(points = {{-103.736,-35.3448},{-83.6207,-35.3448},{-83.6207,49.4253},{-45.6897,49.4253},{-45.6897,43.2615},{-45.584,43.2615}}));
      connect(u2,torque22.tau) annotation(Line(points = {{-104.023,54.3103},{19.2529,54.3103},{19.2529,43.6782},{19.0883,43.6782},{19.0883,41.837}}));
      connect(revolute1.frame_a,fixed1.frame_b) annotation(Line(points = {{-56.1595,-16.8091},{-67.5287,-16.8091},{-67.5287,-79.8851},{11.7816,-79.8851},{11.7816,-98.8506},{11.7816,-98.8506}}));
      connect(link2.frame_b,frame_b) annotation(Line(points = {{63.8519,-16.5242},{99.4253,-16.5242},{99.4253,-14.9425},{99.4253,-14.9425}}));
      connect(revolute2.frame_b,link2.frame_a) annotation(Line(points = {{32.5128,-16.5242},{40.1709,-16.5242},{40.1709,-16.5242},{39.8519,-16.5242}}));
      connect(link1.frame_b,revolute2.frame_a) annotation(Line(points = {{0.603989,-16.5242},{8.83191,-16.5242},{8.83191,-16.5242},{8.51282,-16.5242}}));
      connect(revolute1.frame_b,link1.frame_a) annotation(Line(points = {{-32.1595,-16.8091},{-23.0769,-16.8091},{-23.0769,-16.5242},{-23.396,-16.5242}}));
      connect(torque22.flange_b,damper2.flange_b) annotation(Line(points = {{31.0883,37.037},{37.3219,37.037},{37.3219,16.5242},{31.3732,16.5242},{31.3732,16.2393}}));
      connect(torque22.flange_a,damper2.flange_a) annotation(Line(points = {{7.08832,37.037},{3.1339,37.037},{3.1339,16.2393},{7.37322,16.2393},{7.37322,16.2393}}));
      connect(torque21.flange_b,damper1.flange_b) annotation(Line(points = {{-33.584,38.4615},{-30.4843,38.4615},{-30.4843,14.5299},{-33.0142,14.5299}}));
      connect(torque21.flange_a,damper1.flange_a) annotation(Line(points = {{-57.584,38.4615},{-60.114,38.4615},{-60.114,14.5299},{-57.0142,14.5299}}));
      connect(damper1.flange_b,revolute1.axis) annotation(Line(points = {{-33.0142,14.5299},{-30.4843,14.5299},{-30.4843,-4.80912},{-44.1595,-4.80912}}));
      connect(damper1.flange_a,revolute1.support) annotation(Line(points = {{-57.0142,14.5299},{-60.114,14.5299},{-60.114,-4.80912},{-51.3595,-4.80912}}));
      connect(damper2.flange_b,revolute2.axis) annotation(Line(points = {{31.3732,16.2393},{36.7521,16.2393},{36.7521,-4.2735},{20.5128,-4.2735},{20.5128,-4.52422}}));
      connect(damper2.flange_a,revolute2.support) annotation(Line(points = {{7.37322,16.2393},{3.1339,16.2393},{3.1339,-4.5584},{13.3128,-4.5584},{13.3128,-4.52422}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Rectangle(extent = {{-65,-85},{70,-80}}, fillPattern = FillPattern.Solid),Polygon(points = {{-50,-80},{-41,-83},{-13,15},{-21,20}}, fillPattern = FillPattern.Solid),Polygon(points = {{-20,23},{-12,17},{59,59},{54,67}}, fillPattern = FillPattern.Solid),Polygon(points = {{68,83},{50,72},{61,55},{79,65},{75,72},{66,65},{62,70},{72,76}}, fillPattern = FillPattern.Solid),Ellipse(extent = {{-53,-89},{-37,-73}}, fillPattern = FillPattern.Solid, fillColor = {33,33,255}),Ellipse(extent = {{-24,10},{-8,26}}, fillPattern = FillPattern.Solid, fillColor = {33,33,255})}));
    end Roboter;
    model Roboter2
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u2 annotation(Placement(visible = true, transformation(origin = {-104,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-104,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u1 annotation(Placement(visible = true, transformation(origin = {-104,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-104,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y2 annotation(Placement(visible = true, transformation(origin = {40,-100}, extent = {{12,-12},{-12,12}}, rotation = 90), iconTransformation(origin = {40,-100}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealOutput y1 annotation(Placement(visible = true, transformation(origin = {-40,-100}, extent = {{12,-12},{-12,12}}, rotation = 90), iconTransformation(origin = {-40,-100}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      parameter Position r1 = 1 "Length of link 1" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Position rc1 = 1 "Position of CM in link 1" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Position r2 = 1 "Length of link 2" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Position rc2 = 1 "Position of CM in link 2" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Mass m1 = 1 "Mass of link 1" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Inertia J1 = 1 "Inertia of link 1" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Mass m2 = 1 "Mass of link 2" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Inertia J2 = 1 "Inertia of link 2" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Angle theta1 = 0 "Initial angle of joint 1" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter Angle theta2 = 0 "Initial angle of joint 2" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter RotationalDampingConstant b1 = 0 "Damping at joint 1" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      parameter RotationalDampingConstant b2 = 0 "Damping at joint 2" annotation(Placement(visible = true, transformation(origin = {27.5862,15.2299}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Link link1(l = r1, lc = rc1, m = m1, J = J1) annotation(Placement(visible = true, transformation(origin = {16.1902,-1.29432}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Link link2(l = r2, lc = rc2, m = m2, J = J2) annotation(Placement(visible = true, transformation(origin = {79.4381,-1.29432}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Joints.Revolute revolute1(useAxisFlange = true, phi(start = theta1, fixed = true)) annotation(Placement(visible = true, transformation(origin = {-16.5733,-1.57921}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Joints.Revolute revolute2(useAxisFlange = true, phi(start = theta2, fixed = true)) annotation(Placement(visible = true, transformation(origin = {48.099,-1.29432}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Damper damper2(d = b1) annotation(Placement(visible = true, transformation(origin = {46.5989,57.4223}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Sources.Torque2 torque21 annotation(Placement(visible = true, transformation(origin = {-18.6456,79.6445}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Damper damper1(d = b2) annotation(Placement(visible = true, transformation(origin = {-17.7885,55.7129}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Sources.Torque2 torque22 annotation(Placement(visible = true, transformation(origin = {46.314,78.22}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Sensors.RelAngleSensor relanglesensor1 annotation(Placement(visible = true, transformation(origin = {-17.6625,36.046}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Fixed fixed1 annotation(Placement(visible = true, transformation(origin = {-54.6809,-1.43678}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Sensors.RelAngleSensor relanglesensor2 annotation(Placement(visible = true, transformation(origin = {46.8598,37.1274}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(relanglesensor2.phi_rel,y2) annotation(Line(points = {{46.8598,23.9274},{46.8598,19.1044},{62.72,19.1044},{62.72,-74.2547},{39.6506,-74.2547},{39.6506,-92.7908},{40,-92.7908}}));
      connect(relanglesensor2.flange_a,revolute2.support) annotation(Line(points = {{34.8598,37.1274},{30.6391,37.1274},{30.6391,10.8138},{40.899,10.8138},{40.899,10.7057}}));
      connect(relanglesensor2.flange_b,revolute2.axis) annotation(Line(points = {{58.8598,37.1274},{64.1618,37.1274},{64.1618,10.8138},{48.099,10.8138},{48.099,10.7057}}));
      connect(fixed1.frame_b,revolute1.frame_a) annotation(Line(points = {{-42.6809,-1.43678},{-28.4483,-1.43678},{-28.4483,-1.57921},{-28.5733,-1.57921}}));
      connect(relanglesensor1.phi_rel,y1) annotation(Line(points = {{-17.6625,22.846},{-17.6625,25.5926},{-39.6506,25.5926},{-39.6506,-93.5117},{-39.6395,-93.5117}}));
      connect(relanglesensor1.flange_a,revolute1.support) annotation(Line(points = {{-29.6625,36.046},{-32.4414,36.046},{-32.4414,10.4533},{-23.7733,10.4533},{-23.7733,10.4208}}));
      connect(relanglesensor1.flange_b,revolute1.axis) annotation(Line(points = {{-5.66253,36.046},{-2.88368,36.046},{-2.88368,10.8138},{-16.5733,10.8138},{-16.5733,10.4208}}));
      connect(u1,torque21.tau) annotation(Line(points = {{-104,-40},{-83.9812,-40},{-83.9812,92.0501},{-18.6782,92.0501},{-18.6782,84.4445},{-18.6456,84.4445}}));
      connect(u2,torque22.tau) annotation(Line(points = {{-104,40},{-87.4294,40},{-87.4294,96.4865},{46.314,96.4865},{46.314,83.02}}));
      connect(torque22.flange_a,damper2.flange_a) annotation(Line(points = {{34.314,78.22},{30.3596,78.22},{30.3596,57.4223},{34.5989,57.4223},{34.5989,57.4223}}));
      connect(torque22.flange_b,damper2.flange_b) annotation(Line(points = {{58.314,78.22},{64.5476,78.22},{64.5476,57.7072},{58.5989,57.7072},{58.5989,57.4223}}));
      connect(damper1.flange_a,revolute1.support) annotation(Line(points = {{-29.7885,55.7129},{-32.5278,55.7129},{-32.5278,10.4208},{-23.7733,10.4208}}));
      connect(damper1.flange_b,revolute1.axis) annotation(Line(points = {{-5.78845,55.7129},{-2.89809,55.7129},{-2.89809,10.4208},{-16.5733,10.4208}}));
      connect(torque21.flange_a,damper1.flange_a) annotation(Line(points = {{-30.6456,79.6445},{-32.8883,79.6445},{-32.8883,55.7129},{-29.7885,55.7129}}));
      connect(torque21.flange_b,damper1.flange_b) annotation(Line(points = {{-6.64561,79.6445},{-3.25855,79.6445},{-3.25855,55.7129},{-5.78845,55.7129}}));
      connect(damper2.flange_a,revolute2.support) annotation(Line(points = {{34.5989,57.4223},{30.7201,57.4223},{30.7201,10.6715},{40.899,10.6715},{40.899,10.7057}}));
      connect(damper2.flange_b,revolute2.axis) annotation(Line(points = {{58.5989,57.4223},{64.3383,57.4223},{64.3383,10.9564},{48.099,10.9564},{48.099,10.7057}}));
      connect(link1.frame_b,revolute2.frame_a) annotation(Line(points = {{28.1902,-1.29432},{36.4181,-1.29432},{36.4181,-1.29432},{36.099,-1.29432}}));
      connect(revolute2.frame_b,link2.frame_a) annotation(Line(points = {{60.099,-1.29432},{67.7571,-1.29432},{67.7571,-1.29432},{67.4381,-1.29432}}));
      connect(revolute1.frame_b,link1.frame_a) annotation(Line(points = {{-4.57329,-1.57921},{4.50931,-1.57921},{4.50931,-1.29432},{4.19021,-1.29432}}));
      connect(link2.frame_b,frame_b) annotation(Line(points = {{91.4381,-1.29432},{99.4253,-1.29432},{100,-14.9425},{100,0}}));
      annotation(Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-65,-85},{70,-80}}),Polygon(points = {{-50,-80},{-41,-83},{-13,15},{-21,20}}, rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25),Polygon(points = {{-20,23},{-12,17},{59,59},{54,67}}, rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25),Polygon(points = {{68,83},{50,72},{61,55},{79,65},{75,72},{66,65},{62,70},{72,76}}, rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25),Ellipse(rotation = 0, lineColor = {0,0,0}, fillColor = {33,33,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-53,-89},{-37,-73}}),Ellipse(rotation = 0, lineColor = {0,0,0}, fillColor = {33,33,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-24,10},{-8,26}})}), Diagram());
    end Roboter2;
    model SetAngles
      parameter Real x = 1 "x-Koordinate der Zielposition";
      parameter Real y = 1 "y-Koordinate der Zielposition";
      parameter Real r1 = 1 "Länge von Link 1";
      parameter Real r2 = 1 "Länge von Link 2";
      Modelica.Blocks.Interfaces.RealOutput theta2 annotation(Placement(visible = true, transformation(origin = {108.013,-44.0167}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {108.013,-44.0167}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput theta1 annotation(Placement(visible = true, transformation(origin = {108.013,35.9833}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {108.013,35.9833}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add add1 annotation(Placement(visible = true, transformation(origin = {77.9413,36.1542}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add3 add31(k3 = -1, k2 = 1, k1 = 1) annotation(Placement(visible = true, transformation(origin = {-40.0074,25.8978}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Gain gain1(k = 2) annotation(Placement(visible = true, transformation(origin = {-36.0188,56.9519}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Product product1 annotation(Placement(visible = true, transformation(origin = {-74.5102,56.6745}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.RectangularToPolar rectangulartopolar1 annotation(Placement(visible = true, transformation(origin = {-152.756,72.4619}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Product product2 annotation(Placement(visible = true, transformation(origin = {-108.894,2.73138}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Product product3 annotation(Placement(visible = true, transformation(origin = {-109.456,-30.4468}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Product product4 annotation(Placement(visible = true, transformation(origin = {-111.705,-64.7497}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant constant2(k = r2) annotation(Placement(visible = true, transformation(origin = {-195.494,-64.1874}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Feedback feedback1 annotation(Placement(visible = true, transformation(origin = {67.682,-106.363}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Acos acos2 annotation(Placement(visible = true, transformation(origin = {34.5037,-105.801}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Division division2 annotation(Placement(visible = true, transformation(origin = {-0.923849,-105.238}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Gain gain2(k = 2) annotation(Placement(visible = true, transformation(origin = {-43.6619,-127.732}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Product product5 annotation(Placement(visible = true, transformation(origin = {-79.0895,-127.732}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Add3 add32(k1 = -1) annotation(Placement(visible = true, transformation(origin = {-44.2242,-97.3656}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant constant3(k = r1) annotation(Placement(visible = true, transformation(origin = {-194.671,-29.8845}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant const(k = x) annotation(Placement(visible = true, transformation(origin = {-194.851,94.4535}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Acos acos1 annotation(Placement(visible = true, transformation(origin = {38.6879,29.4114}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Division division1 annotation(Placement(visible = true, transformation(origin = {3.86663,29.4114}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant constant4(k = Modelica.Constants.pi) annotation(Placement(visible = true, transformation(origin = {67.682,-146.852}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Blocks.Sources.Constant constant1(k = y) annotation(Placement(visible = true, transformation(origin = {-194.972,58.3474}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(constant1.y,rectangulartopolar1.u_im) annotation(Line(points = {{-181.772,58.3474},{-174.688,58.3474},{-174.688,65.7138},{-162.316,65.7138},{-162.316,65.2619},{-167.156,65.2619}}));
      connect(division1.u1,add31.y) annotation(Line(points = {{-10.5334,36.6114},{-23.2953,36.6114},{-23.2953,25.8274},{-26.8403,25.8274},{-26.8403,25.8978},{-26.8074,25.8978}}));
      connect(gain1.y,division1.u2) annotation(Line(points = {{-22.8188,56.9519},{-19.7504,56.9519},{-19.7504,22.2825},{-10.5334,22.2825},{-10.5334,22.2114}}));
      connect(division1.y,acos1.u) annotation(Line(points = {{17.0666,29.4114},{19.2519,29.4114},{19.2519,29.4114},{24.2879,29.4114}}));
      connect(acos1.y,add1.u2) annotation(Line(points = {{51.8879,29.4114},{62.5567,29.4114},{62.5567,28.9542},{63.5413,28.9542}}));
      connect(rectangulartopolar1.y_abs,product1.u1) annotation(Line(points = {{-139.556,79.6619},{-104.415,79.6619},{-104.415,64.5891},{-88.9102,64.5891},{-88.9102,63.8745}}));
      connect(const.y,rectangulartopolar1.u_re) annotation(Line(points = {{-181.651,94.4535},{-176.375,94.4535},{-176.375,80.3347},{-162.316,80.3347},{-162.316,79.6619},{-167.156,79.6619}}));
      connect(constant3.y,product3.u2) annotation(Line(points = {{-181.471,-29.8845},{-134.199,-29.8845},{-134.199,-37.7573},{-123.856,-37.7573},{-123.856,-37.6468}}));
      connect(product3.u1,constant3.y) annotation(Line(points = {{-123.856,-23.2468},{-134.199,-23.2468},{-134.199,-29.8845},{-181.471,-29.8845},{-181.471,-29.8845}}));
      connect(product1.u2,constant3.y) annotation(Line(points = {{-88.9102,49.4745},{-156.13,49.4745},{-156.13,-29.8845},{-181.471,-29.8845},{-181.471,-29.8845}}));
      connect(product5.u1,constant3.y) annotation(Line(points = {{-93.4895,-120.532},{-156.13,-120.532},{-156.13,-29.8845},{-181.471,-29.8845},{-181.471,-29.8845}}));
      connect(add32.u3,product4.y) annotation(Line(points = {{-58.6242,-106.966},{-89.774,-106.966},{-89.774,-64.7497},{-98.5053,-64.7497},{-98.5053,-64.7497}}));
      connect(add32.u2,product3.y) annotation(Line(points = {{-58.6242,-97.3656},{-81.9012,-97.3656},{-81.9012,-30.4468},{-96.256,-30.4468},{-96.256,-30.4468}}));
      connect(add32.u1,product2.y) annotation(Line(points = {{-58.6242,-87.7656},{-89.774,-87.7656},{-89.774,2.73138},{-95.6936,2.73138},{-95.6936,2.73138}}));
      connect(add32.y,division2.u1) annotation(Line(points = {{-31.0242,-97.3656},{-16.1071,-97.3656},{-16.1071,-98.0384},{-15.3238,-98.0384}}));
      connect(product5.u2,constant2.y) annotation(Line(points = {{-93.4895,-134.932},{-173.001,-134.932},{-173.001,-64.1874},{-182.294,-64.1874},{-182.294,-64.1874}}));
      connect(product5.y,gain2.u) annotation(Line(points = {{-65.8895,-127.732},{-58.8451,-127.732},{-58.8451,-127.732},{-58.0619,-127.732}}));
      connect(gain2.y,division2.u2) annotation(Line(points = {{-30.4619,-127.732},{-25.6669,-127.732},{-25.6669,-112.549},{-15.3238,-112.549},{-15.3238,-112.438}}));
      connect(division2.y,acos2.u) annotation(Line(points = {{12.2762,-105.238},{19.3205,-105.238},{19.3205,-105.801},{20.1037,-105.801}}));
      connect(acos2.y,feedback1.u1) annotation(Line(points = {{47.7037,-105.801},{57.5598,-105.801},{57.5598,-106.363},{58.082,-106.363}}));
      connect(constant4.y,feedback1.u2) annotation(Line(points = {{67.682,-133.652},{68.2443,-133.652},{68.2443,-115.963},{67.682,-115.963}}));
      connect(feedback1.y,theta2) annotation(Line(points = {{78.482,-106.363},{87.3639,-106.363},{87.3639,-44.0167},{108.013,-44.0167}}));
      connect(product4.u1,constant2.y) annotation(Line(points = {{-126.105,-57.5497},{-137.573,-57.5497},{-137.573,-64.1874},{-182.294,-64.1874},{-182.294,-64.1874}}));
      connect(constant2.y,product4.u2) annotation(Line(points = {{-182.294,-64.1874},{-137.573,-64.1874},{-137.573,-71.4979},{-128.013,-71.4979},{-128.013,-71.9497},{-126.105,-71.9497}}));
      connect(product4.y,add31.u3) annotation(Line(points = {{-98.5053,-64.7497},{-70.092,-64.7497},{-70.092,16.2276},{-54.3464,16.2276},{-54.3464,16.2978},{-54.4074,16.2978}}));
      connect(product3.y,add31.u2) annotation(Line(points = {{-96.256,-30.4468},{-81.9012,-30.4468},{-81.9012,25.7874},{-54.9087,25.7874},{-54.9087,25.8978},{-54.4074,25.8978}}));
      connect(product2.y,add31.u1) annotation(Line(points = {{-95.6936,2.73138},{-89.774,2.73138},{-89.774,35.9096},{-54.4074,35.9096},{-54.4074,35.4978}}));
      connect(product2.u2,rectangulartopolar1.y_abs) annotation(Line(points = {{-123.294,-4.46862},{-130.825,-4.46862},{-130.825,79.7723},{-139.822,79.7723},{-139.822,79.6619},{-139.556,79.6619}}));
      connect(product2.u1,rectangulartopolar1.y_abs) annotation(Line(points = {{-123.294,9.93138},{-130.825,9.93138},{-130.825,79.7723},{-139.556,79.7723},{-139.556,79.6619}}));
      connect(rectangulartopolar1.y_arg,add1.u1) annotation(Line(points = {{-139.556,65.2619},{-118.453,65.2619},{-118.453,106.765},{53.061,106.765},{53.061,44.3447},{63.5413,44.3447},{63.5413,43.3542}}));
      connect(product1.y,gain1.u) annotation(Line(points = {{-61.3102,56.6745},{-51.1185,56.6745},{-51.1185,56.9519},{-50.4188,56.9519}}));
      connect(add1.y,theta1) annotation(Line(points = {{91.1413,36.1542},{99.3088,36.1542},{99.3088,35.9833},{108.013,35.9833}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,-40},{90,40}}, textString = "Sollwerte", fontName = "Times New Roman")}));
    end SetAngles;
    model Strasse1
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-104,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-104,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a annotation(Placement(visible = true, transformation(origin = {0,-100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,-100}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,-12},{12,12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Joints.Prismatic prismatic1(useAxisFlange = true, n = {0,0,1}) annotation(Placement(visible = true, transformation(origin = {3.9886,9.11681}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.Translational.Sources.Position position1(exact = true) annotation(Placement(visible = true, transformation(origin = {-50.1425,9.11681}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(position1.support,prismatic1.support) annotation(Line(points = {{-50.1425,-2.88319},{-49.8575,-2.88319},{-49.8575,-13.9601},{-15.0997,-13.9601},{-15.0997,4.2735},{-3.2114,4.2735},{-3.2114,4.31681}}));
      connect(position1.flange,prismatic1.axis) annotation(Line(points = {{-38.1425,9.11681},{-32.7635,9.11681},{-32.7635,19.0883},{-3.2114,19.0883},{-3.2114,18.7168}}));
      connect(prismatic1.frame_a,frame_a) annotation(Line(points = {{3.9886,-2.88319},{3.9886,-2.88319},{3.9886,-59.2593},{0.569801,-59.2593},{0.569801,-99.1453},{-0.000000000000000222045,-99.1453}}));
      connect(frame_b,prismatic1.frame_b) annotation(Line(points = {{-7.40741,99.4302},{-3.9886,99.4302},{-3.9886,56.9801},{3.9886,56.9801},{3.9886,21.1168},{3.9886,21.1168}}));
      connect(u,position1.s_ref) annotation(Line(points = {{-104.274,8.83191},{-65.5271,8.83191},{-65.5271,9.11681},{-64.5425,9.11681}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Line(points = {{0,20},{0,80}}),Line(points = {{-10,30},{0,20},{10,30}}),Line(points = {{-10,70},{0,80},{10,70}}),Line(points = {{-100,-100},{-90,-80},{-70,-50},{-30,-15},{0,-10},{30,-15},{70,-50},{90,-80},{100,-100}})}));
    end Strasse1;
    model Feder1
      parameter TranslationalSpringConstant c = 1;
      parameter TranslationalDampingConstant b = 1;
      parameter Position l0 = 1;
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Forces.SpringDamperParallel springdamper1(c = c, s_unstretched = l0, d = b) annotation(Placement(visible = true, transformation(origin = {-0.2849,21.0826}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Joints.Prismatic prismatic1(n = {0,0,1}) annotation(Placement(visible = true, transformation(origin = {-0.569801,-19.3732}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(prismatic1.frame_a,frame_a) annotation(Line(points = {{-12.5698,-19.3732},{-64.3875,-19.3732},{-64.3875,0.00000283385},{-100,0.00000283385},{-100,0}}));
      connect(prismatic1.frame_b,frame_b) annotation(Line(points = {{11.4302,-19.3732},{62.6781,-19.3732},{62.6781,1.7094},{100,1.7094},{100,0}}));
      connect(frame_a,springdamper1.frame_a) annotation(Line(points = {{-100,0},{-64.3875,0},{-64.3875,20.7977},{-12.2849,20.7977},{-12.2849,21.0826}}));
      connect(springdamper1.frame_b,frame_b) annotation(Line(points = {{11.7151,21.0826},{62.6781,21.0826},{62.6781,1.7094},{100,1.7094},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Line(points = {{-80,32},{-58,32},{-48,2},{-28,62},{-8,2},{12,62},{32,2},{52,62},{62,32},{80,32}}),Line(points = {{70,-28},{-50,-28},{-50,-72},{70,-72}}),Line(points = {{-30,-50},{80,-50}}, color = {0,0,0}),Line(points = {{-80,-50},{-50,-50}}, color = {0,0,0}),Line(points = {{-80,32},{-80,-50}}, color = {0,0,0}),Line(points = {{80,32},{80,-50}}, color = {0,0,0}),Line(points = {{-96,0},{-80,0}}, color = {0,0,0}),Line(points = {{96,0},{80,0}}, color = {0,0,0})}));
    end Feder1;
    model Karosserie1
      parameter Mass m = 1 "Fahrzeugmasse (ohne Räder)";
      parameter Inertia Jx = 1 "Wankträgheitsmoment";
      parameter Inertia Jy = 1 "Nickträgheitsmoment";
      parameter Position sl = 1 "Abstand CM - linke Seite";
      parameter Position sr = 1 "Abstand CM - rechte Seite";
      parameter Position lv = 1 "Abstand CM - Vorderachse";
      parameter Position lh = 1 "Abstand CM - Hinterachse";
      parameter Position z0 = 0.6 "Angangshöhe CM";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a fvl annotation(Placement(visible = true, transformation(origin = {-100,65}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,65}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a fvr annotation(Placement(visible = true, transformation(origin = {100,65}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,65}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b fhl annotation(Placement(visible = true, transformation(origin = {-100,-65}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,-65}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b fhr annotation(Placement(visible = true, transformation(origin = {100,-65}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,-65}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Body body1(m = m, I_11 = Jx, I_22 = Jy, I_33 = 1, r_CM = {0,0,0}, r_0(start = {0,0,z0}, each fixed = true)) annotation(Placement(visible = true, transformation(origin = {19.0883,9.97151}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation1(r = {lv,-sr,0}) annotation(Placement(visible = true, transformation(origin = {65.2422,65.2422}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation2(r = {-lh,-sr,0}) annotation(Placement(visible = true, transformation(origin = {72.6496,-65.5271}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation3(r = {lv,sl,0}) annotation(Placement(visible = true, transformation(origin = {-58.9744,65.2422}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation4(r = {-lh,sl,0}) annotation(Placement(visible = true, transformation(origin = {-65.812,-65.5271}, extent = {{12,12},{-12,-12}}, rotation = -180)));
    equation
      connect(fvl,fixedtranslation3.frame_b) annotation(Line(points = {{-100,65},{-70.6553,65},{-70.6553,65.2422},{-70.9744,65.2422}}));
      connect(fixedtranslation3.frame_a,body1.frame_a) annotation(Line(points = {{-46.9744,65.2422},{-19.0883,65.2422},{-19.0883,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      connect(fixedtranslation1.frame_b,fvr) annotation(Line(points = {{77.2422,65.2422},{99.4302,65.2422},{99.4302,65},{100,65}}));
      connect(fixedtranslation1.frame_a,body1.frame_a) annotation(Line(points = {{53.2422,65.2422},{-19.0883,65.2422},{-19.0883,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      connect(fhl,fixedtranslation4.frame_b) annotation(Line(points = {{-100,-65},{-76.9231,-65},{-76.9231,-65.5271},{-77.812,-65.5271}}));
      connect(fixedtranslation4.frame_a,body1.frame_a) annotation(Line(points = {{-53.812,-65.5271},{-19.0883,-65.5271},{-19.0883,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      connect(fixedtranslation2.frame_b,fhr) annotation(Line(points = {{84.6496,-65.5271},{99.7151,-65.5271},{99.7151,-65},{100,-65}}));
      connect(fixedtranslation2.frame_a,body1.frame_a) annotation(Line(points = {{60.6496,-65.5271},{-19.0883,-65.5271},{-19.0883,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,50},{-70,80}}, textString = "vl", fontName = "Times New Roman"),Text(rotation = 0, extent = {{70,50},{90,80}}, textString = "vr", fontName = "Times New Roman"),Text(rotation = 0, extent = {{-90,-80},{-70,-50}}, textString = "hl", fontName = "Times New Roman"),Text(rotation = 0, extent = {{70,-80},{90,-50}}, textString = "hr", fontName = "Times New Roman")}));
    end Karosserie1;
    model Karosserie2
      parameter Mass m = 1 "Fahrzeugmasse (ohne Räder)";
      parameter Inertia Jx = 1 "Wankträgheitsmoment";
      parameter Inertia Jy = 1 "Nickträgheitsmoment";
      parameter Position sl = 1 "Abstand CM - linke Seite";
      parameter Position sr = 1 "Abstand CM - rechte Seite";
      parameter Position lv = 1 "Abstand CM - Vorderachse";
      parameter Position lh = 1 "Abstand CM - Hinterachse";
      parameter Position z0 = 0.6 "Angangshöhe CM";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a fvl annotation(Placement(visible = true, transformation(origin = {-100,65}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,65}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a fvr annotation(Placement(visible = true, transformation(origin = {100,65}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,65}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b fhl annotation(Placement(visible = true, transformation(origin = {-100,-65}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,-65}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b fhr annotation(Placement(visible = true, transformation(origin = {100,-65}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,-65}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Body body1(m = m, I_11 = Jx, I_22 = Jy, I_33 = 1, r_CM = {0,0,0}, r_0(start = {0,0,z0}, each fixed = true)) annotation(Placement(visible = true, transformation(origin = {19.0883,9.97151}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation1(r = {lv,-sr,0}) annotation(Placement(visible = true, transformation(origin = {65.2422,65.2422}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation2(r = {-lh,-sr,0}) annotation(Placement(visible = true, transformation(origin = {72.6496,-65.5271}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Joints.Prismatic prismatic1(n = {0,0,1}, s(start = -z0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {51.8518,40.1709}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Joints.Universal universal1 annotation(Placement(visible = true, transformation(origin = {16.8091,40.1709}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation3(r = {lv,sl,0}) annotation(Placement(visible = true, transformation(origin = {-58.9744,65.2422}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation4(r = {-lh,sl,0}) annotation(Placement(visible = true, transformation(origin = {-65.812,-65.5271}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.MultiBody.Parts.Fixed fixed1 annotation(Placement(visible = true, transformation(origin = {83.4758,40.1709}, extent = {{12,12},{-12,-12}}, rotation = -180)));
    equation
      connect(universal1.frame_a,body1.frame_a) annotation(Line(points = {{4.80912,40.1709},{0.2849,40.1709},{0.2849,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      connect(universal1.frame_b,prismatic1.frame_a) annotation(Line(points = {{28.8091,40.1709},{40.1709,40.1709},{40.1709,40.1709},{39.8518,40.1709}}));
      connect(prismatic1.frame_b,fixed1.frame_b) annotation(Line(points = {{63.8518,40.1709},{72.6496,40.1709},{72.6496,40.1709},{71.4758,40.1709}}));
      connect(fvl,fixedtranslation3.frame_b) annotation(Line(points = {{-100,65},{-70.6553,65},{-70.6553,65.2422},{-70.9744,65.2422}}));
      connect(fixedtranslation3.frame_a,body1.frame_a) annotation(Line(points = {{-46.9744,65.2422},{-19.0883,65.2422},{-19.0883,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      connect(fixedtranslation1.frame_b,fvr) annotation(Line(points = {{77.2422,65.2422},{99.4302,65.2422},{99.4302,65},{100,65}}));
      connect(fixedtranslation1.frame_a,body1.frame_a) annotation(Line(points = {{53.2422,65.2422},{-19.0883,65.2422},{-19.0883,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      connect(fhl,fixedtranslation4.frame_b) annotation(Line(points = {{-100,-65},{-76.9231,-65},{-76.9231,-65.5271},{-77.812,-65.5271}}));
      connect(fixedtranslation4.frame_a,body1.frame_a) annotation(Line(points = {{-53.812,-65.5271},{-19.0883,-65.5271},{-19.0883,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      connect(fixedtranslation2.frame_b,fhr) annotation(Line(points = {{84.6496,-65.5271},{99.7151,-65.5271},{99.7151,-65},{100,-65}}));
      connect(fixedtranslation2.frame_a,body1.frame_a) annotation(Line(points = {{60.6496,-65.5271},{-19.0883,-65.5271},{-19.0883,9.97151},{7.0883,9.97151},{7.0883,9.97151}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,50},{-70,80}}, textString = "vl", fontName = "Times New Roman"),Text(rotation = 0, extent = {{70,50},{90,80}}, textString = "vr", fontName = "Times New Roman"),Text(rotation = 0, extent = {{-90,-80},{-70,-50}}, textString = "hl", fontName = "Times New Roman"),Text(rotation = 0, extent = {{70,-80},{90,-50}}, textString = "hr", fontName = "Times New Roman")}));
    end Karosserie2;
    model Strasse2
      Modelica.Blocks.Interfaces.RealInput x annotation(Placement(visible = true, transformation(origin = {-103,-50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,-50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput y annotation(Placement(visible = true, transformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput z annotation(Placement(visible = true, transformation(origin = {-103,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Sources.Position position1(exact = true) annotation(Placement(visible = true, transformation(origin = {-43.8747,49.8576}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Sources.Position position2(exact = true) annotation(Placement(visible = true, transformation(origin = {-48.1481,-0.284912}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Sources.Position position3(exact = true) annotation(Placement(visible = true, transformation(origin = {-44.7293,-50.1424}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Joints.Prismatic prismatic1(useAxisFlange = true, n = {0,0,1}) annotation(Placement(visible = true, transformation(origin = {0.284896,40.171}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.MultiBody.Joints.Prismatic prismatic2(useAxisFlange = true, n = {0,1,0}) annotation(Placement(visible = true, transformation(origin = {-0.000000000000000666134,-9.68661}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.MultiBody.Joints.Prismatic prismatic3(useAxisFlange = true, n = {1,0,0}) annotation(Placement(visible = true, transformation(origin = {0.5698,-59.5442}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.MultiBody.Parts.Fixed fixed1 annotation(Placement(visible = true, transformation(origin = {0.862069,-88.7931}, extent = {{12,-12},{-12,12}}, rotation = 90)));
    equation
      connect(fixed1.frame_b,prismatic3.frame_a) annotation(Line(points = {{0.862069,-76.7931},{0.287356,-76.7931},{0.287356,-71.5442},{0.5698,-71.5442}}));
      connect(position3.support,prismatic3.support) annotation(Line(points = {{-44.7293,-62.1424},{-44.7293,-62.1424},{-44.7293,-71.51},{-11.6809,-71.51},{-11.6809,-64.6724},{-6.6302,-64.6724},{-6.6302,-64.3442}}));
      connect(position2.support,prismatic2.support) annotation(Line(points = {{-48.1481,-12.2849},{-47.8632,-12.2849},{-47.8632,-19.6581},{-12.5356,-19.6581},{-12.5356,-14.5299},{-7.2,-14.5299},{-7.2,-14.4866}}));
      connect(position3.flange,prismatic3.axis) annotation(Line(points = {{-32.7293,-50.1424},{-7.12251,-50.1424},{-7.12251,-49.9442},{-6.6302,-49.9442}}));
      connect(prismatic2.frame_a,prismatic3.frame_b) annotation(Line(points = {{-0.000000000000000666134,-21.6866},{-0.000000000000000444089,-21.6866},{-0.000000000000000444089,-47.5442},{0.5698,-47.5442}}));
      connect(position2.flange,prismatic2.axis) annotation(Line(points = {{-36.1481,-0.284912},{-6.55271,-0.284912},{-6.55271,-0.0866092},{-7.2,-0.0866092}}));
      connect(prismatic1.frame_a,prismatic2.frame_b) annotation(Line(points = {{0.284896,28.171},{0.2849,28.171},{0.2849,2.31339},{-0.000000000000000666134,2.31339}}));
      connect(x,position3.s_ref) annotation(Line(points = {{-103,-50},{-58.4046,-50},{-58.4046,-50.1424},{-59.1293,-50.1424}}));
      connect(y,position2.s_ref) annotation(Line(points = {{-103,0},{-63.5328,0},{-63.5328,-0.284912},{-62.5481,-0.284912}}));
      connect(position1.support,prismatic1.support) annotation(Line(points = {{-43.8747,37.8576},{-43.3048,37.8576},{-43.3048,30.1994},{-16.2393,30.1994},{-16.2393,35.3277},{-6.9151,35.3277},{-6.9151,35.371}}));
      connect(position1.flange,prismatic1.axis) annotation(Line(points = {{-31.8747,49.8576},{-7.97721,49.8576},{-7.97721,49.771},{-6.9151,49.771}}));
      connect(prismatic1.frame_b,frame_b) annotation(Line(points = {{0.284896,52.171},{0,52.171},{0,100},{0,100}}));
      connect(z,position1.s_ref) annotation(Line(points = {{-103,50},{-65.5271,50},{-65.5271,49.8576},{-58.2747,49.8576}}));
      annotation(Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Line(points = {{0,20},{0,80}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25),Line(points = {{-10,30},{0,20},{10,30}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25),Line(points = {{-10,70},{0,80},{10,70}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25),Line(points = {{-100,-100},{-90,-80},{-70,-50},{-30,-15},{0,-10},{30,-15},{70,-50},{90,-80},{100,-100}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25)}), Diagram());
    end Strasse2;
    model Strasse
      parameter Position x0 = 1 "Anfangsposition x";
      parameter Position y0 = 1 "Anfangsposition y";
      Modelica.Blocks.Interfaces.RealInput z annotation(Placement(visible = true, transformation(origin = {-103,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Translational.Sources.Position position1(exact = true) annotation(Placement(visible = true, transformation(origin = {-43.8747,49.8576}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Joints.Prismatic prismatic1(useAxisFlange = true, n = {0,0,1}) annotation(Placement(visible = true, transformation(origin = {0.284896,40.171}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.MultiBody.Parts.Fixed fixed1(r = {x0,y0,0}) annotation(Placement(visible = true, transformation(origin = {0.862069,2.29885}, extent = {{12,-12},{-12,12}}, rotation = 90)));
    equation
      connect(prismatic1.frame_a,fixed1.frame_b) annotation(Line(points = {{0.284896,28.171},{1.14943,28.171},{1.14943,14.2989},{0.862069,14.2989}}));
      connect(position1.support,prismatic1.support) annotation(Line(points = {{-43.8747,37.8576},{-43.3048,37.8576},{-43.3048,30.1994},{-16.2393,30.1994},{-16.2393,35.3277},{-6.9151,35.3277},{-6.9151,35.371}}));
      connect(position1.flange,prismatic1.axis) annotation(Line(points = {{-31.8747,49.8576},{-7.97721,49.8576},{-7.97721,49.771},{-6.9151,49.771}}));
      connect(prismatic1.frame_b,frame_b) annotation(Line(points = {{0.284896,52.171},{0,52.171},{0,100},{0,100}}));
      connect(z,position1.s_ref) annotation(Line(points = {{-103,50},{-65.5271,50},{-65.5271,49.8576},{-58.2747,49.8576}}));
      annotation(Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {0,0,0}, pattern = LinePattern.Solid, fillPattern = FillPattern.None, lineThickness = 0.25, extent = {{-100,-100},{100,100}}),Line(points = {{0,20},{0,80}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25),Line(points = {{-10,30},{0,20},{10,30}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25),Line(points = {{-10,70},{0,80},{10,70}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25),Line(points = {{-100,-100},{-90,-80},{-70,-50},{-30,-15},{0,-10},{30,-15},{70,-50},{90,-80},{100,-100}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25)}), Diagram());
    end Strasse;
    model TestStrasse
      import Modelica.Constants.pi;
      parameter Modelica.SIunits.Frequency fl = 1;
      parameter Modelica.SIunits.Frequency fr = 1;
      parameter Modelica.SIunits.Position Al = 1;
      parameter Modelica.SIunits.Position Ar = 1;
      parameter Modelica.SIunits.Angle phi = 1;
      parameter Modelica.SIunits.Velocity v = 1;
      parameter Modelica.SIunits.Position sr = 1;
      parameter Modelica.SIunits.Position sl = 1;
      parameter Modelica.SIunits.Position lv = 1;
      parameter Modelica.SIunits.Position lh = 1;
      Modelica.Blocks.Sources.Sine sine1(amplitude = Al, freqHz = fl, phase = pi / 2) annotation(Placement(visible = true, transformation(origin = {-5.98291,75.7835}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Sine sine2(amplitude = Al, freqHz = fl, phase = 1 / 2 * pi * (v + 4 * fl * lv + 4 * fl * lh) / v, startTime = (lv + lh) / v) annotation(Placement(visible = true, transformation(origin = {-6.83761,27.3504}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Sine sine3(amplitude = Ar, freqHz = fr, phase = 1 / 2 * pi + phi) annotation(Placement(visible = true, transformation(origin = {-5.69801,-20.7977}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Sine sine4(amplitude = Ar, freqHz = fr, phase = 1 / 2 * pi * (v + 4 * fr * lv + 4 * fr * lh) / v, startTime = (lv + lh) / v) annotation(Placement(visible = true, transformation(origin = {-3.9886,-71.51}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y1 annotation(Placement(visible = true, transformation(origin = {105,76.3533}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,76.3533}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y2 annotation(Placement(visible = true, transformation(origin = {105,27.0655}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,27.0655}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y3 annotation(Placement(visible = true, transformation(origin = {105,-20.7977}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,-20.7977}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y4 annotation(Placement(visible = true, transformation(origin = {105,-72.0798}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,-72.0798}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(sine4.y,y4) annotation(Line(points = {{9.2114,-71.51},{97.151,-71.51},{97.151,-72.0798},{105,-72.0798}}));
      connect(sine3.y,y3) annotation(Line(points = {{7.50199,-20.7977},{96.2963,-20.7977},{96.2963,-20.7977},{105,-20.7977}}));
      connect(sine2.y,y2) annotation(Line(points = {{6.36239,27.3504},{96.8661,27.3504},{96.8661,27.0655},{105,27.0655}}));
      connect(sine1.y,y1) annotation(Line(points = {{7.21709,75.7835},{96.2963,75.7835},{96.2963,76.3533},{105,76.3533}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}})}));
    end TestStrasse;
    model Feder
      parameter TranslationalSpringConstant c = 1;
      parameter TranslationalDampingConstant b = 1;
      parameter Position l0 = 1;
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Forces.SpringDamperParallel springdamper1(c = c, s_unstretched = l0, d = b) annotation(Placement(visible = true, transformation(origin = {-39.6011,-0.284922}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(springdamper1.frame_b,frame_b) annotation(Line(points = {{-27.6011,-0.284922},{62.6781,-0.284922},{62.6781,-0.284902},{100,-0.284902},{100,0}}));
      connect(frame_a,springdamper1.frame_a) annotation(Line(points = {{-100,0},{-64.3875,0},{-64.3875,-0.0000199158},{-51.6011,-0.0000199158},{-51.6011,-0.284922}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Line(points = {{-80,32},{-58,32},{-48,2},{-28,62},{-8,2},{12,62},{32,2},{52,62},{62,32},{80,32}}),Line(points = {{70,-28},{-50,-28},{-50,-72},{70,-72}}),Line(points = {{-30,-50},{80,-50}}, color = {0,0,0}),Line(points = {{-80,-50},{-50,-50}}, color = {0,0,0}),Line(points = {{-80,32},{-80,-50}}, color = {0,0,0}),Line(points = {{80,32},{80,-50}}, color = {0,0,0}),Line(points = {{-96,0},{-80,0}}, color = {0,0,0}),Line(points = {{96,0},{80,0}}, color = {0,0,0})}));
    end Feder;
    model Federbein1
      parameter Mass m = 1 "Radmasse";
      parameter TranslationalSpringConstant cr = 1 "Reifenradialsteifigkeit";
      parameter TranslationalSpringConstant ca = 1 "Steifigkeit des Stoßdämpfers";
      parameter TranslationalDampingConstant d = 1 "Dämpfung des Stoßdämpfers";
      parameter Position x0 = 0 "Anfangsposition x";
      parameter Position y0 = 0 "Anfangsposition y";
      parameter Position z0 = 0.3 "Anfangsposition z";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Strasse2 strasse1 annotation(Placement(visible = true, transformation(origin = {1.86895,-41.8803}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Body body1(r_CM = {0,0,0}, m = m, r_0(start = {x0,y0,z0}, each fixed = true), I_11 = 1, I_22 = 1, I_33 = 1) annotation(Placement(visible = true, transformation(origin = {30.9288,11.1111}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Feder feder1(c = cr, b = 0, l0 = 0.3) annotation(Placement(visible = true, transformation(origin = {2.15385,-5.12821}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      PJlib.Kap17.Feder feder2(c = ca, b = d, l0 = 0.8) annotation(Placement(visible = true, transformation(origin = {1.86895,27.6353}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.MultiBody.Sensors.AbsolutePosition absoluteposition1 annotation(Placement(visible = true, transformation(origin = {-63.8177,35.0997}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Blocks.Routing.DeMultiplex3 demultiplex31 annotation(Placement(visible = true, transformation(origin = {-62.6781,-20.5128}, extent = {{-12,12},{12,-12}}, rotation = -90)));
    equation
      connect(demultiplex31.u,absoluteposition1.r) annotation(Line(points = {{-62.6781,-6.11281},{-63.5328,-6.11281},{-63.5328,21.8997},{-63.8177,21.8997}}));
      connect(demultiplex31.y3[1],strasse1.x) annotation(Line(points = {{-71.0781,-33.7128},{-70.9402,-33.7128},{-70.9402,-48.1481},{-10.491,-48.1481},{-10.491,-47.8803}}));
      connect(demultiplex31.y2[1],strasse1.y) annotation(Line(points = {{-62.6781,-33.7128},{-62.6781,-26.0205},{-62.6781,-41.8803},{-10.491,-41.8803},{-10.491,-41.8803}}));
      connect(u,strasse1.z) annotation(Line(points = {{-103.989,11.396},{-28.2051,11.396},{-28.2051,-35.6125},{-11.1111,-35.6125},{-11.1111,-35.8803},{-10.491,-35.8803}}));
      connect(demultiplex31.u,absoluteposition1.r) annotation(Line(points = {{-62.6781,1.5795},{-63.5328,1.5795},{-63.5328,21.8997},{-63.8177,21.8997}}));
      connect(absoluteposition1.frame_a,frame_b) annotation(Line(points = {{-63.8177,47.0997},{-63.8177,47.0997},{-63.8177,59.0313},{70.8376,59.0313},{70.8376,0.319088},{100,0.319088},{100,0}}));
      connect(feder2.frame_b,frame_b) annotation(Line(points = {{1.86895,39.6353},{1.91453,39.6353},{1.91453,59.0313},{70.8376,59.0313},{70.8376,0.319088},{99.7151,0.319088},{99.7151,1.4245}}));
      connect(body1.frame_a,feder1.frame_b) annotation(Line(points = {{18.9288,11.1111},{2.15385,11.1111},{2.15385,6.87179},{2.15385,6.87179}}));
      connect(feder2.frame_a,feder1.frame_b) annotation(Line(points = {{1.86895,15.6353},{2.15385,15.6353},{2.15385,6.87179},{2.15385,6.87179}}));
      connect(feder1.frame_a,strasse1.frame_b) annotation(Line(points = {{2.15385,-17.1282},{2.15385,-17.1282},{2.15385,-29.8803},{1.86895,-29.8803}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}})}));
    end Federbein1;
    model Federbein2
      parameter Mass m = 1 "Radmasse";
      parameter TranslationalSpringConstant cr = 1 "Reifenradialsteifigkeit";
      parameter TranslationalSpringConstant ca = 1 "Steifigkeit des Stoßdämpfers";
      parameter TranslationalDampingConstant d = 1 "Dämpfung des Stoßdämpfers";
      parameter Position x0 = 1 "Anfangsposition x";
      parameter Position y0 = 1 "Anfangsposition y";
      parameter Position z0 = 1 "Anfangsposition z";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Strasse strasse1(x0 = x0, y0 = y0) annotation(Placement(visible = true, transformation(origin = {1.86895,-41.8803}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Body body1(r_CM = {0,0,0}, m = m, r_0(start = {x0,y0,z0}, each fixed = true), I_11 = 1, I_22 = 1, I_33 = 1) annotation(Placement(visible = true, transformation(origin = {30.9288,11.1111}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Feder feder1(c = cr, b = 0, l0 = 0.3) annotation(Placement(visible = true, transformation(origin = {2.15385,-5.12821}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      PJlib.Kap17.Feder feder2(c = ca, b = d, l0 = 0.8) annotation(Placement(visible = true, transformation(origin = {1.86895,27.6353}, extent = {{12,-12},{-12,12}}, rotation = 90)));
    equation
      connect(u,strasse1.z) annotation(Line(points = {{-103.989,11.396},{-28.2051,11.396},{-28.2051,-35.6125},{-11.1111,-35.6125},{-11.1111,-35.8803},{-10.491,-35.8803}}));
      connect(feder2.frame_b,frame_b) annotation(Line(points = {{1.86895,39.6353},{1.91453,39.6353},{1.91453,59.0313},{70.8376,59.0313},{70.8376,0.319088},{99.7151,0.319088},{99.7151,1.4245}}));
      connect(body1.frame_a,feder1.frame_b) annotation(Line(points = {{18.9288,11.1111},{2.15385,11.1111},{2.15385,6.87179},{2.15385,6.87179}}));
      connect(feder2.frame_a,feder1.frame_b) annotation(Line(points = {{1.86895,15.6353},{2.15385,15.6353},{2.15385,6.87179},{2.15385,6.87179}}));
      connect(feder1.frame_a,strasse1.frame_b) annotation(Line(points = {{2.15385,-17.1282},{2.15385,-17.1282},{2.15385,-29.8803},{1.86895,-29.8803}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}})}));
    end Federbein2;
    model Federbein3
      parameter Mass m = 1 "Radmasse";
      parameter TranslationalSpringConstant cr = 1 "Reifenradialsteifigkeit";
      parameter TranslationalSpringConstant ca = 1 "Steifigkeit des Stoßdämpfers";
      parameter TranslationalDampingConstant d = 1 "Dämpfung des Stoßdämpfers";
      parameter Position x0 = 1 "Anfangsposition x";
      parameter Position y0 = 1 "Anfangsposition y";
      parameter Position z0 = 1 "Anfangsposition z";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Strasse strasse1(x0 = x0, y0 = y0) annotation(Placement(visible = true, transformation(origin = {1.86895,-41.8803}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Body body1(r_CM = {0,0,0}, m = m, r_0(start = {x0,y0,z0}, each fixed = true), I_11 = 1, I_22 = 1, I_33 = 1) annotation(Placement(visible = true, transformation(origin = {30.9288,11.1111}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap17.Feder feder1(c = cr, b = 0, l0 = 0.3) annotation(Placement(visible = true, transformation(origin = {2.15385,-5.12821}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      PJlib.Kap17.Feder feder2(c = ca, b = d, l0 = 0.8) annotation(Placement(visible = true, transformation(origin = {1.86895,27.6353}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.MultiBody.Joints.Prismatic prismatic1(n = {0,0,1}) annotation(Placement(visible = true, transformation(origin = {-31.6092,-4.88506}, extent = {{12,-12},{-12,12}}, rotation = 90)));
    equation
      connect(prismatic1.frame_a,feder1.frame_a) annotation(Line(points = {{-31.6092,-16.8851},{-31.3218,-16.8851},{-31.3218,-23.5632},{2.01149,-23.5632},{2.01149,-17.1282},{2.15385,-17.1282}}));
      connect(prismatic1.frame_b,feder1.frame_b) annotation(Line(points = {{-31.6092,7.11494},{-31.6092,7.11494},{-31.6092,11.7816},{2.01149,11.7816},{2.01149,6.87179},{2.15385,6.87179}}));
      connect(u,strasse1.z) annotation(Line(points = {{-103,0},{-74.4695,0},{-74.4695,-35.6125},{-11.1111,-35.6125},{-11.1111,-35.8803},{-10.491,-35.8803}}));
      connect(feder2.frame_b,frame_b) annotation(Line(points = {{1.86895,39.6353},{1.91453,39.6353},{1.91453,59.0313},{70.8376,59.0313},{70.8376,0.319088},{99.7151,0.319088},{99.7151,1.4245}}));
      connect(body1.frame_a,feder1.frame_b) annotation(Line(points = {{18.9288,11.1111},{2.15385,11.1111},{2.15385,6.87179},{2.15385,6.87179}}));
      connect(feder2.frame_a,feder1.frame_b) annotation(Line(points = {{1.86895,15.6353},{2.15385,15.6353},{2.15385,6.87179},{2.15385,6.87179}}));
      connect(feder1.frame_a,strasse1.frame_b) annotation(Line(points = {{2.15385,-17.1282},{2.15385,-17.1282},{2.15385,-29.8803},{1.86895,-29.8803}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}})}));
    end Federbein3;
    model RevoluteM
      parameter RotationalDampingConstant b = 1 "Rotational damping";
      parameter Angle theta0 = 0 "Initial angle of the revolute";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Joints.Revolute revolute1(useAxisFlange = true, phi(start = theta0, fixed = true)) annotation(Placement(visible = true, transformation(origin = {1.13961,0.00000436625}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.Rotational.Components.Damper damper1(d = b) annotation(Placement(visible = true, transformation(origin = {-1.1396,35.6125}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(damper1.flange_a,revolute1.support) annotation(Line(points = {{-13.1396,35.6125},{-18.8034,35.6125},{-18.8034,21.9373},{-5.69799,21.9373},{-5.69799,12},{-6.06039,12}}));
      connect(damper1.flange_b,revolute1.axis) annotation(Line(points = {{10.8604,35.6125},{15.6695,35.6125},{15.6695,21.9373},{1.13961,21.9373},{1.13961,17.1282},{1.13961,12}}));
      connect(frame_a,revolute1.frame_a) annotation(Line(points = {{-100,0},{-16.2393,0},{-16.2393,0.00000436625},{-10.8604,0.00000436625}}));
      connect(revolute1.frame_b,frame_b) annotation(Line(points = {{13.1396,0.00000436625},{99.4302,0.00000436625},{99.4302,0},{100,0}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(extent = {{-100,-100},{100,100}}, preserveAspectRatio = true, initialScale = 0.1, grid = {2,2}), graphics = {Line(points = {{3,77},{17,75},{30,70},{42,63},{50,56},{59,45},{66,34},{72,21}}),Polygon(fillPattern = FillPattern.Solid, points = {{64,20},{79,22},{75,-2},{64,20}}),Polygon(fillColor = {40,118,192}, fillPattern = FillPattern.Solid, points = {{43,-20},{83,-52},{69,-73},{29,-41},{43,-20}}),Ellipse(fillColor = {40,118,192}, fillPattern = FillPattern.Solid, extent = {{-50,-50},{50,50}}, endAngle = 360),Ellipse(fillColor = {255,255,255}, fillPattern = FillPattern.Solid, extent = {{-30,-30},{30,30}}, endAngle = 360),Rectangle(fillColor = {255,255,255}, fillPattern = FillPattern.Solid, extent = {{-91,-14},{-20,12}}),Rectangle(lineColor = {255,255,255}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid, extent = {{-32,-14},{7,12}}),Rectangle(extent = {{-100,-100},{100,100}})}));
    end RevoluteM;
    model BodyCylinderWithPivot
      import Modelica.Constants.pi;
      parameter Position L = 1 "Länge des Zylinders";
      parameter Position d = 1 "Durchmesser des Zylinders";
      parameter Density rho = 7700 "Dichte des Zylinders";
      parameter Position Ld = 1 "Abstand Schwerpunkt - Drehpunkt";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a1 annotation(Placement(visible = true, transformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a2 annotation(Placement(visible = true, transformation(origin = {-50,-40}, extent = {{12,-12},{-12,12}}, rotation = 90), iconTransformation(origin = {-50,-40}, extent = {{12,-12},{-12,12}}, rotation = 90)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {100,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Mechanics.MultiBody.Parts.Body body1(r_CM = {0,0,0}, m = 1 / 4 * rho * pi * L * d ^ 2, I_11 = 0, I_22 = 1 / 48 * rho * pi * d ^ 2 * L ^ 3, I_33 = 1 / 48 * rho * pi * d ^ 2 * L ^ 3) annotation(Placement(visible = true, transformation(origin = {31.7293,-34.3219}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation2(r = {-L / 2 + Ld,0,0}) annotation(Placement(visible = true, transformation(origin = {-73.7892,-0.2849}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation3(r = {-Ld,0,0}) annotation(Placement(visible = true, transformation(origin = {-24.7863,-0.854701}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.MultiBody.Parts.FixedTranslation fixedtranslation1(r = {L / 2,0,0}) annotation(Placement(visible = true, transformation(origin = {65.2422,-1.1396}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(frame_a2,fixedtranslation3.frame_b) annotation(Line(points = {{-50,-100},{-49.8575,-100},{-49.8575,-0.2849},{-36.7863,-0.2849},{-36.7863,-0.854701}}));
      connect(body1.frame_a,fixedtranslation1.frame_a) annotation(Line(points = {{31.7293,-22.3219},{31.6239,-22.3219},{31.6239,-0.854701},{53.2422,-0.854701},{53.2422,-1.1396}}));
      connect(fixedtranslation1.frame_b,frame_b) annotation(Line(points = {{77.2422,-1.1396},{100,-1.1396},{100,0},{100,0}}));
      connect(fixedtranslation3.frame_a,fixedtranslation1.frame_a) annotation(Line(points = {{-12.7863,-0.854701},{53.2764,-0.854701},{53.2764,-1.1396},{53.2422,-1.1396}}));
      connect(fixedtranslation2.frame_a,fixedtranslation3.frame_b) annotation(Line(points = {{-61.7892,-0.2849},{-36.4672,-0.2849},{-36.4672,-0.854701},{-36.7863,-0.854701}}));
      connect(frame_a1,fixedtranslation2.frame_b) annotation(Line(points = {{-100,0},{-85.4701,0},{-85.4701,-0.2849},{-85.7892,-0.2849}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-40},{100,40}}, fillPattern = FillPattern.Solid, fillColor = {68,162,255}),Ellipse(extent = {{-40,-10},{-20,10}}, fillPattern = FillPattern.Solid, fillColor = {33,74,203})}));
    end BodyCylinderWithPivot;
    model AddVector
      parameter Integer n = 2;
      parameter Real k1 = 1 "Faktor des ersten Summanden";
      parameter Real k2 = 1 "Faktor des zweiten Summanden";
      Modelica.Blocks.Interfaces.RealInput v1[n] annotation(Placement(visible = true, transformation(origin = {-103,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput v2[n] annotation(Placement(visible = true, transformation(origin = {-103,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y[n] annotation(Placement(visible = true, transformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      y = k1 * v1 + k2 * v2;
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,-40},{90,40}}, textString = "k1*v1 + k2*v2", fontName = "Times New Roman")}));
    end AddVector;
    model MultScalarVector
      parameter Integer n = 2;
      Modelica.Blocks.Interfaces.RealInput s annotation(Placement(visible = true, transformation(origin = {-103,40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput v[n] annotation(Placement(visible = true, transformation(origin = {-103,-40}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-103,-40}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput y[n] annotation(Placement(visible = true, transformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {106,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      y = s * v;
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,-40},{90,40}}, textString = "s*v", fontName = "Times New Roman")}));
    end MultScalarVector;
    model Schlinge
      parameter Real c = 1 "Federkonstante";
      parameter Real d = 1 "Dämpfungskonstante";
      parameter Time Ts = 1 "Umschaltzeit";
      Modelica.Mechanics.MultiBody.Interfaces.Frame_a frame_a annotation(Placement(visible = true, transformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,100}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Interfaces.Frame_b frame_b annotation(Placement(visible = true, transformation(origin = {0,-100}, extent = {{-12,12},{12,-12}}, rotation = -90), iconTransformation(origin = {0,-100}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Sensors.RelativeVelocity relativevelocity1 annotation(Placement(visible = true, transformation(origin = {79.4872,13.3903}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      Modelica.Mechanics.MultiBody.Sensors.RelativePosition relativeposition1 annotation(Placement(visible = true, transformation(origin = {57.5499,45.0142}, extent = {{-12,12},{12,-12}}, rotation = -90)));
      PJlib.Kap17.AddVector addvector1(n = 3, k1 = -d, k2 = -c) annotation(Placement(visible = true, transformation(origin = {5.98291,35.0427}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      PJlib.Kap17.MultScalarVector multscalarvector1(n = 3) annotation(Placement(visible = true, transformation(origin = {-35.3276,17.094}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Blocks.Sources.Step step1(height = -1, offset = 1, startTime = Ts) annotation(Placement(visible = true, transformation(origin = {9.9715,-7.97718}, extent = {{12,12},{-12,-12}}, rotation = -180)));
      Modelica.Mechanics.MultiBody.Forces.Force force1(resolveInFrame = Modelica.Mechanics.MultiBody.Types.ResolveInFrameAB.frame_a) annotation(Placement(visible = true, transformation(origin = {-76.0684,10.2564}, extent = {{-12,12},{12,-12}}, rotation = -90)));
    equation
      connect(relativeposition1.frame_a,frame_a) annotation(Line(points = {{57.5499,57.0142},{57.5499,57.0142},{57.5499,86.0399},{-0.2849,86.0399},{-0.2849,100},{0,100}}));
      connect(relativeposition1.frame_b,frame_b) annotation(Line(points = {{57.5499,33.0142},{57.5499,33.0142},{57.5499,-76.6382},{0.2849,-76.6382},{0.2849,-100},{0,-100}}));
      connect(relativevelocity1.frame_a,frame_a) annotation(Line(points = {{79.4872,25.3903},{79.4872,25.3903},{79.4872,86.0399},{-0.2849,86.0399},{-0.2849,100},{0,100}}));
      connect(relativevelocity1.frame_b,frame_b) annotation(Line(points = {{79.4872,1.3903},{79.2023,1.3903},{79.2023,-76.6382},{0.2849,-76.6382},{0.2849,-100},{0,-100}}));
      connect(force1.frame_b,frame_b) annotation(Line(points = {{-76.0684,-1.7436},{-76.0684,-1.7436},{-76.0684,-76.6382},{0.2849,-76.6382},{0.2849,-100},{0,-100}}));
      connect(force1.frame_a,frame_a) annotation(Line(points = {{-76.0684,22.2564},{-76.3533,22.2564},{-76.3533,86.0399},{-0.2849,86.0399},{-0.2849,100},{0,100}}));
      connect(multscalarvector1.y,force1.force) annotation(Line(points = {{-48.0476,17.094},{-59.8291,17.094},{-59.8291,17.4564},{-61.6684,17.4564}}));
      connect(step1.y,multscalarvector1.s) annotation(Line(points = {{-3.2285,-7.97718},{-11.1111,-7.97718},{-11.1111,11.9658},{-22.9676,11.9658},{-22.9676,12.294}}));
      connect(addvector1.y,multscalarvector1.v) annotation(Line(points = {{-6.73709,35.0427},{-14.8148,35.0427},{-14.8148,21.9373},{-22.9676,21.9373},{-22.9676,21.894}}));
      connect(addvector1.v2,relativeposition1.r_rel) annotation(Line(points = {{18.3429,39.8427},{32.7635,39.8427},{32.7635,45.0142},{44.3499,45.0142},{44.3499,45.0142}}));
      connect(addvector1.v1,relativevelocity1.v_rel) annotation(Line(points = {{18.3429,30.2427},{33.3333,30.2427},{33.3333,13.3903},{66.2872,13.3903},{66.2872,13.3903}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Polygon(points = {{0,97},{-11,66},{-45,34},{-51,7},{-55,-37},{-39,-78},{5,-89},{36,-89},{53,-78},{63,-58},{65,-17},{55,11},{35,42},{13,65},{6,75},{0,97}}, lineColor = {0,0,0})}));
    end Schlinge;
  end Kap17;
  package Kap18
    block Extractor "Replacement for broken Extractor"
      extends Modelica.Blocks.Interfaces.MISO;
      parameter Boolean allowOutOfRange = false "Index may be out of range";
      parameter Real outOfRangeValue = 10000000000.0 "Output signal if index is out of range";
      Modelica.Blocks.Interfaces.IntegerInput index annotation(Placement(visible = true, transformation(origin = {2.5641,-103.989}, extent = {{12,-12},{-12,12}}, rotation = 90), iconTransformation(origin = {2.5641,-103.989}, extent = {{12,-12},{-12,12}}, rotation = 90)));
    protected
      Real k[nin];
    equation
      for i in 1:nin loop
      k[i] = if index == i then 1 else 0;

      end for;
      y = if not allowOutOfRange or index > 0 and index <= nin then k * u else outOfRangeValue;
      annotation(Diagram(), Icon());
    end Extractor;
    model OttoSteuerung
      parameter InternalEnergy Qzu = 1000;
      parameter Time T = 4;
      parameter Position x1 = 1;
      parameter Position x2 = 1;
      parameter Position x3 = 1;
      parameter Position x4 = 1;
      Modelica.Blocks.Interfaces.BooleanOutput sw annotation(Placement(visible = true, transformation(origin = {105,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput x annotation(Placement(visible = true, transformation(origin = {105,-50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,-50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput Qdot annotation(Placement(visible = true, transformation(origin = {105,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.EqualConstantI equalconstanti1(k = 4) annotation(Placement(visible = true, transformation(origin = {74.3589,0.0000027374}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.TimedModuloCounter timedmodulocounter1(T = T / 4, N = 4, offset = 1) annotation(Placement(visible = true, transformation(origin = {-79.7721,-81.7664}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale1(smin = -1, tmin = x2, tmax = x1) annotation(Placement(visible = true, transformation(origin = {-11.396,29.3447}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale2(smin = -1, tmin = x2, tmax = x3) annotation(Placement(visible = true, transformation(origin = {-10.5413,-3.9886}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale3(smin = -1, tmin = x4, tmax = x3) annotation(Placement(visible = true, transformation(origin = {-9.97151,-33.0484}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale4(smin = -1, tmin = x4, tmax = x1) annotation(Placement(visible = true, transformation(origin = {-9.68661,-61.8234}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Extractor extractor1(nin = 4) annotation(Placement(visible = true, transformation(origin = {74.0741,-59.5442}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Routing.Multiplex4 multiplex41 annotation(Placement(visible = true, transformation(origin = {37.3219,-59.5442}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant const(k = 4 * Qzu / T) annotation(Placement(visible = true, transformation(origin = {-3.7037,86.8946}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant constant1(k = 0) annotation(Placement(visible = true, transformation(origin = {-2.849,57.8348}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Extractor extractor2(nin = 4) annotation(Placement(visible = true, transformation(origin = {75.4986,82.6211}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Routing.Multiplex4 multiplex42 annotation(Placement(visible = true, transformation(origin = {39.3162,83.1909}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Sine sine1(freqHz = 2 / T, phase = Modelica.Constants.pi / 2) annotation(Placement(visible = true, transformation(origin = {-61.8234,27.3504}, extent = {{-12,-12},{12,12}}, rotation = 0)));
    equation
      connect(sine1.y,rescale1.u) annotation(Line(points = {{-48.6234,29.3447},{-23.6467,29.3447},{-23.6467,29.3447},{-23.396,29.3447}}));
      connect(sine1.y,rescale2.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-3.9886},{-22.5413,-3.9886},{-22.5413,-3.9886}}));
      connect(sine1.y,rescale3.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-32.7635},{-21.9715,-32.7635},{-21.9715,-33.0484}}));
      connect(sine1.y,rescale4.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-62.1083},{-21.6866,-62.1083},{-21.6866,-61.8234}}));
      connect(multiplex42.y,extractor2.u) annotation(Line(points = {{30,80},{40,80}}));
      connect(const.y,multiplex42.u2[1]) annotation(Line(points = {{9.4963,86.8946},{24.2165,86.8946},{24.2165,86.7909},{24.9162,86.7909}}));
      connect(constant1.y,multiplex42.u1[1]) annotation(Line(points = {{10.351,57.8348},{15.6695,57.8348},{15.6695,94.302},{24.9162,94.302},{24.9162,93.9909}}));
      connect(constant1.y,multiplex42.u3[1]) annotation(Line(points = {{10.351,57.8348},{15.6695,57.8348},{15.6695,79.4872},{24.9162,79.4872},{24.9162,79.5909}}));
      connect(constant1.y,multiplex42.u4[1]) annotation(Line(points = {{10.351,57.8348},{15.6695,57.8348},{15.6695,72.3647},{24.9162,72.3647},{24.9162,72.3909}}));
      connect(extractor2.y,Qdot) annotation(Line(points = {{85.5647,82.906},{89.7436,82.906},{89.7436,50.4274},{105,50.4274},{105,50}}));
      connect(rescale1.y,multiplex41.u1[1]) annotation(Line(points = {{0.604,29.3447},{9.68661,29.3447},{9.68661,-1.9943},{16.6541,-1.9943},{16.6541,-1.73565}}));
      connect(rescale2.y,multiplex41.u2[1]) annotation(Line(points = {{1.4587,-3.9886},{8.26211,-3.9886},{8.26211,-8.54701},{16.6541,-8.54701},{16.6541,-8.93565}}));
      connect(rescale3.y,multiplex41.u3[1]) annotation(Line(points = {{2.02849,-33.0484},{7.40741,-33.0484},{7.40741,-15.6695},{16.6541,-15.6695},{16.6541,-16.1357}}));
      connect(rescale4.y,multiplex41.u4[1]) annotation(Line(points = {{2.31339,-61.8234},{11.1111,-61.8234},{11.1111,-23.6467},{16.6541,-23.6467},{16.6541,-23.3357}}));
      connect(multiplex41.y,extractor1.u) annotation(Line(points = {{16,20},{26,20}}));
      connect(extractor1.y,x) annotation(Line(points = {{88.9835,-50.1425},{96.0114,-50.1425},{96.0114,-50},{105,-50}}));
      connect(timedmodulocounter1.n,extractor1.index) annotation(Line(points = {{-67.7721,-81.7664},{76.3533,-81.7664},{76.3533,-62.6212},{76.0912,-62.6212}}));
      connect(timedmodulocounter1.n,extractor2.index) annotation(Line(points = {{-67.7721,-81.7664},{52.7066,-81.7664},{52.7066,60.9687},{72.9345,60.9687},{72.9345,70.4273},{72.6724,70.4273}}));
      connect(timedmodulocounter1.n,equalconstanti1.u) annotation(Line(points = {{-67.7721,-81.7664},{52.7066,-81.7664},{52.7066,0.0000000000000142109},{62.3589,0.0000000000000142109},{62.3589,0.0000027374}}));
      connect(equalconstanti1.y,sw) annotation(Line(points = {{86.3589,0.0000027374},{96.0114,0.0000027374},{96.0114,0.2849},{105.285,0.2849}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-80},{100,80}}, fillColor = {204,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{-85,-50},{-15,55}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{3,27},{19,49}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{31,27},{47,49}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{59,27},{75,49}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{3,-6},{19,16}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{31,-6},{47,16}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{59,-6},{75,16}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{3,-39},{19,-17}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{31,-39},{47,-17}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Rectangle(extent = {{59,-39},{75,-17}}, fillColor = {255,255,255}, fillPattern = FillPattern.Solid),Line(points = {{-83,-20},{-79,19},{-69,32},{-62,32},{-47,-4},{-39,-4},{-20,17},{-17,19}})}));
    end OttoSteuerung;
    model DieselSteuerung1
      parameter Modelica.SIunits.InternalEnergy Qzu = 1000;
      parameter Modelica.SIunits.Time T = 4;
      parameter Modelica.SIunits.Position x1 = 1;
      parameter Modelica.SIunits.Position x2 = 1;
      parameter Modelica.SIunits.Position x3 = 1;
      parameter Modelica.SIunits.Position x4 = 1;
      Modelica.Blocks.Interfaces.BooleanOutput sw annotation(Placement(visible = true, transformation(origin = {105,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput x annotation(Placement(visible = true, transformation(origin = {105,-50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,-50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput Qdot annotation(Placement(visible = true, transformation(origin = {105,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.EqualConstantI equalconstanti1(k = 4) annotation(Placement(visible = true, transformation(origin = {74.3589,0.0000027374}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.TimedModuloCounter timedmodulocounter1(T = T / 4, N = 4, offset = 1) annotation(Placement(visible = true, transformation(origin = {-79.7721,-81.7664}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale1(smin = -1, tmin = x2, tmax = x1) annotation(Placement(visible = true, transformation(origin = {-11.396,29.3447}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale2(smin = -1, tmin = x2, tmax = x3) annotation(Placement(visible = true, transformation(origin = {-10.5413,-3.9886}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale3(smin = -1, tmin = x4, tmax = x3) annotation(Placement(visible = true, transformation(origin = {-9.97151,-33.0484}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale4(smin = -1, tmin = x4, tmax = x1) annotation(Placement(visible = true, transformation(origin = {-9.68661,-61.8234}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap18.Extractor extractor1(nin = 4) annotation(Placement(visible = true, transformation(origin = {74.0741,-59.5442}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Routing.Multiplex4 multiplex41 annotation(Placement(visible = true, transformation(origin = {37.3219,-59.5442}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap18.Extractor extractor2(nin = 4) annotation(Placement(visible = true, transformation(origin = {75.4986,82.6211}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Routing.Multiplex4 multiplex42 annotation(Placement(visible = true, transformation(origin = {39.3162,83.1909}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Sine sine1(freqHz = 2 / T, phase = Modelica.Constants.pi / 2) annotation(Placement(visible = true, transformation(origin = {-61.8234,27.3504}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-105,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-105,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Continuous.PID PID(Ti = 0.5, Td = 0.1) annotation(Placement(visible = true, transformation(origin = {-6.07544,87.2005}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.Switch switch1 annotation(Placement(visible = true, transformation(origin = {-44.315,86.8431}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant constant1(k = 0) annotation(Placement(visible = true, transformation(origin = {-122.928,111.799}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant const(k = 2500000.0) annotation(Placement(visible = true, transformation(origin = {-121.996,74.3863}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Feedback feedback1 annotation(Placement(visible = true, transformation(origin = {-90.4169,73.6201}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.EqualConstantI equalconstanti2(k = 2) annotation(Placement(visible = true, transformation(origin = {-43.2428,57.1806}, extent = {{12,12},{-12,-12}}, rotation = -180)));
    equation
      connect(constant1.y,switch1.u3) annotation(Line(points = {{-109.728,111.799},{-72.9053,111.799},{-72.9053,77.1938},{-58.715,77.1938},{-58.715,77.2431}}));
      connect(u,feedback1.u2) annotation(Line(points = {{-105,0},{-90.4169,0},{-90.4169,64.0201},{-90.4169,64.0201}}));
      connect(feedback1.y,switch1.u1) annotation(Line(points = {{-79.6169,73.6201},{-76.8365,73.6201},{-76.8365,96.1349},{-58.715,96.1349},{-58.715,96.4431}}));
      connect(const.y,feedback1.u1) annotation(Line(points = {{-108.796,74.3863},{-101.496,74.3863},{-101.496,73.6201},{-100.017,73.6201}}));
      connect(multiplex42.u1[1],constant1.y) annotation(Line(points = {{24.9162,93.9909},{14.2952,93.9909},{14.2952,111.86},{-109.728,111.86},{-109.728,111.799}}));
      connect(multiplex42.u3[1],constant1.y) annotation(Line(points = {{24.9162,79.5909},{14.2952,79.5909},{14.2952,111.86},{-109.728,111.86},{-109.728,111.799}}));
      connect(constant1.y,multiplex42.u4[1]) annotation(Line(points = {{-109.728,111.799},{14.2952,111.799},{14.2952,72.5479},{24.9162,72.5479},{24.9162,72.3909}}));
      connect(equalconstanti2.u,timedmodulocounter1.n) annotation(Line(points = {{-31.2428,57.1806},{52.5347,57.1806},{52.5347,-81.8398},{-67.7721,-81.8398},{-67.7721,-81.7664}}));
      connect(equalconstanti2.y,switch1.u2) annotation(Line(points = {{-55.2428,57.1806},{-68.2594,57.1806},{-68.2594,86.8431},{-58.715,86.8431},{-58.715,86.8431}}));
      connect(PID.y,multiplex42.u2[1]) annotation(Line(points = {{7.12456,87.2005},{23.9316,87.2005},{23.9316,86.7909},{24.9162,86.7909}}));
      connect(switch1.y,PID.u) annotation(Line(points = {{-31.115,86.8431},{-21.0826,86.8431},{-21.0826,87.2005},{-20.4754,87.2005}}));
      connect(sine1.y,rescale1.u) annotation(Line(points = {{-48.6234,29.3447},{-23.6467,29.3447},{-23.6467,29.3447},{-23.396,29.3447}}));
      connect(sine1.y,rescale2.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-3.9886},{-22.5413,-3.9886},{-22.5413,-3.9886}}));
      connect(sine1.y,rescale3.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-32.7635},{-21.9715,-32.7635},{-21.9715,-33.0484}}));
      connect(sine1.y,rescale4.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-62.1083},{-21.6866,-62.1083},{-21.6866,-61.8234}}));
      connect(multiplex42.y,extractor2.u) annotation(Line(points = {{30,80},{40,80}}));
      connect(extractor2.y,Qdot) annotation(Line(points = {{85.5647,82.906},{89.7436,82.906},{89.7436,50.4274},{105,50.4274},{105,50}}));
      connect(rescale1.y,multiplex41.u1[1]) annotation(Line(points = {{0.604,29.3447},{9.68661,29.3447},{9.68661,-1.9943},{16.6541,-1.9943},{16.6541,-1.73565}}));
      connect(rescale2.y,multiplex41.u2[1]) annotation(Line(points = {{1.4587,-3.9886},{8.26211,-3.9886},{8.26211,-8.54701},{16.6541,-8.54701},{16.6541,-8.93565}}));
      connect(rescale3.y,multiplex41.u3[1]) annotation(Line(points = {{2.02849,-33.0484},{7.40741,-33.0484},{7.40741,-15.6695},{16.6541,-15.6695},{16.6541,-16.1357}}));
      connect(rescale4.y,multiplex41.u4[1]) annotation(Line(points = {{2.31339,-61.8234},{11.1111,-61.8234},{11.1111,-23.6467},{16.6541,-23.6467},{16.6541,-23.3357}}));
      connect(multiplex41.y,extractor1.u) annotation(Line(points = {{16,20},{26,20}}));
      connect(extractor1.y,x) annotation(Line(points = {{88.9835,-50.1425},{96.0114,-50.1425},{96.0114,-50},{105,-50}}));
      connect(timedmodulocounter1.n,extractor1.index) annotation(Line(points = {{-67.7721,-81.7664},{76.3533,-81.7664},{76.3533,-62.6212},{76.0912,-62.6212}}));
      connect(timedmodulocounter1.n,extractor2.index) annotation(Line(points = {{-67.7721,-81.7664},{52.7066,-81.7664},{52.7066,60.9687},{72.9345,60.9687},{72.9345,70.4273},{72.6724,70.4273}}));
      connect(timedmodulocounter1.n,equalconstanti1.u) annotation(Line(points = {{-67.7721,-81.7664},{52.7066,-81.7664},{52.7066,0.0000000000000142109},{62.3589,0.0000000000000142109},{62.3589,0.0000027374}}));
      connect(equalconstanti1.y,sw) annotation(Line(points = {{86.3589,0.0000027374},{96.0114,0.0000027374},{96.0114,0.2849},{105.285,0.2849}}));
      annotation(Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {204,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-100,-80},{100,80}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-85,-50},{-15,55}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{3,27},{19,49}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{31,27},{47,49}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{59,27},{75,49}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{3,-6},{19,16}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{31,-6},{47,16}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{59,-6},{75,16}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{3,-39},{19,-17}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{31,-39},{47,-17}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{59,-39},{75,-17}}),Line(points = {{-83,-20},{-79,19},{-69,32},{-62,32},{-47,-4},{-39,-4},{-20,17},{-17,19}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25)}), Diagram());
    end DieselSteuerung1;
    model DieselSteuerung2
      parameter Modelica.SIunits.InternalEnergy Qzu = 1000;
      parameter Modelica.SIunits.Time T = 4;
      parameter Modelica.SIunits.Position x1 = 1;
      parameter Modelica.SIunits.Position x2 = 1;
      parameter Modelica.SIunits.Position x3 = 1;
      parameter Modelica.SIunits.Position x4 = 1;
      Modelica.Blocks.Interfaces.BooleanOutput sw annotation(Placement(visible = true, transformation(origin = {105,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput x annotation(Placement(visible = true, transformation(origin = {105,-50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,-50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealOutput Qdot annotation(Placement(visible = true, transformation(origin = {105,50}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {105,50}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.EqualConstantI equalconstanti1(k = 4) annotation(Placement(visible = true, transformation(origin = {74.3589,0.0000027374}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.TimedModuloCounter timedmodulocounter1(T = T / 4, N = 4, offset = 1) annotation(Placement(visible = true, transformation(origin = {-79.7721,-81.7664}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale1(smin = -1, tmin = x2, tmax = x1) annotation(Placement(visible = true, transformation(origin = {-11.396,29.3447}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale2(smin = -1, tmin = x2, tmax = x3) annotation(Placement(visible = true, transformation(origin = {-10.5413,-3.9886}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale3(smin = -1, tmin = x4, tmax = x3) annotation(Placement(visible = true, transformation(origin = {-9.97151,-33.0484}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.Rescale rescale4(smin = -1, tmin = x4, tmax = x1) annotation(Placement(visible = true, transformation(origin = {-9.68661,-61.8234}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap18.Extractor extractor1(nin = 4) annotation(Placement(visible = true, transformation(origin = {74.0741,-59.5442}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Routing.Multiplex4 multiplex41 annotation(Placement(visible = true, transformation(origin = {37.3219,-59.5442}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      PJlib.Kap18.Extractor extractor2(nin = 4) annotation(Placement(visible = true, transformation(origin = {75.4986,82.6211}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Routing.Multiplex4 multiplex42 annotation(Placement(visible = true, transformation(origin = {39.3162,83.1909}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Sine sine1(freqHz = 2 / T, phase = Modelica.Constants.pi / 2) annotation(Placement(visible = true, transformation(origin = {-61.8234,27.3504}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Interfaces.RealInput u annotation(Placement(visible = true, transformation(origin = {-105,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-105,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Continuous.PID PID(Ti = 0.5, Td = 0.1) annotation(Placement(visible = true, transformation(origin = {-6.07544,87.2005}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Logical.Switch switch1 annotation(Placement(visible = true, transformation(origin = {-44.315,86.8431}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Sources.Constant constant1(k = 0) annotation(Placement(visible = true, transformation(origin = {-122.928,111.799}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Feedback feedback1 annotation(Placement(visible = true, transformation(origin = {-90.4169,73.6201}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Discrete.TriggeredSampler triggeredsampler1 annotation(Placement(visible = true, transformation(origin = {-123.653,73.6201}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Thermo.Auxiliary.EqualConstantI equalconstanti2(k = 2) annotation(Placement(visible = true, transformation(origin = {-43.2428,55.3937}, extent = {{12,12},{-12,-12}}, rotation = -180)));
    equation
      connect(triggeredsampler1.u,u) annotation(Line(points = {{-138.053,73.6201},{-147.597,73.6201},{-147.597,27.1608},{-90.4169,27.1608},{-90.4169,0},{-105,0},{-105,0}}));
      connect(equalconstanti2.y,triggeredsampler1.trigger) annotation(Line(points = {{-55.2428,55.3937},{-123.296,55.3937},{-123.296,59.4601},{-123.653,59.4601}}));
      connect(triggeredsampler1.y,feedback1.u1) annotation(Line(points = {{-110.453,73.6201},{-101.138,73.6201},{-101.138,73.6201},{-100.017,73.6201}}));
      connect(constant1.y,switch1.u3) annotation(Line(points = {{-109.728,111.799},{-72.9053,111.799},{-72.9053,77.1938},{-58.715,77.1938},{-58.715,77.2431}}));
      connect(u,feedback1.u2) annotation(Line(points = {{-105,0},{-90.4169,0},{-90.4169,64.0201},{-90.4169,64.0201}}));
      connect(feedback1.y,switch1.u1) annotation(Line(points = {{-79.6169,73.6201},{-76.8365,73.6201},{-76.8365,96.1349},{-58.715,96.1349},{-58.715,96.4431}}));
      connect(multiplex42.u1[1],constant1.y) annotation(Line(points = {{24.9162,93.9909},{14.2952,93.9909},{14.2952,111.86},{-109.728,111.86},{-109.728,111.799}}));
      connect(multiplex42.u3[1],constant1.y) annotation(Line(points = {{24.9162,79.5909},{14.2952,79.5909},{14.2952,111.86},{-109.728,111.86},{-109.728,111.799}}));
      connect(constant1.y,multiplex42.u4[1]) annotation(Line(points = {{-109.728,111.799},{14.2952,111.799},{14.2952,72.5479},{24.9162,72.5479},{24.9162,72.3909}}));
      connect(equalconstanti2.u,timedmodulocounter1.n) annotation(Line(points = {{-31.2428,57.1806},{52.5347,57.1806},{52.5347,-81.8398},{-67.7721,-81.8398},{-67.7721,-81.7664}}));
      connect(equalconstanti2.y,switch1.u2) annotation(Line(points = {{-55.2428,57.1806},{-68.2594,57.1806},{-68.2594,86.8431},{-58.715,86.8431},{-58.715,86.8431}}));
      connect(PID.y,multiplex42.u2[1]) annotation(Line(points = {{7.12456,87.2005},{23.9316,87.2005},{23.9316,86.7909},{24.9162,86.7909}}));
      connect(switch1.y,PID.u) annotation(Line(points = {{-31.115,86.8431},{-21.0826,86.8431},{-21.0826,87.2005},{-20.4754,87.2005}}));
      connect(sine1.y,rescale1.u) annotation(Line(points = {{-48.6234,29.3447},{-23.6467,29.3447},{-23.6467,29.3447},{-23.396,29.3447}}));
      connect(sine1.y,rescale2.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-3.9886},{-22.5413,-3.9886},{-22.5413,-3.9886}}));
      connect(sine1.y,rescale3.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-32.7635},{-21.9715,-32.7635},{-21.9715,-33.0484}}));
      connect(sine1.y,rescale4.u) annotation(Line(points = {{-48.6234,29.3447},{-35.0427,29.3447},{-35.0427,-62.1083},{-21.6866,-62.1083},{-21.6866,-61.8234}}));
      connect(multiplex42.y,extractor2.u) annotation(Line(points = {{30,80},{40,80}}));
      connect(extractor2.y,Qdot) annotation(Line(points = {{85.5647,82.906},{89.7436,82.906},{89.7436,50.4274},{105,50.4274},{105,50}}));
      connect(rescale1.y,multiplex41.u1[1]) annotation(Line(points = {{0.604,29.3447},{9.68661,29.3447},{9.68661,-1.9943},{16.6541,-1.9943},{16.6541,-1.73565}}));
      connect(rescale2.y,multiplex41.u2[1]) annotation(Line(points = {{1.4587,-3.9886},{8.26211,-3.9886},{8.26211,-8.54701},{16.6541,-8.54701},{16.6541,-8.93565}}));
      connect(rescale3.y,multiplex41.u3[1]) annotation(Line(points = {{2.02849,-33.0484},{7.40741,-33.0484},{7.40741,-15.6695},{16.6541,-15.6695},{16.6541,-16.1357}}));
      connect(rescale4.y,multiplex41.u4[1]) annotation(Line(points = {{2.31339,-61.8234},{11.1111,-61.8234},{11.1111,-23.6467},{16.6541,-23.6467},{16.6541,-23.3357}}));
      connect(multiplex41.y,extractor1.u) annotation(Line(points = {{16,20},{26,20}}));
      connect(extractor1.y,x) annotation(Line(points = {{88.9835,-50.1425},{96.0114,-50.1425},{96.0114,-50},{105,-50}}));
      connect(timedmodulocounter1.n,extractor1.index) annotation(Line(points = {{-67.7721,-81.7664},{76.3533,-81.7664},{76.3533,-62.6212},{76.0912,-62.6212}}));
      connect(timedmodulocounter1.n,extractor2.index) annotation(Line(points = {{-67.7721,-81.7664},{52.7066,-81.7664},{52.7066,60.9687},{72.9345,60.9687},{72.9345,70.4273},{72.6724,70.4273}}));
      connect(timedmodulocounter1.n,equalconstanti1.u) annotation(Line(points = {{-67.7721,-81.7664},{52.7066,-81.7664},{52.7066,0.0000000000000142109},{62.3589,0.0000000000000142109},{62.3589,0.0000027374}}));
      connect(equalconstanti1.y,sw) annotation(Line(points = {{86.3589,0.0000027374},{96.0114,0.0000027374},{96.0114,0.2849},{105.285,0.2849}}));
      annotation(Icon(graphics = {Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {204,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-100,-80},{100,80}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{-85,-50},{-15,55}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{3,27},{19,49}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{31,27},{47,49}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{59,27},{75,49}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{3,-6},{19,16}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{31,-6},{47,16}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{59,-6},{75,16}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{3,-39},{19,-17}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{31,-39},{47,-17}}),Rectangle(rotation = 0, lineColor = {0,0,0}, fillColor = {255,255,255}, pattern = LinePattern.Solid, fillPattern = FillPattern.Solid, lineThickness = 0.25, extent = {{59,-39},{75,-17}}),Line(points = {{-83,-20},{-79,19},{-69,32},{-62,32},{-47,-4},{-39,-4},{-20,17},{-17,19}}, rotation = 0, color = {0,0,0}, pattern = LinePattern.Solid, thickness = 0.25)}), Diagram());
    end DieselSteuerung2;
    model Efficiency
      Modelica.Blocks.Interfaces.RealInput P1 annotation(Placement(visible = true, transformation(origin = {-105,0}, extent = {{-12,-12},{12,12}}, rotation = 0), iconTransformation(origin = {-105,0}, extent = {{-12,-12},{12,12}}, rotation = 0)));
      Modelica.Blocks.Math.Division division1 annotation(Placement(visible = true, transformation(origin = {0.319088,74.3476}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Math.Add add1(k1 = -1, k2 = -1) annotation(Placement(visible = true, transformation(origin = {-55.8405,34.1425}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Math.Add add2 annotation(Placement(visible = true, transformation(origin = {50.416,32.8661}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Math.Max max1 annotation(Placement(visible = true, transformation(origin = {5.74359,-23.2934}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Math.Max max2 annotation(Placement(visible = true, transformation(origin = {67.0085,-22.6553}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Sources.Constant const(k = 0) annotation(Placement(visible = true, transformation(origin = {23.9316,-68.9231}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Sources.Constant constant1(k = 0) annotation(Placement(visible = true, transformation(origin = {82.3248,-69.2422}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealInput P2 annotation(Placement(visible = true, transformation(origin = {105,0}, extent = {{-12,12},{12,-12}}, rotation = -180), iconTransformation(origin = {105,0}, extent = {{-12,12},{12,-12}}, rotation = -180)));
      Modelica.Blocks.Interfaces.RealInput Qdot1 annotation(Placement(visible = true, transformation(origin = {-60,-105}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {-60,-105}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealInput Qdot2 annotation(Placement(visible = true, transformation(origin = {60,-105}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {60,-105}, extent = {{-12,-12},{12,12}}, rotation = 90)));
      Modelica.Blocks.Interfaces.RealOutput eta annotation(Placement(visible = true, transformation(origin = {0,105}, extent = {{-12,-12},{12,12}}, rotation = 90), iconTransformation(origin = {0,105}, extent = {{-12,12},{12,-12}}, rotation = 90)));
    equation
      connect(Qdot1,max1.u1) annotation(Line(points = {{-60,-105},{-60,-105},{-59.9886,-49.1396},{-1.27635,-49.1396},{-1.27635,-37.6934},{-1.45641,-37.6934}}));
      connect(Qdot2,max2.u1) annotation(Line(points = {{60,-105},{60,-105},{59.9886,-37.0553},{59.8085,-37.0553}}));
      connect(P2,add1.u2) annotation(Line(points = {{105,0},{-48.5014,0},{-48.6405,19.7425},{-48.6405,19.7425}}));
      connect(division1.y,eta) annotation(Line(points = {{0.319088,87.5476},{0.319088,87.5476},{0.319088,105},{0,105}}));
      connect(constant1.y,max2.u2) annotation(Line(points = {{82.3248,-56.0422},{82.3248,-56.0422},{82.3248,-49.1396},{74.3476,-49.1396},{74.3476,-37.0553},{74.2085,-37.0553}}));
      connect(const.y,max1.u2) annotation(Line(points = {{23.9316,-55.7231},{23.9316,-55.7231},{23.9316,-49.1396},{13.4017,-49.1396},{13.4017,-37.6934},{12.9436,-37.6934}}));
      connect(max2.y,add2.u2) annotation(Line(points = {{67.0085,-9.4553},{67.0085,-9.45527},{67.0085,6.38177},{57.755,6.38177},{57.755,18.4661},{57.616,18.4661}}));
      connect(max1.y,add2.u1) annotation(Line(points = {{5.74359,-10.0934},{5.74359,-10.0934},{5.74359,6.38177},{43.396,6.38177},{43.396,18.4661},{43.216,18.4661}}));
      connect(add2.y,division1.u2) annotation(Line(points = {{50.416,46.0661},{50.416,46.0661},{50.416,52.6496},{7.97721,52.6496},{7.97721,59.9476},{7.51909,59.9476}}));
      connect(add1.y,division1.u1) annotation(Line(points = {{-55.8405,47.3425},{-55.8405,47.3425},{-55.8405,52.6496},{-6.70085,52.6496},{-6.70085,59.9476},{-6.88091,59.9476}}));
      connect(P1,add1.u1) annotation(Line(points = {{-105,0},{-62.8604,0},{-63.0405,19.7425},{-63.0405,19.7425}}));
      annotation(Diagram(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}})), Icon(coordinateSystem(preserveAspectRatio = true, extent = {{-100,-100},{100,100}}), graphics = {Rectangle(extent = {{-100,-100},{100,100}}),Text(rotation = 0, extent = {{-90,-40},{90,40}}, textString = "eta", fontName = "Times New Roman")}));
    end Efficiency;
  end Kap18;
end PJlib;

